Witamy w HyperSnap

HyperSnap umożliwia łatwe i szybkie dokonywanie zrzutów grafiki z ekranu systemu Windows, a także kopiowanie tekstu (TextSnap™) z praktycznie dowolnego miejsca na ekranie, także z miejsc gdzie zwykle systemowe funkcje kopiowania tekstu nie są dostępne. HyperSnap umożliwia także edycję obrazów, wszystko razem połączone w jedno, łatwe w użyciu narzędzie.


Zakup licencji HyperSnap

Odwiedź polskie strony WWW firmy Hyperionics pod adresem http://www.hypersnap.pl. Zamieszczamy tam zawsze najnowsze informacje o cenach i dystrybutorach naszego oprogramowania w Polsce. Ceny naszych programów na rynku polskim są z reguły znacznie niższe niż na rynku światowym!


Pomoc dla użytkowników

Niniejszy podręcznik objaśnia po kolei funkcje występujące na menu HyperSnap. Zawiera on też samouczki pozwalające na lepsze zrozumienie niektórych funkcji programu. Jeśli jesteś nowym użytkownikiem HyperSnap, zajrzyj najpierw do rozdziału Samouczki podstawowe. Rozdział Samouczki zaawansowane pozwoli Ci wykorzystać możliwości programu w sposób bardziej pełny.

Rozdział Menu programu HyperSnap jest przewodnikiem po strukturze menu, objaśniającym możliwości każdej znajdującej się tam funkcji.

Rozdział Narzędzia zawiera dodatkowe informacje przydatne dla pracy z programem. Między innymi znajduje się tam rozdział Pasek narzędzi rysunkowych objaśnia przyciski znajdujące się na palecie z narzędziami do rysowania (zwykle ustawionej na prawym marginesie okna programu).

HyperSnap zawiera także pomoc kontekstową pokazującą się w małych okienkach po wybraniu przycisku [image] na głównym paku narzędzi lub [image] w pasku tytułowym okienek dialogowych i kliknięciu na pozycję menu, inny przycisk na paskach narzędzi lub na pole czy kontrolkę w obrębie okna dialogowego. Te same ekraniki pomocy pojawiają się również gdy ustawić kursor myszki nad interesującym nas elementem i nacisnąć klawisz F1.

Dodatkowa pomoc

Jeśli nie znajdujesz stosownej pomocy w niniejszym podręczniku, lub gdybyś chciał dowiedzieć się więcej o HyperSnap, zapraszamy na nasze strony WWW pod adresem http://www.hypersnap.pl. Służymy również pomocą przez email pod adresem pomoc@hypersnap.pl.


Samouczki podstawowe

Poniższe samouczki pozwalają szybko i efektywnie rozpocząć użytkowanie programu HyperSnap.

  • Typy zrzutów
  • Przykładowa sesja zrzutów
  • Zrzut tekstu
  • Zrzut menu


Typy zrzutów

HyperSnap oferuje kilka rodzajów zrzutów wymienionych w poniższej tabeli.

Pełny ekran | Zrzuca cały ekran.
Okno | Zrzuca dokładnie wybrane okno (bez, lub z jego ramką).
Region | Zrzuca prostokątny obszar (lub wiele regionów), który możesz przy pomocy dwóch linii. Nowością dla tej funkcji jest zrzucenie wiele regionów, które będą oddzielone od siebie obszarem z kolorem tła zdefiniowanym przez użytkownika.
DirectX® albo Glide® | Zrzuca gry lub programy, które używają technologii DirectX albo Gilde, oraz niektóre filmy, które tylko za pomocą tej techniki mogą zostać zrzucone.
Zrzut tekstu (TextSnap) | Pozwala wybrać prostokątny obszar na ekranie i kopiuje z niego znaleziony tam tekst, w postaci tekstu sformatowanego (RTF), uwzględniającego krój, rozmiar i kolor czcionek oraz tekstu zwykłego, niesformatiowanego. Kopiuje większość tekstu widocznego na ekranie, również z miejsc gdzie systemowe funkcje kopiowania tekstu są niedostępne.

Narzędzia zaawansowane

Niezależnie od tego, jaki rodzaj zrzutu wybierzesz, możesz użyć narzędzi do edycji zrzuconego obrazu.


Przykładowa sesja zrzutów

Tematem tego rozdziału będzie dokładny opis użycia funkcji Zrzuty. Spróbuj przeczytać dokładnie każdy krok postępowania w tym wyjaśnieniu a unikniesz problemów przy wykonywaniu zrzutów.

Ważne jest zaznaczenie opcji Przywołaj okno HyperSnap na wierzch po zrzucie, którą znajdziesz w zakładce Zrzut, a która z kolei znajduje się w Ustawieniach zrzutów. Pozwoli to na automatyczne wyświetlenie okna programu z wykonanym zrzutem. Jeśli opcja ta nie jest zaznaczona, po wykonaniu zrzutu, jedynym sygnałem obecności programu będzie jego zminimalizowana ikona w pasku zadań na twoim pulpicie. I aby otworzyć okno programu i wyświetlić wykonany zrzut będziesz musiał kliknąć na ikonę.

Spróbuj zrzucić teraz okno jakiegoś programu. Możesz zrzucić okno tego pliku z pomocą, który właśnie czytasz. Upewnij się jednak najpierw, że HyperSnap jest aktywny.

Prosimy o uważne prześledzenie następnych wyjaśnień. W ten sposób nie będziesz musiał powtórnie wracać do tego pliku pomocy, albo nawet wydrukowanie tej strony, ponieważ w trakcie wykonywania poleceń okno to może zostać przykryte albo niemożliwe będzie przesuwanie jego zawartości.

Jeśli jesteś już gotowy do rozpoczęcia, upewnij się, że okno programu HyperSnap jest na pierwszym planie twojego pulpitu. Plik pomocy, który właśnie czytasz powinien znaleźć się bezpośrednio pod nim. Jakiekolwiek okno, lub obszar, który chciałbyś zrzucić powinien zawsze być widoczny, tak by móc na niego kliknąć.

Następnie wybierz Okno lub kontrolka z menu Zrzuty. Wtedy okno HyperSnap zminimalizuje się do ikony na pasku zadań.

Przesuń kursor myszki, aby wybrać dane okno, lub kontrolkę do zrzutu, obejmując tym samym okno tekstu pomocy. W momencie przesuwania myszki zauważysz, że ramka migająca będzie obejmowała różne okna. Jeśli przesuniesz kursor nad aplikację jakiegoś paska tytułowego, zostanie podświetlone całe okno. Poświęć nieco czasu na przesuwanie myszki i obejrzenie dostępnych obiektów dla zrzutu na pulpicie.

Kiedy już zostanie podświetlone okno które chcesz zrzucić, kliknij lewy (zwany czasem "pierwszym") przycisk myszki.

· Możesz także użyć skrótu klawiszowego, by rozpocząć zrzut. Kliknij na menu Zrzuty, lub prawym przyciskiem myszki kliknij na ikonę programu HyperSnap, która jest zminimalizowana w pasku zadań Widnows i spójrz na listę, która się pojawi.

· Dla każdego typu zrzutu, po prawej stronie tej listy wyświetlany jest odpowiadający jemu skrót klawiszowy.

Po zrzucie ukaże się automatycznie okno programu HyperSnap, w którym znajdziesz twój zrzucony obraz. Możesz zmienić rozmiary okna programu HyperSnap (podobnie jak wiele innych okien w innych programach), by zobaczyć lepiej twój zrzut.

Inną często wybieraną dla zrzutu opcją jest zrzut Regionu, która znajduje się w menu Zrzuty, lub przez przyciśnięcie kombinacji klawiszy Ctrl+Shift+R. Następnie, kiedy okno programu HyperSnap zminimalizuje się, kliknij lewym przyciskiem myszki gdziekolwiek na twoim pulpicie, przesuń myszkę z początkowego miejsca i kliknij jeszcze raz. Kiedy okno programu HyperSnap powróci, sprawdź końcowy rezultat zrzutu regionu.


Zrzut menu

Zrzut menu z jakiegoś programu bywa trudny, ponieważ normalnie otwarte menu znika kiedy przełączymy się w inny program lub nawet wciśniemy jakieś klawisze. Zrzutu takiego menu możemy dokonać na następujące sposoby:

1. Zminimalizuj okno HyperSnap do paska zadań i…

2. Użyj jednego ze skrótów klawiszowych dla funkcji zrzutu HyperSnap, np. Ctrl+Shift+R dla zrzutu regionu – w ten sposób menu nie powinno zniknąć i da się zarysować i przechwycić.

Lub...

1. Jeśli przy użyciu opisanej wyżej metody menu nadal znika, po prostu otwórz menu i naciśnij klawisz “Print Screen” (wydruk ekranu) na klawiaturze. W ten sposób zawartość całego ekranu Windows jest kopiowana do schowka systemowego.

2. Następnie wróć do programu HyperSnap i wklej zawartość schowka używając funkcji z menu Edycja – Wklej jako nowy obraz, po czym wytnij fragment zawierający menu przy pomocy narzędzia Przytnij na menu Obraz.


Kopiowanie tekstu - TextSnap™

Co to jest TextSnap™

TextSnap™ to technologia dostępna w programie HyperSnap 6, pozwalająca na kopiowanie tekstu (w formie umożliwiającej edycję tekstu) z praktycznie dowolnego miejsca ekranu, również z takich miejsc, gdzie systemowe funkcje kopiowania i wklejania tekstu nie są dostępne. Jej zadaniem nie jest zastąpienie funkcji kopiowania i wklejania tekstu dla edytorów tekstu (takich jak MS Word, programy mailowe, programy umożliwiające tworzenie stron WWW), tylko umożliwienie szybkiego przechwycenia tekstu wyświetlanego w oknach dialogowych programów, w menu, komunikatach o błędach pojawiających się na ekranie, list plików z folderów Eksploratora itd. Oczywiście dla większości edytorów, TextSnap™ skopiuje tekst również.

Ograniczenia technologii TextSnap™

Technologia TextSnap™, oferowana przez HyperSnap 6 pozwala kopiować tekst w postaci umożliwiającej jego edycję z wielu miejsc ekranu, nawet tych, gdzie normalne funkcje kopiowania - wklejania tekstu są niedostępne. Zadaniem tej funkcji nie jest zastąpienie operacji kopiowana - wklejania dla edytorów tekstowych (takich jak MS Word, programy obsługi poczty elektronicznej, edytory HTML itd.). Służy ona raczej do szybkiego skopiowania tekstu z okienek dialogowych programów, menu, komunikatów o błędach wyskakujących na ekranie, list plików z okien foldera itp. Oczywiście, z większości edytorów funkcja TextSnap™ potrafi również skopiować tekst. Oto lista ograniczeń na ile udało nam się ją określić do tej pory: TextSnap™ NIE kopiuje tekstu z:

· Adobe Acrobat i Acrobat Reader (pliki PDF). Zazwyczaj nie stanowi to problemu, w programach tych można po prostu wybrać narzędzie selekcji tekstu z paska zadań, lub kliknąć prawym przyciskiem wewnątrz tekstu PDF i wybrać funkcję „Allow Hand Tool to Select Text” (pozwól aby kursor o kształcie rączki wybierał tekst) i można używać normalnej funkcji kopiowania tekstu.

· Programów napisanych w języku Java i pracujących w maszynie wirtualnej Java.

· Tekstu umieszczonego na obrazach (np. likach JPEG, PNG, GIF, TIFF, BMP itd.)

Samouczek

Samouczek poniżej zakłada, że wszystkie opcje na zakładce TextSnap™ pod funkcją menu Zrzuty/Ustawienia zrzutów, są ustawione na wartości domyślne tak jak program jest dostarczany od producenta. Prosimy na wszelki wypadek sprawdzić u ustawić następująco.

  1. Kliknij przycisk z kluczem do śrub na górnym pasku zadań albo wybierz „Ustawienia zrzutów…” z menu „Zrzuty”.
  2. Kliknij zakładkę TextSnap. Upewnij się, że wybrane są następujące ustawienia (pola wymienione niżej powinny mieć ustawiony znaczek V):

    Tekstu niesformatowanego
    Tekstu sformatiowanego (RTF) z krojem czcionek, kolorami itd.
    Dołącz nowy tekst do tego samego okna wewnątrz HyperSnap

    Pozostałe pola powinny być puste.
  3. Kliknij OK, aby potwierdzić dokonane zmiany.
  4. Wybierz z menu TextSnap™ funkcję Skróty klawiszowe TextSnap™. Upewnij się, że wybrane są następujące ustawienia (pola wymienione niżej powinny mieć ustawiony znaczek V):

    Shift
    Control
    Przerwij jeśli skrzyżowane linie są widoczne i zwolni się te klawisze
    Ta sama kombinacja + prawy klik - skopiuj linię tekstu pod kursorem

  5. Kliknij przycisk Zamknij, aby potwierdzić dokonane zmiany.

Wypróbujmy najpierw metodę „szybkiego kopiowania tekstu”:

· Zminimalizuj okno HyperSnap do paska zadań Windows, tak aby nam nie przeszkadzało.

· Otwórz Panel Sterowania z menu Start systemu Windows, abyśmy mieli jakieś okno z którego będziemy kopiować tekst.

· Wciśnij i przytrzymaj klawisze Carl+Shift i porusz myszką. Na ekranie pojawią się dwie skrzyżowane linie.

· Przesuń kursor (te skrzyżowane linie) w jeden róg obszaru, z którego chcemy skopiować tekst w obrębie okna Panela Sterowania, po czym naciśnij i przytrzymaj lewy klawisz myszki.

· Przesuń myszkę zakreślając tekst, który chcesz skopiować, po czym zwolnij klawisz myszki.

Usłyszysz sygnał zrzutu HyperSnap’a. Jeśli otworzysz teraz okno HyperSnap, zobaczysz w nim skopiowany tekst, zachowujący układ i krój czcionek podobny do widzianego na ekranie. Tekst ten jest równocześnie kopiowany do schowka systemowego Windows, możesz więc otworzyć dowolny program edycji tekstu (np. Notatnik, MS Word, okno edycji wiadomości email) i tam wkleić tekst.

Inny sposób rozpoczęcia zrzutu tekstu to wybór menu TextSnap™, pozycji Tekst z regionu w oknie HyperSnap, lub przez wciśnięcie skrótu klawiszowego tej funkcji (domyślnie Ctrl+Shift+T). Zrzut tekstu zainicjowany w ten sposób działa nieco inaczej niż „szybkie kopiowanie tekstu” opisane powyżej. Okno HyperSnap zostaje zminimalizowane po uruchomieniu tej funkcji, i wraca znów na pierwszy plan po jej zakończeniu. Kiedy zakreśla się obszar dla wyboru tekstu, konieczne jest kliknięcie myszką (wciśnięcie i zwolnienie lewego przycisku) dla wybrania początku i końca obszaru, zamiast wciśnięcia, przesunięcia i puszczenia klawisza opisanego wyżej.

Kopiowanie linii tekstu z menu

Kopiowanie tekstu z menu lub innych szybko znikających obiektów jest trudne lub niemożliwe przy użyciu metody wyboru obszaru opisanej wyżej – system operacyjny usunie menu z ekranu zanim TextSnap™ zdąży odczytać tekst. Oto jak można skopiować pojedynczą linię tekstu z menu (albo praktycznie z każdego innego miejsca):

· Otwórz menu w jakimś programie, np. menu Widok w oknie Panela Sterowania i przesuń kursor myszki nad jedną z pozycji tego menu, np. „Wybiersz szczegóły…”.

· Wciśnij i przytrzymaj klawisze Ctrl+Shift i nie poruszając myszką zbyt dużo (w przeciwnym razie uruchomisz metodę szybkiego wyboru tekstu opisaną wyżej) naciśnij PRAWY przycisk myszki.

Usłyszysz ponownie dźwięk jaki HyperSnap wydaje przy dokonaniu zrzutu i skopiowany tekst z pozycji menu będzie umieszczony w schowku systemowym Windows (skąd możesz wkleić go gdziekolwiek) oraz pojawi się wewnątrz okna HyperSnap.

Kopiowanie całego tekstu okienka menu

  1. Otwórz menu, z którego chcesz skopiować tekst i umieść nad nim kursor myszki.
  2. Naciśnij kombinację klawiszy Ctrl+Shift+U aby uruchomić funkcję zrzutu Tekst z obiektu pod kursorem.

Zrzut tekstu z auto-przesuwaniem zawartości okna w dół

Jeśli całość tekstu jaki chcesz skopiować nie jest widoczna na raz w oknie i konieczne jest przesuwanie strony w dół aby wszystek tekst przeczytać, możesz użyć funkcji Tekst z okna z auto-przesuwem albo Tekst z regionu z auto-przesuwem na menu TextSnap™ dla skopiowania całości.


Samouczki zaawansowane

Następujące samouczki objaśniają bardziej zaawansowane funkcje programu HyperSnap:

  • Zrzut wielo-regionowy
  • Zrzuty wielokrotne bez wychodzenia z gry lub programu
  • Zrzuty z auto-przesuwaniem
  • Zrzut z odtwarzaczy video
  • Zrzuty z gier DirectX lub Glide


Zrzuty wielo-regionowe

Tematem tego samouczka będzie zrzut wielo-regionowy. Zrzut wielo-regionowy pozwala na zrzut więcej niż jednego obszaru na monitorze, takiego jak na przykład dwie prostokątne części tego samego okna, albo nawet dwie różne aplikacje okna w tym samym czasie.

Możesz na przykład użyć tej zaawansowanej funkcji dla zrzutu menu kaskadowego (to takie, które rozwija się w dół po jego wybraniu, inaczej też wielopoziomowe). Bardzo przydatne podczas tworzenia dokumentacji oprogramowania.

A oto wyjaśnienie użycia funkcji krok po kroku.

1. Otwórz program HyperSnap a następnie zminimalizuj jego okno do paska zadań. Wcześniej jednak musisz uaktywnić skróty klawiszowe w Menu Ustawienia wybierając Uaktywnij skróty klawiszowe.

2. Otwórz kaskadujące menu w innym programie. Dla przykładu użyjemy jednego z okien foldera systemu Windows. Kliknij na ikonę Mój komputer, a następnie otwórz któryś z dostępnych folderów dysku twardego, otwórz dalej folder, który pokazuje przynajmniej kilka ikon plików, które można użyć do tego celu.

3. Kliknij prawym przyciskiem myszki na dogodną ikonę pliku.

4. Wybierz Plik/Wyślij do, aby mieć otwarte menu.

5. Wciśnij tą oto kombinację skrótu klawiszowego programu HyperSnap: Ctrl+Shift+M, by rozpocząć zrzut wielo-regionowy.

6. Klikaj na każde menu rozwijające się , plus na jedno z menu głównego paska narzędzi (Plik, czy Edycja..)

Aby zademonstrować dodatkowe właściwości tej opcji programu HyperSnap dodajemy następny z możliwych kroków: jeśli jesteś w opcji Zrzut wielo-regionowy przełączymy się na opcję Zrzutu Regionu...

1. Wciśnij i przytrzymaj prawy przycisk myszki, wybierz Region i zakreśl myszką jakikolwiek inny obiekt na ekranie (np. zakreśl ikonę pliku danych).

2. Wciśnij przycisk Enter na klawiaturze, by zakończyć zrzut regionu.

Obejrzyj zawartość okna HyperSnap i zobaczysz, że wszystkie wybrane regiony zostały zrzucone, a obszar między nimi został wypełniony wybranym kolorem tła (kolor ten można ustawić za pomocą funkcji z menu Zrzuty - Ustawienia zrzutów, zakładka Zrzut).


Zrzuty wielokrotne bez wychodzenia z gry lub programu

Samouczek ten opisuje jak dokonać wielokrotnego zrzutu ekranu bez wychodzenia z gry lub innego programu celem zapisania lub wydrukowania ich.

Pod menu Zrzuty – Ustawienia zrzutów włącz opcje Szybkie zapisywanie lub Automatycznie drukuj każdy zrzut (zakładka Kopia i wydruk). W ten sposób każdy zrzucany obraz będzie automatycznie zapisywany do pliku lub drukowany. Jeśli włączysz Szybkie zapisywanie, co polecamy najbardziej, możesz je ustawić na automatyczne numerowanie plików, nadając im nazwy jak Zrzut001.bmp, Zrzut002.bmp itd. dla każdego naciśnięcia klawiszy zrzutu. Następnie, kiedy zakończysz sesję zrzutów, możesz wrócić do okna HyperSnap i przejrzeć dokonane zrzuty naciskając klawisze Page Up i Page Down (klawisze przerzucania strony w górę i w dół, zwykle znajdujące się obok klawiszy ze strzałkami).


Zrzuty z auto-przesuwaniem

Uwaga: Jeśli używasz systemu Windows XP lub nowszego, HyperSnap oferuje dodatkową metodę zrzutów okien większych niż ekran. Funkcja ta to Rozciągnięte aktywne okno znajdująca się na menu Zrzuty, pozwalająca określić rozmiar zrzucanego okna w pikselach. Rozmiar ten może być zarówno szerszy, jak i wyższy niż dostępny obszar ekranu.

Zrzutu z auto-przesuwem dokonuje się w następujący sposób:

1. Ustaw zawartość okna do zrzutu z pionowym paskiem przesuwu na początek strony albo na miejsce od którego chcesz zacząć zrzut.

2. Wróć do okna HyperSnap i z menu Zrzuty wybierz funkcję Cała strona z auto-przesuwaniem – lub użyj skrótu klawiszowego Ctrl+Shift+S. Okno HyperSnap zniknie. Przesuń kursor myszki nad okno którego zawartość chcesz zrzucić i kliknij gdzieś wewnątrz tego okna (nie na pasek przesuwania!). Obserwuj jak HyperSnap przesuwa zawartość okna jednocześnie ją kopiując. Jeśli chcesz zakończyć zrzut wcześniej, naciśnij klawisz Escape (Esc), w przeciwnym razie zaczekaj aż zrzut zakończy się samoczynnie.

Uwaga: Auto-przesuwanie nie działa dla wszystkich aplikacji z pionowym paskiem przesuwu. Niektóre programy lub strony WWW mogą zawierać fragmenty animowane lub nie-przesuwalne, które uniemożliwią HyperSnap poprawne „sklejanie” przechwyconych fragmentów obrazu. Najpopularniejsze przeglądarki WWW, takie jak Internet Explorer, Netscape czy Mozilla współpracują z tą funkcją dość dobrze.

Uwaga: HyperSnap nie oferuje poziomego auto-przesuwania. Jeśli chcesz zrzucić coś, co jest szersze niż dostępny obszar ekranu, spróbuj najpierw przełączyć ekran na wyższą rozdzielczość (np. 1280x1024, niektóre systemy oferują jeszcze więcej). Jeśli to nie wystarcza, można skopiować obraz w osobnych pionowych pasach i „skleić” je za pomocą funkcji kopiowania/wklejania, lub można zastosować funkcję zrzutu Rozciągniętego aktywnego okna jeśli pracuje się pod systemem Windows XP lub nowszym.


Zrzut z odtwarzaczy video

Obrazu z video odtwarzanego pod systemem Windows, niezależnie od tego czy z pliku, z Internetu lub z dysku DVD lub VCD, nie można przechwycić zwykłymi metodami zrzutów ekranowych, ponieważ jest ono zwykle odtwarzane przy użyciu tzw. nakładek sprzętowych. Taka nakładka jest nieomal jak mały osobny ekranik ustawiony przed monitorem wyświetlającym pulpit systemu Windows. Pulpit ten, w miejscu gdzie wyświetlane jest video w nakładce, zawiera tylko tzw. „kolor kluczowy nakładki” – zwykle czarny, niebieski, fioletowy lub różowy, ale może to być dowolny kolor.

Program dokonujący zrzutu ekranowego przechwyci tylko ten kolor kluczowy w miejscu gdzie znajduje się nakładka, co daje dość nieoczekiwany efekt. Jeśli film jest nadal odtwarzany w tej nakładce, a przechwyci się prostokąt o kolorze kluczowym w okno HyperSnap (lub innego podobnego programu) i przesunie okno HyperSnap tak, aby przykrywało częściowo lub całkowicie okno odtwarzacza video – będzie widoczny obraz video w tych miejscach, gdzie przechwycono kolor kluczowy. Wygląda to trochę jak gdyby okno HyperSnap miało „dziurę”, przez którą pokazuje się film. Dzieje się tak dlatego, że sterownik nakładki sprzętowej jest zaprogramowany aby pokazywać video wszędzie tam, gdzie pulpit lub pracujące w nim programy zawierają kolor kluczowy.

Jak poradzić sobie z tym problemem? Są dwa sposoby. W pewnych odtwarzaczach video (np. Windows Media Player, Real Player) można wyłączyć „przyśpieszenie sprzętowe” poprzez ich menu czy panele ustawień i opcji. W ten sposób wyłącza się używanie nakładek sprzętowych dla odtwarzania video i jest ono odtwarzane normalnie, wewnątrz pulpitu systemu Windows, skąd każdy program dokonujący zrzutów ekranowych może je przechwycić.

Innym sposobem wyłączenia używania nakładek sprzętowych przy odtwarzaniu video na większości systemów jest wyłączenie „przyśpieszenia sprzętowego” sterownika graficznego w następujący sposób:

· Kliknąć prawym przyciskiem myszki na pusty pulpit Windows i wybrać „Właściwości” z menu.

· Kliknąć na zakładkę „Ustawienia”.

· Kliknąć przycisk „Zaawansowane”.

· Kliknąć zakładkę „Rozwiązywanie problemów”.

· Przesunąć suwak „Przyspieszanie sprzętowe:” w lewo na pozycję „Brak” i kliknąć na oba przyciski OK.

· Jeśli program odtwarzający video był cały czas otwarty, należy go całkowicie zamknąć i na nowo wystartować. Teraz można uruchomić odtwarzanie video i zrzucać z niego obrazy przy użyciu dowolnego narzędzia zrzutów ekranowych, np. HyperSnap.

Po zakończeniu sesji zrzutów warto przywrócić ustawienie suwaka „Przyśpieszenie sprzętowe” na pierwotną pozycję.

Inny sposób (jeśli nie możesz lub nie chcesz wyłączyć używania nakładek sprzętowych) to użyć funkcji „Zrzutów specjalnych” HyperSnap, opisanej poniżej.

Poniższy sposób dokonywania zrzutów video może działać lub nie, zależnie od tego, jakiej wersji odtwarzacza video się używa i na jakim sprzęcie. Procedura zrzucania obrazów z video lub DVD jest następująca:

1. Wybierz funkcję „Włącz zrzuty specjalne (DirectX, Glide)...” z menu „Zrzuty”. Włącz obie opcje: „DirectX/Direct3D powierzchnia pierwotna” i „Nakładka DirectX, np. DVD, video”. Kliknij przycisk OK.

2. Uruchom odtwarzacz video lub DVD, zatrzymaj film na klatce, którą chcesz zrzucić, kliknij na okno odtwarzacza video tak, aby było ono na pierwszym planie i aktywne, po czym naciśnij klawisz Scroll Lock na klawiaturze (zwykle u góry po prawej stronie klawiatury). Jest to systemowy klawisz skrótu programu HyperSnap dla funkcji zrzutów specjalnych.

3. Kliknij na okno HyperSnap aby zobaczyć co zostało zrzucone. Jeśli nie widzisz tam obrazu zrzuconej klatki filmu, oznacza to prawdopodobnie, że ta metoda nie będzie działać na Twojej maszynie.

4. Jeśli faktycznie widzisz zrzucony obraz z filmu w oknie HyperSnap, lecz ma on złe proporcje, lub może powtarza się kilka razy, możesz obciąć i przeskalować obraz do odpowiednich proporcji przy pomocy funkcji na menu „Obraz” programu HyperSnap. Jeśli musisz wykonać wiele takich zrzutów, możesz ustawić automatyczne obcinanie lub skalowanie każdego zrzuconego obrazu przy pomocy funkcji „Ustawienia zrzutów...” na menu „Zrzuty”. Ustawia się to na zakładce „Przytnij i skaluj”. W ten sposób możesz automatycznie wycinać obrazy powtórzone (tak aby pozostał tylko jeden) i przeskalować je do poprawnych proporcji. Prosimy nie zapomnieć wyłączyć tej funkcji automatycznego przycinania i skalowania po zakończeniu sesji zrzutów z video, tak aby nie były one również aplikowane do normalnych zrzutów ekranowych z pulpitu później.

5. Jeśli powyższa metoda „zrzutów specjalnych” nie działa na Twoim systemie (zamiast klatki filmu zrzucany jest cały pulpit lub jego część z kolorem kluczowym w miejscu gdzie powinien być obraz video), oznacza to, że na tym systemie HyperSnap nie może zrzucać video w ten sposób i konieczne jest wyłączenie używania nakładek sprzętowych dla zrzutów z video, opisane na początku tego rozdziału.


Zrzuty DirectX lub Glide

Temat tego rozdziału często przysparza wiele problemów, dlatego, że programy DirectX (lub starszy jeszcze Glide) i ich dane nie są częścią pulpitu Windows. Aplikacja DirectX wyświetlona jest na całym ekranie, co znaczy, że jest bardziej lub mniej podobna do starego systemu DOS, dlatego zrzucanie zawartości video może być trudne.

Recenzenci gier komputerowych (albo nawet ludzie, którzy chcą pokazać jak dobrze grają) mogą zrzucić serie obrazów z postępującej gry na pełnym ekranie. Mogą to uczynić bez zaprzestania gry dla zapisywania każdego zrzuconego obrazu w nazwanym pliku. Oto wyjaśnienie jak tego dokonać.

Na samym początku musisz otworzyć Ustawienia zrzutów, a następnie wybrać zakładkę Szybkie zapisywanie. Ustalisz tutaj pewne ustawienia przed zrzucaniem.

· Zaznacz Automatycznie zachowaj każdy zrzut do pliku.

· Następnie, jeśli nie chcesz używać domyślnej nazwy pliku dla zrzutów, kliknij przycisk Zmień, który znajduje się tuż obok pola dla nazwy pliku. Wpisz ścieżkę pliku i na samym końcu jego nazwę np. TEST, do którego będą posyłane zrzucone obrazy.

· Wciśnij Zapisz, a domyślna nazwa pliku zostanie zamieniona na wybraną przez ciebie.

· Zaznacz pole przy Dodawaj numer zwiększony o, i w polu tuż poniżej Zacznij od wprowadź 1. W polu za Zatrzymaj na wybierz numer, jaki chcesz. My domyślnie wpisaliśmy 100. Pozwoli ci to na zrzucenie aż do 100 zrzutów bez każdorazowego nazywania pliku.

· Przykładowo, jeśli ustawiłeś od 1 do 100, twoje pliki będą kolejno nazywane od Test001.bmp do TEST100.bmp. Ilość cyfr w nazwie pliku jest wybrana poprzez liczbę, która została wstawiona w polu okienka przy Zatrzymaj na. Przykładowo, aby pobrać serię obrazów zaczynającą się od TEST01.bmp, użyj dwóch cyfr, na przykład "99," jako ostatnią liczbę.

· Sprawdź inne wartości dla Ustawień zrzutów, aby się upewnić, że posiadają wartości jakich potrzebujesz. (Jeśli nie zmienisz ich z domyślnych, prawdopodobnie będą prawidłowe).

· Zamknij okno Ustawienia Zrzutów.

· Otwórz na nowo menu Zrzuty i kliknij na Włącz zrzuty specjalne.

· Tutaj należy wybrać, jaki rodzaj zrzutu chciałbyś stworzyć. Jeśli twoja gra używa technologii Glide (na przykład, starszy sprzęt od 3dfx), wtedy powinieneś wybrać 3dfx. Jeśli jednak nie jesteś pewien, zaznacz wszystkie trzy, jakie są dostępne, albo tylko dwie pierwsze. W zależności od tego, które są dostępne. Resztą zajmie się program HyperSnap.

· Zauważ, że jeśli nie masz zainstalowanych sterowników dla danego rodzaju sprzętu na liście, ta opcja będzie dla ciebie niedostępna (najczęściej 3dfx Glide w nowszych komputerach).

· Kliknij OK dla aktywacji specjalnych zrzutów.

· Zminimalizuj HyperSnap.

· Przejdź do wybranej gry. Wybierz moment gry, od którego chcesz zacząć zrzucać obrazy.

· Wciśnij właściwy skrót klawiszowy w momencie, w którym chcesz zrzucić obraz (domyślnie jest to klawisz Scroll Lock, ale możesz go zmienić na menu Zrzuty – Skróty klawiszowe dla zrzutów ekranu).

· Plik z zrzuconym obrazem zostanie zapisany w wybranym przez ciebie katalogu dyskowym (folderze), używając nazwy, jaką sam ustawiłeś (pod Ustawienia zrzutów - Szybkie zapisywanie). Możesz stworzyć więcej zrzutów poprzez powtarzanie wciskania skrótu klawiszowego dopóki nie osiągniesz zamierzonego celu. Uważaj, by nie zrzucić więcej obrazów niż zostało to ustalone, w przeciwnym razie zaczniesz zapisywać nowe zrzuty w miejsce tych pierwszych.

· Wyjdź z gry, kiedy zrzucisz już wszystkie obrazy, które chciałeś, sprawdź też zrzucone pliki za pomocą przerzucania stron w górę lub na dół (wciskanie klawiszy Page Up, Page Down).


Menu programu HyperSnap

Niniejszy rozdział opisuje menu programu HyperSnap i wszystkie dostępne na nim funkcje.


Nowy

Tworzy nowy plik obrazu. Ten obraz będzie posiadał te same rozmiary, jakie są wyszczególnione na pasku narzędzi rysunkowych po kliknięciu narzędzia Zmiana rozmiaru i kolor tła ustawiony pod menu Zrzuty/Ustawienia zrzutów na zakładce „Zrzut” - Domyślny kolor tła dla zrzutów.


Otwórz

Otwiera istniejący plik graficzny.

Włącz podgląd

Włącz tą opcję, aby zobaczyć mały podgląd graficzny zaznaczonego obrazu z listy plików.

Numer strony do otwarcia

Jeśli otwierasz obraz z pliku w tak zwanym formacie wielo-stronicowym, możesz wprowadzić numer obrazu (strona wewnątrz pliku), który chcesz otworzyć. Jeśli zaznaczysz jakiś plik na liście, HyperSnap wyświetli obok całkowitą liczbę stron w tym pliku.

Informacja

Kliknij, by wyświetlić szczegółowe informacje o zaznaczonych pliku.


Zapisz jako

Zapisuje bieżący obraz w graficznym pliku, zgodnie z formatem wyszczególnionym i nazwą, którą nadałeś w okienku Zapisz jako, które się pojawi.

Zminimalizuj okno HyperSnap

Zaznacz tą opcję, jeśli chcesz automatycznie zminimalizować okno programu po naciśnięciu przycisku Zapisz.

Pod-format

Wybierz właściwości dotyczące pod-formatu dla zapisu wybranego pliku. Te właściwości decydują, czy plik ma być skompresowany czy nie i przy pomocy jakiej metody, itp. zależnie od tego, jaki typ pliku wybrałeś.

Zachowaj akt.

Zaznacz tą opcję wtedy, kiedy zapisując twój dokument, HyperSnap nie zmienia bieżącej liczby kolorów obrazu na piksel (czasami nazywana jest ona rozdzielczością koloru).

Najlepsza

Zaznacz tę funkcję, aby HyperSnap sprawdził obraz i spróbował ustawić liczbę kolorów na piksel na najniższą możliwą wartość, przy zachowaniu najwyższej jakości obrazu. Pozwala to zredukować rozmiar pliku, jeśli wysoka liczba kolorów na piksel nie będzie wymagana dla zachowania jakości obrazu. Na przykład: pewien obraz może być ustawiony na 32 bitów na piksel, choć aktualnie wymaga jedynie wyświetlenia 200 kolorów. Możesz zatem zredukować rozmiar obrazu na mniejszy, 8 bitowy - zmiana ta będzie praktycznie niewyczuwalna i nie wpłynie negatywnie na widok obrazu.

1 bit na piksel

Wybierz, by zapisać obraz z rozdzielczością koloru 1 bit na piksel, co pozwoli wyświetlić tylko dwa kolory na obrazie. Może to być biały i czarny (jeśli wybrałeś Std. w oknie narzędzi rysunkowych), albo optymalne kolory ze wszystkich pikseli obrazu.

4 bity na piksel

Wybierz, by zapisywać obraz w rozdzielczości 4 bitów na piksel, która pozwoli na wyświetlenie do 16 kolorów na obrazie.

8 bitów na piksel

Wybierz, by zapisywać obraz w rozdzielczości 8 bitów na piksel, która pozwoli na wyświetlenie do 256 kolorów na obrazie.

16 bitów na piksel

Wybierz, by zapisywać obraz w rozdzielczości 16 bitów na piksel, która pozwoli na wyświetlenie do 65536 kolorów na obrazie.

24 bity na piksel

Wybierz, by zapisywać obraz w rozdzielczości 24 bitów na piksel, która pozwoli na wyświetlenie milionów kolorów na obrazie.

32 bity na piksel

Wybierz, by zapisywać obraz w rozdzielczości 32 bity na piksel, która pozwoli na wyświetlenie wielu milionów kolorów na obrazie.

Paleta: Optymalna

Jeśli zapiszesz obraz w rozdzielczości koloru 1, 4 albo w 8 bitach na piksel, opcja ta ustawi HyperSnap na wybór tabeli koloru dla twojego obrazu, jaka będzie najlepszym rozwiązaniem dla wszystkich kolorów w oryginalnym obrazie.

Paleta: Standardowa

Kiedy zapisujesz jakiś obraz w 1,4, albo w 8 bitach na piksel rozdzielczości koloru, opcja ta tak ustawi program HyperSnap, by wybrał standardową paletę systemu Windows dla twojego obrazu. Ta paleta koloru zminimalizuje na pulpicie migotanie kolorów, kiedy system pracuje w trybie 256 kolorów. Podczas zapisywania obrazu w rozdzielczości 1 bit na piksel, dokona się zmiana obrazu na czarnobiały (nie na skalę szarości).

Wskaźnik jakości

Niektóre formaty plików (na przykład JPEG) kompresują obrazy poprzez obniżenie ich jakości. Jeśli wybierzesz taki format, funkcja ta pozwoli ci na automatyczne ustawienie jakości, czyli jej obniżenie. Wyższa wartość jakości powoduje lepszy obraz.

Obniżenie jakości może być niezauważalne na pierwszy rzut oka, choć może być widoczne na ostrym i dokładnym zrzucie obrazu. Spróbuj wprowadzić różne wartości jakości na różniących się od siebie typach obrazów, aby porównać je i zrozumieć lepiej tą funkcję.

Dołącz

Wybierz tę opcję aby dołączyć bieżący obraz do pliku graficznego jako następną jego „stronę”. Możliwość ta jest dostępna tylko dla niektórych formatów plików graficznych, takich jak GIF, TIFF lub format ICO dla ikon systemu Windows.

Progresywny/Z przeplotem

Zaznacz tą opcję, aby zapisać plik w tak zwanym „progresywnym" albo „przeplatanym" formacie.

Opis tej opcji zależy od typu pliku, jaki wybierzesz. Ta właściwość obrazu jest dostępna jedynie dla niektórych typów plików, takich jak GIF, JPG, albo CMP. Właściwość ta pozwala widzowi zobaczyć plik szybko, ze szczegółami ukazującymi się w kolejnych fazach odtwarzania takiego pliku. Zazwyczaj opcja ta jest używana dla wyświetlania obrazów na stronach WWW, także ogólnie używana jest tam, gdzie plik może być przesyłany przez zbyt powolne łącza z siecią. GIF oferuje format Przeplatany, a JPG i CMP Progresywny.

Przezroczysty

Zaznacz tą opcję, by zapisać plik wraz z właściwościami przezroczystego tła. Opcja ta jest możliwa jedynie dla pewnych formatów plików, które zawierają przezroczystą wartość wewnątrz ich struktur danych (jak GIF czy PNG). Kolor, który wybrałeś jako kolor tła, będzie kolorem używanym do wypełniania przezroczystych przestrzeni.

Zapisz zmiany

Kliknij ten przycisk, aby zapisać wybrane opcje jako opcje domyślne na przyszłość, bez zapisywania obrazu, nad którym aktualnie pracujesz w oknie programu.


Załaduj na serwer FTP

Funkcja ta pozwala na załadowanie bieżącego obrazu na serwer FTP do którego posiadasz dostęp umożliwiający zamieszczanie tam plików. Po jej wybraniu pojawia się okienko dialogowe umożliwiające wprowadzenie adresu serwera FTP, nazwy użytkownika i hasła itd. Górna część tego okienka podobna jest do okna Zapisz jako i umożliwia specyfikację formatu graficznego i jego różnych opcji dla pliku do załadowania.

Nazwa pliku na serwerze

Wprowadź tu nazwę pliku na serwerze wraz ze ścieżką do foldera w którym ten pliku ma być zapisany. Zauważ, że jeśli wpiszesz ścieżkę do foldera, który nie istnieje i nie posiadasz prawa tworzenia folderów na tym serwerze, próba załadowania pliku nie uda się.

Jeśli wpiszesz tylko nazwę pliku, bez ścieżki do foldera, plik zostanie umieszczony w domyślnym folderze serwera dla plików ładowanych przez ftp z twojego konta. Jeśli masz wątpliwości, zostaw ścieżkę niezdefiniowaną, i zapytaj administratora, w jakim folderze znajdą się przesłane pliki.

Serwer FTP (nazwa lub adres IP)

Wprowadź tutaj nazwę serwera używanego (np company.com). Oczywiście musisz posiadać dostęp do takiego serwera w celu wysyłania tam plików.

Port

Jest numer portu protokołu IP. Większość użytkowników nie musi zmieniać tej wartości. Zaawansowani jednak, którzy muszą ją zmienić, powinni wiedzieć, w jaki sposób to zmienić. W razie wątpliwości zostaw wartość domyślną 21.

Użytkownik

Tu wprowadzisz nazwę użytkownika, która pozwala ci na użycie serwera FTP. Musisz wprowadzić dokładnie taka sama nazwę, którą otrzymałeś od administratora sieci, albo próba połączenia nie uda się. Ważna jest dokładność we wprowadzaniu nazwy. Skontaktuj się z twoim administratorem, jeśli będzie problem z połączeniem.

Hasło

Wprowadź tu hasło dostępu, które otrzymałeś od administratora sieci. Ważna jest dokładność hasła, wiec upewnij się, że hasło jest poprawne przed jego wprowadzeniem.

Zapamiętaj hasło

Zaznacz tą opcję a HyperSnap zapamięta twoje hasło. Jeśli jesteś jedynym użytkownikiem twojego komputera, funkcja ta pozwoli ci na automatycznym wprowadzaniu hasła, przez co zaoszczędzisz sobie czasu, logując się za każdym razem. Jeśli jednak chcesz zachować wszystkie środki ostrożności musisz zostawić puste, niezaznaczone okienko.

Używaj trybu pasywnego (PASV)

Niektóre serwery FTP wymajają tego ustawienia. Jeśli masz problemy z połączeniem się z serwerem, spróbuj uaktywnić tryb PASV, albo skontaktuj się z administratorem serwera, by uzyskać pomoc.

Ustawienia serwera Proxy

Jeśli używasz serwera Proxy, potrzebny jest adres serwera, za pomocą którego możesz się bezpośrednio łączyć z jakimkolwiek serwisem. To może być na przykład WinProxy - oprogramowanie, albo narzędzie sprzętu jak router. Większość połączeń komputerowych używa DSL, które nie potrzebują takich ustawień dla połączenia się z Internetem.

Kopiuj tekst linku do schowka…

Jeśli kliknie się w to pole, kiedy opcja nie jest zaznaczona, pojawia się okno Definicja linku, w którym można podać dokładną definicję linku do pliku obrazu ładowanego na serwer FTP i która powinna zostać wstawiona w kod HTML określonej strony. Natychmiast po załadowaniu obrazu na serwer tekst tego linku kopiowany jest do schowka i może zostać wklejony w edytorze HTML.

Jeśli kliknie się w to pole, kiedy zawiera ono już znaczek wyboru, znak jest usuwany i kopiowanie linku zostaje wyłączone.

Nazwa profilu FTP

Możesz zapisać wszystkie informacje potrzebne do dostępu do każdego serwera FTP, w tzw. “profilu” - zawiera on adres serwera, port, nazwę użytkownika itd.

Wpisz po prostu nazwę swojego profilu w polu Nazwa profilu FTP, a następnie kliknij Zachowaj profil FTP.

Dla przywrócenia wcześniej zapisanych informacji, kliknij na strzałkę zwróconą ku dołowi, aby wybrać jedną nazwę z ukazującej się listy. A jeśli chciałbyś usunąć wcześniej zapisany profil, ponownie wybierz nazwę z listy i kliknij Skreśl wybrany profil.

Uwaga: jeśli wybierzesz opcję zapamiętania swojego hasła, zauważ, że będzie ono zapisane w rejestrze systemowym. Ktoś przypadkowo przeglądający zapis nie będzie mógł odczytać hasła, ale doświadczeni hakerzy albo ktoś, kto podczas pracy programu HyperSnap posługuje się programem do wykrywania i usuwania błędów, może odcyfrować twoje hasło. Bądź ostrożny i nie zapisuj hasła bez potrzeby.


Definicja linku

W okienku tym można podać definicję tekstu linku, który zostanie automatycznie skopiowany do schowka systemowego po poprawnym załadowaniu pliku na serwer FTP. Definicja może zawierać makra wyszczególnione poniżej, które zostaną zastąpione stosownym tekstem. Jeśli na przykład w okienku dialogowym załadowania na serwer FTP wprowadzono następujące dane:

Nazwa pliku na serwerze: /img/Snap7.jpg

Serwer FTP: www.myserver.com

a obraz załadowany miał 300 pikseli szerokości i 250 pikseli wysokości, następujący tekst:

<img src="http://%server%%path%" height="%height%" width="%width%">

zostanie rozwinięty na:

<img src="http://www.myserver.com/ img/Snap7.jpg" height="250" width="300">

Tak rozwinięty tekst będzie automatycznie umieszczony w schowku systemowym po poprawnym załadowaniu tego pliku na serwer, skąd można go łatwo wkleić w edytowane strony HTML.

Pole edycji linku i pole podglądu rozwiniętego tekstu

Duże białe pole po lewej to obszar, w który można kliknąć i wpisać tam tekst linku. Szare pole podglądu poniżej pokazuje tekst po rozwinięciu znaczeń wprowadzonych makro.

Przyciski po prawej ułatwiają wprowadzanie makr.

Plik

Przycisk ten wprowadza makro %file% w edytowany tekst linku. Makro to rozwijane jest do nazwy załadowanego pliku, bez uwzględnienia ścieżki pliku.

Ścieżka

Przycisk ten wprowadza makro %path% w edytowany tekst linku. Makro to rozwijane jest do pełnej nazwy załadowanego pliku obrazu, łącznie ze ścieżką.

Szerokość

Przycisk ten wprowadza makro %width% w edytowany tekst linku. Makro to rozwijane jest do szerokości załadowanego obrazu w pikselach.

Wysokość

Przycisk ten wprowadza makro %height% w edytowany tekst linku. Makro to rozwijane jest do wysokości załadowanego obrazu w pikselach.

Serwer

Przycisk ten wprowadza makro %server% w edytowany tekst linku. Makro to rozwijane jest do nazwy serwera FTP, jaką wprowadzono w oknie dialogowym Załaduj na serwer FTP.

Użytkownik

Przycisk ten wprowadza makro %user% w edytowany tekst linku. Makro to rozwijane jest do nazwy użytkownika, jaką wprowadzono w oknie dialogowym Załaduj na serwer FTP.


Zamknij

Zamyka okienko dokumentowe z obrazem. Jeśli na obrazie dokonałeś jakichś zmian i nie zapisałeś tego obrazu, program zapyta czy chcesz zachować zmiany.


Pozyskaj z TWAIN

Jeśli posiadasz skaner podłączony do twojego systemu możesz użyć tej opcji, by importować i wstawić w obszar pracy HyperSnap obrazy ze skanera. Jeśli nigdy wcześniej tego nie zrobiłeś musisz najpierw wybrać źródło dla HyperSnap w funkcji Wybierz źródło znajdującej się w Menu plik.


Wybierz źródło

Używaj tej funkcji, aby wybrać źródło z dostępnych urządzeń skanowania obrazów w twoim systemie. Jeśli masz więcej niż jedno, zobaczysz listę urządzeń, dla których zostały zainstalowane sterowniki TWAIN. Wybierz jeden z nich, który chciałbyś użyć do skanowania i kliknij Wybierz (Select).


Drukuj

Wyświetla okno dialogowe drukowania, następnie drukuje bieżący obraz. Obraz będzie wydrukowany zależnie od tego, jak ustawisz opcje używając okna Ustawienia strony.


Podgląd

Funkcja ta pokaże ci tuż przed wydrukiem, jak będzie wyglądał twój obraz po wydrukowaniu go.


Ustawienia strony

Z okna, które się ukaże możesz ustalić dokładny plan wydruku strony. Opcje są jasne do zrozumienia i zawierają wybór rozmiaru kartki, rozmiar marginesu, i to czy chcesz, lub nie, aby dokument był drukowany w orientacji pionowej lub poziomej.

Istnieje także możliwość uprzedniego podglądu na okienku Ustawienia strony, co da ci dobry przykład, jak twój dokument będzie wyglądał, kiedy go wydrukujesz.

Kolory

Tutaj możesz wybrać pewne funkcje takie jak: Inwersja czerni i bieli (zamiana czerni na biel i odwrotnie), Tylko czarno-biały (zmienia obraz z kolorowego lub szarego na czarny i biały, co pozwoli ci na wydruk obrazu drukarką, która nie drukuje w kolorach, jak np. drukarka Dot-matrix) lub Dodaj ramkę (rysuje ramkę wokół twojego obrazu, szczególnie przydatne wtedy, gdy twój obraz zawiera białe lub bardzo jasne obszary, które powodują zlewanie się wtedy obrazu z jasnym kolorem tła).

Dopasuj

Umożliwia wybór położenia strony papieru dla twojego obrazu. Jeśli obraz jest szerszy niż wyższy, HyperSnap wybierze poziomą orientację strony i wtedy wydrukuje obraz.

Wyśrodkuj obrazek

Zaznacz tą opcję, aby umieścić obraz na środku strony, centralnie. Jeśli nie zamierzasz obcinać białego obszaru wokół twojego obrazu, ta funkcja to dobry pomysł, by sprawdzić, jak się będzie prezentował twój obraz w ten sposób umieszczony na stronie (takie ustawienie sprawi, że obraz będzie się prezentował bardziej estetycznie na stronie).

Auto-dopasuj całą stronę

Skaluj obraz zmniejszając go lub zwiększając tak, by zapełnić obrazem obszar strony w obrębie marginesów, zachowując jednak wszystkie jego proporcje.

Auto-dopasuj na szerokość

Skaluj obraz zmniejszając go lub zwiększając tak, aby zapełnić nim przestrzeń między marginesami na całej szerokości strony, zachowując jednocześnie wszystkie proporcje obrazu. Za pomocą tej opcji, w przeciwieństwie do Auto-dopasuj całą stronę wydruk może się rozciągnąć na wielu stronach.

Skaluj

Wybierz tą opcję jeśli chcesz ręcznie skalować obraz do wydruku. Wartości powyżej 100% rozszerzą wydrukowany obraz, niższe wartości natomiast spowodują jego skurczenie się.

Dopasuj jeśli za duży

Opcja ta powoduje zmiany podobne do Auto-dopasuj całą stronę, ale tylko wtedy, gdy czynnik skalowania mógłby zmienić obraz na zbyt duży, aby dopasować go do strony.

Nagłówek i stopka

Kliknij ten przycisk, by wstawić napisy: górny-nagłówek i dolny-stopka, które chciałbyś dodać do obrazu. Tekst wprowadzasz w polach, które ukażą się po wybraniu tej opcji. Możesz także ustalić dokładne rozmieszczenie nagłówka i stopki oraz rozmiar czcionki wprowadzanego tekstu.

Rozmiar czcionki

Wstaw tu rozmiar czcionki w skali „punktów”, które są równe 1/72 cala.

Tekst nagłówka

Wprowadź tu tekst nagłówka, który umieszczony zostanie na wydrukowanej stronie nad obrazem, który drukujesz.

Wyrównaj. Opcje: Do lewej, Środek i Do prawej

Wybierz jedną z tych opcji dla wyrównania nagłówka tekstu: do lewej, środek, albo do prawej.

Tekst stopki

Wprowadź tu tekst, który pojawi się na drukowanych stronach poniżej obrazu.


Wyślij E-mailem

Funkcja ta spróbuje skontaktować się z twoim programem skrzynki pocztowej, aby wysłać bieżący obraz jako załącznik graficzny. Poproszony będziesz wtedy o podanie nazwy pliku, plus o ustawienie zawartości tak, jak ustawia się jakąkolwiek inna zawartość załącznika wysyłanego przez użytkownika E-mail.


Ustaw jako tapetę

Ta funkcja ustawi bieżący dokument wyświetlony w oknie HyperSnap jako tapetę Windows'a. Obraz ten musi być zamieniony na odpowiedni format a twoje obecne tło pulpitu zostanie zmienione na obraz z nowo wybranego pliku.

Otrzymasz także opcje, aby umieścić tapetę centralnie, w siatkę albo rozciągnąć go tak, aby zmieścić poprawnie tapetę w twój bieżący pulpit stosownie do rozdzielczości ekranu, jeśli obraz jest mniejszy niż twój pulpit. (Rozciąganie może spowodować pewne zniekształcenie obrazu, jeśli obraz nie ma takich samych proporcji w poziomie i pionie jak pulpit Windows'a).

Nazwa tapety

Pole to wyświetli nazwę pliku obrazu twojej nowej tapety. Aby zmienić nazwę i lokalizację pliku kliknij przycisk Przeglądaj.

Opcje: środek/ siatka/ rozciągnij

Środek - wyświetli twoją tapetę na środku twojego pulpitu.

Siatka - wyświetli obraz tapety w postaci wielu obrazków, tworząc siatkę złożoną z ułożonego kolo siebie tego samego obrazka tak, by nim zapełnić cały ekran.

Rozciągnij - rozszerzy (albo zwęży, jeśli będzie taka potrzeba) obraz tak, by zapełnić cały twój pulpit. Mogą się pojawić pewne zniekształcenia na niektórych obrazach, jeśli są małe, lub mają inne proporcje, niż twój pulpit.

Usuń tapetę

Przycisk ten usunie bieżący obraz tapety i przywróci klasyczny wygląd pulpitu.


Wyjście

Wyjście z HyperSnap. Funkcja zapyta czy zapisać obrazy przez Ciebie edytowane, które jeszcze nie zostały zapisane.


Cofnij

Ta opcja cofa ostatnią operację wykonaną przez ciebie, jeśli tylko była to operacja dokonana na otwartym obrazie. Na przykład, jeśli zmieniłeś kolor i nie podoba ci się rezultat, możesz użyć natychmiast tej opcji, aby powrócić do poprzedniego obrazu. Możesz cofnąć nie więcej niż 10 ostatnio dokonanych operacji na obrazie.


Ponów

Ponowne wykonanie uprzednio cofniętej operacji. Możesz przełączać stan obrazu z Cofnij i przez to porównywać ostatni obraz, oceniając który z nich daje lepszy efekt.


Wytnij

Skopiuj wybrany region do schowka Windows'a, później wyczyść obszar wypełniając go bieżąco wybranym kolorem tła. Jeśli zaznaczysz region przy użyciu narzędzia Wybierz Obszar, tylko ten region będzie skopiowany, w przeciwnym razie cały obraz zostanie wysłany do schowka. Obszar, który wytniesz będzie gotowy do tego, by usytuować go albo wkleić go w innym miejscu tego samego obrazu, albo w inny obraz otwarty w innym okienku programu HyperSnap, bądź tez w innym programie.


Kopiuj

Kopiuje wybrany obszar bieżącego obrazu, jeśli taki obszar został wybrany przy pomocy narzędzia Wybór obszaru na pasku narzędzi rysunkowych, a w przeciwnym razie kopiuje cały obraz. Skopiowany fragment lub całość obrazu umieszczany jest w „schowku” systemowym Windows (ang. Clipboard) i jest teraz dostępny w funkcji „wklejania” na inne miejsca tego samego obrazu, na inne obrazy otwarte w HyperSnap lub do innych programów akceptujący obrazy (np. MS Word).


Wklej

Wkleja zawartości ze schowka Windows (zakładając, że zawiera on odpowiedni format obrazu) w bieżący obraz. Obraz ten pobiera wklejony fragment w bieżący obszar wyselekcjonowany albo w górny lewy róg, jeśli taki obszar nie został wyselekcjonowany. Zaraz po wklejeniu możesz uchwycić wklejony obraz lewym przyciskiem myszki i przesuwać go dowolnie.


Wklej jako nowy obraz

Jeśli w bieżącym schowku Windows'a znajduje się zgodny obraz, ta funkcja otwiera go w oknie nowego dokumentu HyperSnap.


Format kopi

Ta opcja pozwala ci na dokładne określenie formatu obrazu kopiowanego do schowka Windows'a. Większość użytkowników nie potrzebuje a nawet nie powinno zmieniać tej opcji. Jeśli jednak musisz ustalić bardziej specyficzną formę możesz to zrobić tutaj. By dowiedzieć się więcej o tej funkcji zobacz główną pomoc pliku Edycja.

Format mapy bitowej w schowku

Wybierz tutaj jedną lub więcej z formatów bitmatowych, które będą kopiowane w schowku Windows. Inne funkcje mogą odczytać tą informację podczas wklejania obrazów.

· DIB to format Device Independent Bitmap

· DDB to format Device Dependent Bitmap

· HTML to format World-Wide Web, używany jest przez wiele programów email (np. Outlook Express używa tylko tego formatu dla wklejania obrazów).

Jeśli uważasz, że funkcja Kopiuj jest zbyt powolna, zrezygnuj z formatu HTML, dopóki nie będziesz potrzebować tego formatu aby wklejać obrazy w Outlook-Express, albo innych dokumentów, które nie akceptują DIB lub DOB.

Auto-wybór najlepszego koloru formatu

Prosimy o zostawienie tej opcji zaznaczonej dopóki nie będziesz miał konkretnych powodów, aby to zmienić.

Jedynym powodem możliwym jest automatyczna redukcja koloru obrazu i jego rozdzielczości z 16 milionów kolorów na 256, aby zminimalizować zajmowane miejsce w pamięci. (Na przykład jeśli wklejasz obraz w email i chcesz go wysłać szybko, w opcji 256 obraz będzie mniejszy i zostanie wysłany w krótszym czasie).

Wybierz format koloru

Te przyciski będą dostępne po odznaczeniu opcji Auto-wybor najlepszego formatu koloru. Kliknij przycisk formatu koloru, którego chciałbyś użyć. Początkujący użytkownicy komputera, którzy nie rozumieją tej funkcji powinni zaznaczyć Auto-wybor najlepszego formatu koloru i nie zwracać specjalnej uwagi na wybór formatu koloru.

Zminimalizuj okno HyperSnap po operacji kopiowania

Zaznacz tą opcję przy często wykonywanej operacji kopiowania w oknie HyperSnap, dla automatycznego zminimalizowania jego okna i łatwiejszego znalezienia innych dokumentów (np. E-mail, procesor word itp.), dokąd chciałbyś wkleić obraz.


Pełny ekran

Ta funkcja pozwoli ci na obejrzenie widoku twojego obrazu na pełnym ekranie. Jeśli obraz jest większy od twojego pulpitu, na dole i po prawej stronie ukażą się paski przewijania. Kliknij ESC ( albo jakikolwiek inny przycisk) aby usunąć podgląd pełnego ekranu. Użyj kursora myszki, aby przesuwać paski przewijania w górę czy w dół, albo w lewo i w prawo, aby móc zobaczyć cały obraz.


Poprzedni albo następny plik

Ładuje poprzedni, lub też następny plik tego samego typu w bieżącym katalogu. Ta funkcja pozwoli ci na szybki przeskok w tył i w przód aby przeglądać pliki.

W każdym bądź razie, każdy z tych dwóch narzędzi jest jak duże okno podglądu, pozwalające ci na szybki przegląd plików w obrębie katalogu (foldera dyskowego) poprzez naciskanie klawiszy Page Down albo Page Up po to, by poruszać się w przód i w tył na przemian.


Pasek Narzędzi/Pasek Stanu/ Narzędzia Rysunkowe

Te funkcje przełączają rożne elementy HyperSnap. Np: jeśli nie potrzebujesz przekształcać twojego obrazu narzędziami rysunkowymi i chcesz mieć więcej wolnego miejsca możesz ukryć Pasek Narzędzi Rysunkowych po lewej stronie okna programu.


Dostosuj

Używaj tej funkcji dla dostosowania paska narzędzi, menu i skrótów klawiszowych HyperSnap'a. Ta funkcja pozwoli ci na dodanie albo usunięcie skrótów klawiszowych, na dostosowanie przycisków menu oraz przycisków na pasku narzędzi. Aby zapoznać się szczegółowo z tą funkcją, zobacz temat Dostosuj w obrębie głównej pomocy w pliku programu HyperSnap.


Zakładka Komendy

Kategorie

Domyślna lista menu z kategoriami paska narzędzi, menu, jakie możesz dodać do paska narzędzi, albo głównego paska menu. Jeśli wybierzesz jeden z nich z listy, w oknie Komend, tuż obok, wyświetli się pasek przycisków, komend, albo menu odpowiadający danej kategorii. Możesz sam dostosować kategorie i odpowiadające im komendy.

Komendy

Wyświetla listę komend podporządkowanych jednej z kategorii wybranej w oknie Kategorie. Aby dodać komendę do paska narzędzi, przeciągnij ją bezpośrednio myszką z okna Komend w pasek narzędzi, albo w menu danej kategorii.


Zakładka Paski narzędzi

Paski narzędzi

Lista dostępnych pasków narzędzi. Aby wyświetlić wybrany pasek zaznacz go w okienku obok jego nazwy. Aby ukryć dany pasek narzędzi wyczyść okienko, odznaczając go.

Zeruj

Zeruje wybrany pasek narędzi przywracając jego oryginalny stan.

Zeruj wszystkie

Zeruje wszystkie paski narzędzi do oryginalnego domyślnego ustawienia.


Zakładka Kalwiatura

Kategorie

Domyślna lista menu z kategoriami paska narzędzi, menu, jakie możesz dodać do paska narzędzi, albo głównego paska menu. Jeśli wybierzesz jeden z nich z listy, w oknie Komend, tuż obok, wyświetli się pasek przycisków, komend, albo menu odpowiadający danej kategorii. Możesz sam dostosować kategorie i odpowiadające im komendy.

Komendy

Kliknij na komendę, której chciałbyś przypisać skrót klawiszowy, albo usunąć go. Jeśli nie znajdujesz pozycji, której potrzebujesz, kliknij na inną pozycję w oknach Kategoria lub w Komendy.

Skrót dla

Wyświetla wszystkie możliwe wzorce dokumentu. Opcja ta jest aktualnie niedostępna w HyperSnap, możliwe jest jedynie Domyślne ustawienia.

Aktualne klawisze

Wyświetl przypisane skróty klawiszowe dla wybranej bieżącej komendy.

Wciśnij nowe klawisze

Kliknij wewnątrz tego okna a następnie wciśnij skrót klawiszowy, lub jego kombinację, którą chcesz przypisać wybranej komendzie. Kiedy skończysz , kliknij przycisk Przypisz.

Uwaga: jeśli kombinacja skrótu klawiszowego, którą próbujesz wybrać jest już używana przez inną komendę, kliknięcie przycisku Przypisz będzie niemożliwe.

Przypisz

Przypisz skrót klawiszowy w oknie Przypisz nowy skrót klawiszowy dla bieżącej, wybranej komendy lub funkcji.

Usuń

Usuń kombinacje skrótu klawiszowego w oknie Akt. klawisze

Wyzeruj wszystkie

Wyzeruj wszystkie kombinacje skrótów klawiszowych do ich domyślnych ustawień.


Zakładka Menu

Pokaż menu dla:

Listy dostępnych menu. Obecnie jedynie dostępne menu w HyperSnap to Menu domyślne.

Zeruj

Zeruj wybrane menu do jego oryginalnego ustawienia.

Wybór animacji menu

Zmień sposób wyświetlania menu, podczas klikania na komendę. Na przykład: animacja Rozwijaj menu powoduje wyświetlenie menu w taki sposób, jakby miały się prześlizgiwać przez obszar pracy programu.

Cień menu

Wyświetla menu z cieniami.


Zakładka Opcje

Podpowiedzi przy paskach

Wyświetla na ekranie podpowiedzi wyjaśniające zastosowanie przycisków paska narzędzi, gdy najeżdżasz na nie kursorem.

Klawisze skrótów w podpowiedzi

Kiedy zaznaczysz tą opcję, wyświetli się skrót klawiszowy w dolnej części okna dla danego przycisku paska narzędzi (jeśli taki przycisk jest dostępny)

Duże ikony

Zwiększa rozmiar przycisków paska narzędzi.

Menu pokazują ostatnio użyte komendy

Pokazuje podstawowe i często używane komendy w osobiście ustawionych wersjach menu programu. Odznacz to okienko, jeśli chcesz pokazywać wszystkie komendy w menu od razu.

Po chwili pokaż pełne menu

Podczas przytrzymania kursora nad otwartym menu, to menu pokaże wszystkie dostępne w nim komendy.

Wyzeruj moje dane

Wymazuje zebrane dane na temat najczęściej używanych funkcji menu. Dane te pozwalają HyperSnap na wyświetlenie najczęściej stosowanych komend menu, i na ukrycie tych rzadziej używanych, w przypadku gdy włączona jest funkcja „Menu pokazują ostatnio używane komendy”.


Zamknij

Zamyka okno Dostosuj narzędzia. Wszystkie dokonane zmiany w tym oknie będą automatycznie zapamiętane.


HyperSnap Help

Zrzuty


Pełny ekran

Używaj tej opcji dla zrzutu całego pulpitu Window'sa. Na systemie mutli-monitorowym zrzuca pulpit z monitora, który aktualnie zawiera wskaźnik myszki. Użyj funkcji zrzutu Wirtualny pulpit dla wszystkich monitorów razem wziętych w pojedynczej klatce.


Wirtualny Pulpit

Funkcja ta pozwala na zrzut całego pulpitu Widnows'a, nawet z systemu z wieloma monitorami, albo z używanymi video driver, które pozwalają im, by mieć pulpity przesuwalne, które wychodzą poza obszar widoczności (w jakiejkolwiek osi, pionowej lub poziomej).


Okno lub kontrolka

Ta funkcja zrzuci ograniczony region, jaki właśnie zawiera okno dowolnego programu, albo pojedynczą kontrolkę. Używaj tej funkcji, gdy chcesz zrzucić właśnie małą część bieżącej aplikacji albo samego Windows'a.

Kiedy ruszysz myszką ponad obszarem do zrzucenia, różne części aplikacji zostają zakreślone, albo system będzie podświetlał pokazując ci to, co może być zrzucane w danym momencie. Kliknij lewym przyciskiem myszki, aby zakończyć zrzut.


Cała strona z auto-przesuwaniem

Funkcja ta pozwala na zrzut strony czy dokumentu, który nie jest w całości widoczny na ekranie i musi być przesuwany w dół aby zobaczyć go w całości. Najpierw ustaw okno docelowe na początek strony albo na miejsce, od którego chcesz zacząć zrzut. Następnie wybierz tę funkcję lub wciśnij kombinację klawiszy stanowiącą jej skrót klawiszowy (domyślnie Ctrl+Shift+S). Przesuń wskaźnik myszki wewnątrz interesującego Cię okna i kliknij lewym przyciskiem myszki. HyperSnap zacznie przesuwać okno kopiując jego zawartość. Możesz poczekać aż przesuwanie zakończy się samo, albo przerwać je wcześniej wciskając klawisz Esc.

Więcej informacji można znaleźć w samouczku Zrzut z auto-przesuwaniem.


Przycisk

Ta funkcja zrzuci przycisk, włączając przyciski paska narzędzi w wielu aplikacjach, większość przycisków na stronach internetowych etc. Możesz użyć tej funkcji na trzy różne sposoby dla zrzutu stanu przycisków, który zmienia się nie tylko wtedy, kiedy klikasz, ale też wtedy, kiedy mysz „porusza się ponad”, tak jak w wielu współczesnych programach, np. MS Office czy Internet Explorer:

1. Wybierz Zrzut/Przycisk z menu, albo z odpowiadającego mu przycisku w pasku narzędzi (jeśli ustawiłeś tak pasek narzędzi, że posiadasz wybór tej opcji na nim).

2. Po krótkim czasie kursor zmieni się w taki oto symbol: + . Przesuń go nad przycisk, który chcesz zrzucić i kliknij lewym klawiszem myszki.

3. Poczekaj przez chwilkę na zakończenie zrzutu, dopóki HyperSnap nie wyświetli okna ze zrzuconym obiektem. Będzie to obiekt w naturalnym jego stanie, bez kursora myszki, którym był wskazany do zrzutu.

Albo..

1. Przesuń twój kursor nad obiekt, który chcesz zrzucić i wciśnij twój wcześniej ustawiony skrót klawiszowy dla zrzutu przycisku (domyślnym jest CTRL+SHIFT+B, jeśli go nie zmieniłeś dotąd).

2. Zrzuci to przycisk w podświetleniu, albo w aktywnym jego stanie, kiedy to kursor myszki znajdował się nad nim. Zauważ, że niektóre przyciski nie zmieniają swojego wyglądu, kiedy na nie najeżdżasz kursorem. Niektóre się zmieniają, i wtedy mogą zmieniać swój kolor, czcionkę, itp.

Albo..

1. Aby zrzucić wciśnięty przycisk, najedź na niego myszką, wciśnij i trzymaj lewy przycisk myszki i wtedy wciśnij skrót klawiszowy, aby zapoczątkować zrzut.

2. Zauważ, że będziesz musiał wcisnąć skrót klawiszowy używając jednej ręki, więc może lepiej będzie, jeśli ten skrót zamienisz na krótszy, wykorzystujący jeden przycisk, np. F8. Możesz to zrobić w Menu opcje.


Aktywne okno

Ta funkcja zrzuca aktywne okno programu (czasem nazywane przednimi, tzn. tymi, które są na pierwszym planie pulpitu) z uwzględnieniem paska tytułu i ramki.


Aktywne okno bez ramki

Ta funkcja zrzuca jedynie sama zawartość aktywnego okna programu (zwanego często przednim, dlatego, że mieszczą się na pierwszym planie pulpitu). Jeśli chcesz zrzucić jedynie zawartość okna, bez ramki i bez paska tytułu, powinieneś wybrać właśnie tą funkcje.


Region

Ta funkcja pozwoli ci zrzucić obszar, który określisz. Zrzut może zawierać wiele okien, twój pulpit albo cokolwiek, co ukazuje się na twoim pulpicie. W przeciwieństwie do funkcji zrzutu okna albo zrzutu pulpitu, ta funkcja nie rozróżnia okien na ekranie.


Dowolny kształt

Dowolna linia zakreśli obszar (nieregularny) otaczając każdą cześć pulpitu, jaką tylko zapragniesz zrzucić. Po wybraniu tej funkcji kursor będzie zakreślał obszar, który chcesz zrzucić, a który możesz w tym samym czasie obejrzeć na podglądzie. Zakreśl więc obszar do zrzutu i wciśnij ENTER albo z prawego przycisku myszki wybierz Zakończ zrzut. Możesz także kliknąć blisko punktu początkowego aby zakończyć Zrzut dowolnego kształtu.

Program wypełnia przestrzeń poza wybranym obszarem kolorem, który wybrałeś w Ustawieniach zrzutów na zakładce Zrzut.


Przesuwaj poprzedni region

Ta funkcja zrzuca obraz tego samego rozmiaru co poprzednio z tym, że z dowolnego miejsca pulpitu. W sumie to tak, jakbyś wziął wybrany region i pozwolił mu się poruszać po pulpicie, by wybrać taki sam obszar i jego rozmiar do zrzutu, zmieniając jedynie miejsce. Jeśli ustalisz konkretnie rozmiary obszarów dla zrzutów, które będą umieszczone w dokumencie (na przykład) ta technika będzie łatwym narzędziem, tak, że każdy zrzut będzie miał takie same rozmiary jak poprzedni.


Zrzut wielo-regionowy

To jedna z najmocniejszych cech HyperSnap. Pozwala na określenie wiele regionów a następnie zrzucenie ich. Regiony te mogą być różnego kształtu i formatu. Program wypełnia przestrzeń miedzy zrzuconymi regionami kolorem, który wybrałeś w Ustawieniach zrzutów na zakładce Zrzut.


Tylko kursor myszki

Ta funkcja zrzuca kursor myszki bez tła ekranowego. Wykonać to można na dwa sposoby:

1. Wybierając przycisk z menu albo z paska narzędzi; wtedy będziesz miał czas, ok. 3 sek., na ustawienie kursora tam, gdzie chcesz (w taki sposób kształt będzie taki, jaki jest wymagany).

2. Wybierając przycisk systemowy skrótów klawiszowych, (który musi być wpierw zdefiniowany w menu Zrzuty/ Skróty klawiszowe dla zrzutów ekranu), co zrzuci bieżący kursor myszki natychmiast.


Powtórz ostatni zrzut

Ta funkcja powtarza ostatni zrzut, który został utworzony ostatnio, w taki sam sposób. To bardzo dobry sposób żeby zrzucać „w biegu" obrazy biegnącego programu. Poprzez wybieranie tej funkcji, przez pewien czas albo przez naciskanie jej skrótu klawiszowego, możesz uchwycić ten sam region, okno, albo sprawdzać wciąż wygląd powtarzającego się procesu albo funkcji programu.


Rozciągnięte aktywne okno

Ta funkcja jest dostępna tylko wtedy, kiedy program pracuje pod Windows XP albo w późniejszych systemach operacyjnych. Zrzuca ostatnie aktywne okno, ale przed zrobieniem tego, program proponuje ustawienie wielkości okna według twojego upodobania. Możesz podać każdy rozmiar okna, nawet większy od twojego pulpitu. Zauważ, że funkcja ta będzie działać na oknach, które mogą zmieniać swój rozmiar. Zazwyczaj to te okna, które możesz rozciągnąć kursorem twojej myszki. Natomiast nie będzie działać na rożnego rodzaju oknach dialogowy o rozmiarach stałych.

Użyj tej funkcji dla uchwycenia okna wyszukiwarki Web, w ten sposób pokaże ci całkowitą stronę Web, nawet jeśli będzie ona miała rozmiary większe niż 4000 pikseli.

Szerokość

Wprowadź rozmiar szerokości w pikselach, w jakim chciałabyś zrzucić okno. Nowy rozmiar może być dużo większy niż rozmiar twojego ekranu.

Wysokość

Wprowadź tutaj rozmiar wysokości w pikselach, w jakim chciałbyś zrzucić okno. Wartość tej wysokości może być większa niż wysokość twojego pulpitu.

Opóźnienie przed zrzutem

Wprowadź tu czas opóźnienia w milisekundach, którego HyperSnap potrzebuje miedzy zmianą rozmiaru a aktualnym zrzutem w tym rozmiarze. Okno może wymagać tego czasu dla zaakceptowania zmiany rozmiaru i dostosowania się do zmian. Jeśli po wykonaniu zrzutu rozciągniętego okna obraz nie będzie zrzucony dokładnie w tych rozmiarach, które wprowadziłeś, i okażę się, że wszystko jest tak, jak w obrazie przed wprowadzeniem zmian, czyli w oryginale, powtórz zrzut, ustawiając czas opóźnienia na dłuższy, co może być rozwiązaniem problemu.


Włącz zrzuty specjalne

Używając tej funkcji możesz zrzucać gry lub programy używające technologii Directx albo Glide, albo niektóre filmy video, które nie mogą być zrzucone w inny sposób.

DirectX/Direct3D powierzchnia pierwotna

Zaznacz tą opcję, by udostępnić jeden z trzech charakterystycznych typów zrzutu Zrzut specjalny

dla pełnego ekranu gry komputerowej i innych zaawansowanych programów graficznych, które używają sterowników DirectX®. Opcja ta musi być dostępna, jeśli chcesz wybrać następną opcję poniżej, Nakładka DirectX.

Nakładka DirectX, np. DVD, video

Zaznacz tą opcję, by użyć Specjalnego zrzutu dla zrzucania obrazów gier, które wykorzystują sterowniki DirectX tak, by stworzyć nakładkę video. Uwaga: opcja powyżej tej funkcji - DirectX/Direct3D Powierzchnia pierwotna musi być włączona, w przeciwnym razie nie wykona się żadnego zrzutu.

3dfx Glide

Opcja ta jest dostępna tylko wtedy, gdy masz zainstalowaną na komputerze pewną starą kartę graficzną 3dfx i sterowniki Glide. Tylko wtedy możesz zrzucać ekrany z gier, które używają tych właściwości (3dfx i sterowniki Glide).

Włacz post-processing dla zrzutów ekranu z DirectX lub Gilde

Zaznaczenie tego okienka pozwoli ci na ustawienie współczynnika korekcji Gamma dla zrzucanych obrazów z gier, lub z nakładki video, a także ustawić dodatkowe poprawianie obrazu dla kart graficznych 3dfx .

Typ akceleratora 3D

Wybierz tu typ karty graficznej, jaką posiadasz. Zalecane jest jednak zostawić ustawienia domyślne. Zmień je tylko wtedy, jeśli wiesz, że posiadasz jeden z poniższych typów akceleratora w twoim komputerze.

Korekcja Gamma

Funkcja ta pozwoli ci na ustawienie korekcji gamma dla zrzuconych obrazów z gier lub z nakładek video. Na przykład: jeśli twój zrzut wychodzi zbyt ciemny, ustaw czynnik gammy na wartości wyższe niż 1 (na przykład, 1.5).

Ustaw domyślną wartość

Ustaw wartości domyślne korekcji gamma, która odpowiada 1 dla większości graficznych kart, 1,7 dla Voodoo 1, i 1,3 dla Voodoo 2 i 3.


Ustawienia zrzutów

Funkcja ta pozwoli ci na otwarcie okna z Ustawieniami zrzutów, dla ustawienia ważnych właściwości funkcji zrzutów. Upewnij się przed każdą zmiana wartości domyślnych, aby przeczytać główną pomoc na temat każdego narzędzia (kliknij na Pomoc na każdej zakładce, dla zapoznania się z dostępną pomocą)


Zakładka Zrzut

Na tej zakładce znajdziesz ustawienia sterujące funkcjami zrzutów.

Czas opóźnienia przed zrzutem

Możesz ustawić czas w milisekundach (1000 milisekund to jedna sekunda), w którym program poczeka przed wykonaniem zamierzonego zrzutu. Jeśli ustawisz ten czas na wystarczająco długi, możesz w tym czasie na przykład otworzyć menu albo szybko ukazujący się pulpit do zrzutu.

Czas odświeżania przy auto-przesuwie

To czas w milisekundach (1000 milisekund to jedna sekunda) miedzy operacjami odświeżania okna, podczas auto-przesuwania. HyperSnap odświeży okno w auto-przesuwaniu w odstępach czasu, jaki tu zdefiniujesz. Możesz użyć tej opcji, by kontrolować, jak szybko pokazywane jest to, co jest zrzucane, co z kolei pozwoli ci obserwować zrzut i (na przykład) zatrzymać zrzucanie wtedy, kiedy tego chcesz.

Domyślny kolor tła dla zrzutów

Pozwala ustawić domyślny kolor tła dla nowych zrzutów ekranu. Kolor ten jest widoczny na obrazie zrzutu, jeśli zrzuca się obszar inny niż prostokątny, np. prostokąt z zaokrąglonymi narożnikami, kolisty, zrzut dowolnego kształtu itd. Nawet dla zrzutów prostokątnych wybór ten jest nie bez znaczenia, jeśli później poddaje się obraz edycji używając operacji wymagających określonego koloru tła. Oczywiście, można ten kolor łatwo zmienić na inny przy pomocy przycisku na pasku narzędzi rysunkowych (zwykle umieszczonego po lewej stronie okna HyperSnap).

Opcja Przeźroczysty decyduje, czy wybrany kolor ma być traktowany jako przeźroczyste tło, tzn. czy cokolwiek znajduje się pod tym obrazem ma być widoczne w miejscach gdzie jest ten kolor. Informacja o przeźroczystości jest zapisywana jedynie do plików typu PNG i GIF. Dla innych formatów plików oraz dla operacji kopiowania/wklejania przenoszących obraz do innych programów, informacja ta jest tracona.

Dodaj kursor do zrzutu

Zaznacz tą opcję, by program HyperSnap dodawał kursor myszki na obrazie do każdego zrzutu.

Wyłącz wygładzanie czcionek

Jeśli wybierzesz tą funkcję, wyłączysz wygładzanie czcionek przed zrobieniem zrzutu. Często wymagane jest dla publikacji obrazów w druku (książki, artykuły).Po zrzucie wygładzona czcionka jest przywrócona do oryginalnych ustawień.

Sygnał dźwiękowy przy dokonywaniu zrzutu

Włącz tą opcję, jeśli chcesz, aby program HyperSnap sygnalizował dźwiękiem wykonanie zrzutu. Jeśli wolisz zrzuty ciche, wyczyść to okienko opcji.

Ukryj okno HyperSnap przed rozpoczęciem zrzutu

Zaznacz tą opcję, aby mieć okno programu automatycznie ukryte przed zrzucaniem pulpitu komputera. Wyłącz ją tylko wtedy, jeśli chcesz, by zrzucić samo okno HyperSnap. Zazwyczaj nie będziesz tego potrzebował w zrzuconych obrazach dopóki HyperSnap nie jest w jakiś sposób związany z taką koniecznością. (Jak przy zawiadomieniach o problemach w programie).

Przywołaj okno HyperSnap na wierzch po zrzucie

Zaznacz ptaszkiem tą funkcję, by mieć okno programu automatycznie przywołane na wierzchu po zrzucie, mogąc w ten sposób obejrzeć rezultat.

Zrzucaj okna warstwowe

Zaznacz ptaszkiem tą opcję, aby zrzucać okna warstwowe. Są to różnego rodzaju nieregularne kształty obiektów, takich jak na przykład „Asystent pakietu Office", albo rzeczy takich, jak przezroczyste lub podświetlane okna. Nie powinieneś zostawiać tej opcji nie zaznaczonej jedynie w przypadku pewnych błędów sterowników kart graficznych, co mogłoby spowodować uszkodzenie obrazów podczas zrzutów z tą opcją.

Automatycznie wklejaj, drukuj lub zapisu TYLKO wtedy, gdy nowy zrzut różni się od poprzedniego.

Zaznacz tą opcję jeśli wybrałeś również jedna z następujących opcji:

- Automatyczne wklejanie albo drukowanie w zakładce Kopia i wydruk

- Automatyczne zapisywanie w zakładce Szybkie zapisywanie

…i możesz wklejać, drukować, albo zapisywać nowe zrzuty tylko wtedy, jeśli różnią się od poprzedniego zrzutu. Nawet niewielka różnica w jednym pikselu obrazu spowoduje zmianę i jego wklejenie, drukowanie, albo zapis do pliku.

Wyczyść przeźroczyste tło dla zrzutów okna pod systemem Vista

W trybie kompozycji ekranu (aero-glass) systemu Windows Vista, półprzeźroczyste fragmenty okien pokazują rozmazany obraz tego, co znajduje się pod nimi. Wielu wydawców książek i czasopism komputerowych wymaga „czystych” zrzutów ekranu, nie pokazujących przeźroczystości. Włączenie tej opcji powoduje wyczyszczenie tła pod przeźroczystymi fragmentami okna, tak jak gdyby pod nimi znajdowało się białe tło. Opcja ta działa jedynie przy operacjach Okno lub kontrolka oraz Aktywne okno na menu Zrzuty.

Zaznaczaj nowe zrzuty jako “zmodyfikowane"

Włącz tę opcję, aby zaznaczać wszystkie nowe zrzuty jako „dokumenty zmodyfikowane”. Kiedy spróbujesz zamknąć okienka takich zrzutów albo całe okno programu HyperSnap, program zapyta Cię czy nie chcesz zachować zrzutów do plików.


Zakładka Region

Na zakładce tej ustawia się opcje związane ze zrzutem regionu.

Pokazuj pomoc i powiększenie przy zrzutach regionu

W domyślnych ustawieniach HyperSnap pokazuje pewną pomoc, gdy zaczynasz zrzucać region. Kiedy już zrozumiesz zrzuty regionu, możesz zrezygnować z tekstu pomocy przez odznaczenie tej opcji.

Domyślny kształt regionu

Możesz wybrać z listy kształt regionu, którego używać będziesz do zrzutów. Rozwiń listę, by zobaczyć dostępny wybór. Jeśli wybierzesz kształt inny niż prostokąt, HyperSnap będzie zapełniał obszar wokół zrzutu kolorem tła, który został wybrany na zakładce Zrzut.

Startuj zrzut wielo-regionowy od…

Możesz rozpocząć zrzut wielo-regionowy od wyboru okna lub kontrolki albo zrzutu regionu. Po wystartowaniu zrzucania, możesz zmienić go na inny , według własnego upodobania poprzez wciśnięcie właściwego skrótu klawiszowego dla tego typu zrzutów, kontynuując zrzut.

Ustawienia dla zrzutów wielo-regionowych

Te trzy opcje pozwolą ci zadecydować, jak komponować fragmenty (regiony) zrzutów podczas zrzutów wielo-regionowych w jednym obrazie.

· Zachowaj pozycje względną poszczególnych fragmentów - Zrzucone obrazy będą ustawione względnie do siebie, tak jak były ustawione na pulpicie, z kolorem tła takim, jaki został wybrany na zakładce Zrzut, wypełniającym przestrzenie między nimi.

· Ustawiaj fragmenty pionowo - zrzucone fragmenty będą ustawione jeden pod drugim w kolejności, w jakiej zostały zrzucone.

· Ustawiaj fragmenty poziomo - zrzucone fragmenty będą ustawione jedno za drugim, poziomo, w kolejności, w jakiej zostały zrzucone.

Ustawiając dodaj margines…

Wybierając opcje Ustawiaj fragmenty pionowo, lub Ustawiaj fragmenty poziomo ustalane są także marginesy (kolor tła przestrzeni) mieszczące się pomiędzy zrzuconymi fragmentami. Wprowadź 0, jeśli nie chcesz mieć żadnej przestrzeni miedzy zrzutami.


Zakładka Przycisk

Zakładka ta pozwoli ci na ustawienie odpowiednich opcji dla zrzutu przycisku, takich jak OK albo USUŃ w oknie dialogowym lub innych elementach interfejsu programu.

Możesz zdecydować o ile obszar wokół zrzucanego przycisku zostanie rozszerzony. To sprawi, że zrzucony przycisk będzie wyglądał lepiej, kiedy zostanie wklejony w dokument, pozostawiając ci więcej obszaru wokół zrzutu.

Jeśli wprowadzisz ujemne wartości, obszar będzie zredukowany zamiast rozszerzony.

Na przykład, aby zrzucić przycisk Internet Explorer 6 wraz z ramką go otaczającą, wprowadź w każdym z okienek (Lewo, Góra, Prawo, Dół) 1 piksel.

Możesz zmienić każdą z czterech wartości o jeden piksel, poprzez klikanie na przyciski [+] lub [-], w centrum pola ustawień. Możesz też wyzerować wszystkie wartości.

Lewo, Góra, Prawo, Dół

Wprowadź tutaj wartości dodatnie albo ujemne, aby zdecydować ile dodatkowych linii albo kolumn w pikselach przechwycić dodatkowo po każdej ze stron przycisku.

Przycisk [ - ]

Kliknij, by zmniejszać wszystkie cztery wartości o jedną jednostkę.

Zeruj

Kliknij tu aby wyzerować wszystkie wprowadzone wartości do zera.

Przycisk [ + ]

Kliknij, by zwiększać wszystkie cztery wartości o jeden.


Zakładka TextSnap™

Na tej zakładce można ustawić opcje dotyczące funkcji TextSnap™, kopiującej tekst z prawie każdego miejsca ekranu. Więcej informacji o zrzutach tekstu znajdziesz w samouczku Kopiowanie tekstu - TextSnap™.

Udostępnij przechwytywanie tekstu w formacie:

Tu możesz wybrać czy kopiować tekst w formacie niesformatowanym, sformatowanym (RTF), który kopiuje również krój, wielkość i kolory czcionek oraz dokładniej reprezentuje rozkład tekstu, czy też w postaci danych ograniczonych znakiem TAB, które można wklejać w arkusze elektroniczne jak MS Excel. Wyłączenie wszystkich trzech tych opcji spowoduje całkowite wyłączenie funkcji przechwytywania tekstu „TextSnap™”.

Co zrobić ze skopiowanym tekstem…

To możesz zdecydować, co HyperSnap powinien zrobić z przechwyconym tekstem. Tekst ten jest zawsze kopiowany do „schowka”, tak abyś mógł go natychmiast wkleić w okienko dowolnego programu akceptującego tekst (np. email, MS Word, Notatnik) Dodatkowo HyperSnap może pokazać skopiowany tekst w swoim własnym oknie na różne sposoby - zobacz dostępne opcje na ekranie.

Uwaga: Twoje ustawienia z zakładki Kopia i wydruk dotyczące automatycznego wklejania zrzutów do wybranego okna, będą również respektowane dla zrzutów tekstu. Możesz użyć tej techniki dla natychmiastowego wklejania przechwyconych fragmentów tekstu np. do dokumentu w MS Word.

Dodatkowe opóźnienie dla funkcji „Tekst z obiektu pod kursorem”

Jeśli potrzebujesz skopiować tekst z nieuchwytnego obiektu, którzy znika kiedy naciśniesz jakikolwiek klawisz lub przycisk myszki, wprowadź tu dużą wartość, np. 3000 ms (3 sekundy) i kliknij na OK. Teraz możesz wybrać funkcję Tekst z obiektu pod kursorem na menu Zrzuty lub nacisnąć odpowiadającą mu kombinację skrótu klawiszowego, i właściwe kopiowanie tekstu odbędzie się dopiero po upływie tego czasu. Szybko wybierz funkcje potrzebne dla wyświetlenie tego nieuchwytnego obiektu i umieść ponad nim kursor myszki, po czym zaczekaj aż TextSnap skopiuje tekst.

Auto-przesuwaj kopiując "Tekst z obiektu pod kursorem"

Włączenie tej opcji powoduje pionowe auto-przesuwanie zawartości okna lub obiektu pod kursorem podczas kopiowania tekstu z ekranu (pod warunkiem że to okienko lub kontrolka mają pionowy suwak). W ten sposób można np. skopiować pełną zawartość kontrolki rozwijającej się w dół i oferującej wybór wielu możliwych opcji.


Zakładka Przytnij i skaluj

Tutaj ustawisz opcje, które dotyczą automatycznego pozbycia się niepotrzebnych części twojego obrazu, lub zmniejszenia/zwiększenia rozmiaru obrazu.

Przytnij obrazek

Wybierz tą funkcję, aby automatycznie przycinać obrazek zrzucony, przy wykorzystaniu do tego wartości domyślnych, ustawionych w tej grupie opcji.

Jeśli systematycznie przycinasz twoje zrzucone obrazki (i zawsze z tą samą wartością) ta funkcja może zaoszczędzić ci czasu.

Od lewej i góra

Wprowadź tu twoje dane startowego punktu przycięcia w pikselach od lewego górnego rogu obrazu.

Przytnij szerokość i wysokość

Wprowadź tutaj szerokość i wysokość przyciętego obrazu.

Ustaw na bieżący obszar wybrany

Kliknij tu aby ustawić parametry przycinania na taki sam rozmiar i pozycję jak bieżący obszar wybrany (obszar taki należy najpierw wybrać na obrazie w oknie HyperSnap). W ten sposób można ustawić przycinanie bardzo łatwo. Po prostu, zrzucić obraz z ekranu w potrzebnym rozmiarze, użyj narzędzia „Wybór obszaru" dla zaznaczenia sposobu przycinania, potem wróć tu i kliknij ten przycisk.

Przeskaluj obrazek

Wybierz tą opcję, aby było możliwe przeskalowanie twojego obrazka. Pozwoli ci to na wiele zrzutów i ich jednoczesne automatyczne przeskalowanie wprowadzając dokładne wartości.

Przeskaluj szerokość i wysokość

Wprowadź tutaj szerokość przeskalowania i wysokość, w pikselach, albo w ułamku lub wielokrotności oryginalnego rozmiaru obrazu. Możesz przeskalować twój oryginalny zrzut (w jakimkolwiek rozmiarze) do wybranego rozmiaru wybierając tę funkcję. Jeśli proporcje szerokości i wysokości nie będą zachowane, obraz będzie zniekształcony po skalowaniu

W punktach

Wybierz tą funkcję, aby wprowadzić wartości przeskalowania w pikselach (w przeciwieństwie do ułamka albo wielokrotności oryginalnego rozmiaru).

Skaluj

Wybierz tą funkcję, aby ustawić skalowanie na fragment albo na wielokrotność oryginalnego rozmiaru (w przeciwieństwie do liczby piksel)

Ustaw na bieżący obszar wybrany

Kliknij ten przycisk, aby ustawić parametry skalowania obrazu według rozmiarów bieżącego obszaru wybranego (musi być on najpierw ustalony na bieżącym aktywnym obrazie wewnątrz okna pracy HyperSnap).

Zachowaj proporcje

Zaznacz tą opcję, aby powiązać ze sobą szerokość i wysokość dla utrzymania proporcji obrazu. Jeśli jednak zrezygnujesz z powiązania tych wartości, obraz może zostać rozciągnięty albo zwężony.

Interpoluj

Zaznacz tą opcję, aby wyrównać skalowanie (szczególnie przy powiększaniu) poprzez interpolację pikseli miedzy obszarami. Opcja ta powinna poprawić wyświetlający się obraz, który został np. drastycznie przeskalowany.


Zakładka Widok i Edycja

Tutaj ustawisz to, co stanie się z nowo zrzuconym obrazem. Domyślnym ustawieniem jest wyświetlenie nowego zrzutu w oknie programu HyperSnap, ale jeśli chcesz, możesz wybrać inne ustawienia. Na przykład zamienić obraz w bieżąco otwartym oknie dokumentu wewnątrz HyperSnap (wtedy poprzedni zostanie stracony, jeśli go wcześniej nie zapiszesz), albo wkleić ten nowy obraz w określone miejsce na starym obrazie na różne sposoby.

Utwórz nowe okno dla każdego zrzutu

Użyj tej funkcji, by mieć osobne okno dla każdego obrazu zrzuconego wewnątrz obszaru pracy programu HyperSnap. Jeśli jest więcej otwartych okien niż jedno, zobaczysz zakładkę z nazwą zrzuconego obrazu albo samą nazwę obrazu na dole okna pracy. Możesz klikać na zakładki dla łatwiejszego przełączania się miedzy obrazami w celu pracy nad nimi.

Wymień obraz w bieżącym oknie na nowo zrzucony

Wybierz tą opcję by móc wymienić obraz w bieżącym oknie z obrazami na nowo zrzucony. Jeśli nie masz jeszcze żadnego otwartego okna z obrazami, to będzie ono utworzone po zrzuceniu pierwszego.

Uwaga: wybierając tą opcję powinieneś najpierw zapisać albo wydrukować twój zrzucony obraz, w razie, gdy będziesz go potrzebował w przyszłości dla czegokolwiek. W przeciwnym razie zostanie usunięty, kiedy stworzysz nowy zrzut.

Wklejaj każdy nowy zrzut na bieżący obraz

Kliknij to, aby wkleić każdy nowy zrzut na bieżący obraz. Pozwoli ci to na kolekcje serii mniejszych zrzutów w szerszym obrazie prawie tak, jakbyś mógł znaleźć go wewnątrz pewnego albumu. Nowo wklejony obraz będzie wtedy podświetlona jako obiekt i będzie mógł być przemieszczana dopóki nie klikniesz gdzie indziej w obszarze pracy, albo wykonasz inną operację. Jeśli klikniesz gdzie indziej (albo wykonując inny zrzut) poprzedni obraz zostanie jakby na stałe przyklejony do obrazu bazowego.

Kiedy wybierzesz tą opcję możesz także ustawić dodatkowe wybory poniżej we ramce Powiększ przestrzeń obrazu…

Powiększ przestrzeń obrazu…

Zaznacz tą opcję, aby wybrać jedną z funkcji poniżej dla automatycznego powiększania rozmiaru obrazu, jeśli musisz wkleić nowy zrzut na nim, albo wstawić zrzuty wielo-regionowe w takich samych odstępach, w jakich były na oryginalnym pulpicie, lub też ustawić je obok siebie.

Zachowaj względne pozycje zrzutów z ekranu

Wybierz aby ustawić zrzucone fragmenty ekranu na obrazie w takich samych pozycjach względem siebie, jak były one oryginalnie na ekranie. Jest to przydatne np. gdy chcesz zrzucić obraz pulpitu na którym pracuje kilka programów na raz, ale chcesz zrzucić każde okno osobno.

Ustaw pionowo albo poziomo

Wybierz jedną z tych opcji, aby nowe zrzuty ustawić skierowane do dołu (pionowo) albo prosto (poziomo) w stosunku do bieżącego wybranego obszaru.

Ponieważ nowo wstawiony obraz zostanie automatycznie wybrany, mając tą opcję zaznaczoną, następne zrzucone obrazy będą się ustawiać automatycznie obok siebie w kolejności dokonywanych zrzutów.

Ustawiając dodawaj margines…

Ustaw tu margines miedzy wklejanymi obrazami podczas użycia jednej z metod ustawiania, jakie oferuje program.

Nie zmieniaj bieżącego obrazu

Wybierz tą opcję, jeśli chcesz zostawić niezmieniony obszar pracy w HyperSnap i wysyłać zrzuty do schowka, albo wydrukować czy zapisać je, co możesz ustawić na zakładkach Kopia i wydruk albo Szybkie zapisywanie.


Zakładka Kopia i wydruk

Tutaj możesz ustawić co dzieje się z obrazami po zrzucie (w dodatku do ich jednoczesnego wyświetlania w głównym oknie programu). Można ustawić dodatkowo automatyczne kopiowanie każdego zrzut do schowka, a nawet wklejać go w inny program, albo automatycznie drukować każdy nowy zrzucony obraz.

Kopiuj każdy zrzut do schowka

Zaznacz tą opcję, aby każdy rzut był kopiowany do schowka. Obraz w ten sposób zrzucony jest natychmiast gotowy do wklejania go w każdy program, lub dokument, który akceptuje format map bitowych obrazu.

Wklejaj każdy zrzut do…

Zaznacz tą opcję, aby automatycznie wklejać zrzucone obrazy w bieżące aplikacje po wysłaniu ich do schowka. Powinieneś następnie wybrać z listy poniżej okno, w którym chcesz wkleić obraz.

Wklejaj każdy zrzut do…

Wybierz tu okno, w które chciałbyś wklejać twoje zrzuty. Program HyperSnap spróbuje wysłać obraz do tego okna poprzez schowek. Okno to musi być otwarte lub zminimalizowane podczas zrzucania obrazu (nie zamykaj go po ustawieniu tutaj jego nazwy) i musi akceptować formę mapy bitowej obrazu do wklejania przez schowek systemowy.

Minimalizuj powyższe okno przed zrzutem

Zaznacz tą opcję, aby HyperSnap automatycznie zminimalizował aplikacje, dla której wybrałeś wklejanie zrzutów. Funkcja ta zminimalizuje aplikacje przed rozpoczęciem zrzutu.

Automatycznie drukuj każdy zrzut

Zaznacz tą opcję, aby HyperSnap automatycznie drukował każdy wykonany zrzut.

Pytaj o drukarkę

Jeśli uaktywnisz tą opcję łącznie z „ Automatycznym drukowaniem..”, HyperSnap wyświetli klasyczne okno dialogowe, służące wybraniu drukarki i zdefiniowaniu ustawień drukowania, po każdym wykonanym zrzucie. Jeśli funkcja ta jest niezaznaczona, HyperSnap użyje wartości domyślnych dla drukarki i ustawień drukowania.


Zakładka Szybkie zapisywanie

W zakładce tej ustawisz jedną z najbardziej zaawansowanych opcji programu HyperSnap. Dzięki szybkiemu automatycznemu zapisywaniu przez program każdego zrzutu, możesz stworzyć kolekcje zrzutów (na przykład podczas trwania gry, albo w czasie innych szybkich akcji), automatycznie zachowywać je w zdefiniowanym pliku pod pewną nazwą, lub też wysyłać je na serwer FTP.

Możesz tutaj także ustawić czas dla automatycznego powtarzania zrzutu, na przykład co 30 sekund zostanie zrzucony obraz i automatycznie zapisany lub wysłany na serwer.

Automatycznie zachowaj każdy zrzut do pliku..

Wybierz tą funkcje, aby zachować każdy zrzut do pliku. Pozwoli ci to na szybkie zebranie obrazów w grze, albo stanu wykonywanego programu, w pewnym okresie czasu, nawet bez zatrzymania się dla podania nazwy pliku.

Załaduj na serwer FTP

Jeśli wybierzesz tą opcję , HyperSnap spróbuje automatycznie załadować twój obraz na serwer FTP (określony, gdy klikniesz przycisk Zmień), zamiast na dysk lokalny.

Pytaj o nazwę przy każdym wykonywanym zrzucie

Wybierz tą funkcję, by program pytał o nazwę po każdym zrzucie. Po wprowadzeniu nazwy, możesz kontynuować zrzucanie, nazywając każdy zrzut po jego wykonaniu.

Auto zapis do

Wyświetla nazwę pliku, aby automatycznie zapisać zrzut do pliku o tej nazwie. Używany głównie wtedy, kiedy jest nieaktywna opcja Pytaj o nazwę. Program może automatycznie dodawać ponumerowane części nazw plików podczas zrzucania kolejnych obrazów, zachowując pierwszą część nazwy pliku niezmienną.

Zmień

Wyświetla okno dialogowe Zapisz jako (podczas zapisywania w lokalnym pliku), albo okno Załaduj na serwer FTP, gdzie ustawisz nazwę pliku, ścieżkę, format graficzny i inne parametry potrzebne do twoich zrzuconych obrazów.

Dodawaj numer zwiększony o …zacznij od…zatrzymaj na…

Zaznacz tą opcję, aby automatycznie dodawać ponumerowany obraz zrzutu w auto-zapisywaniu nazwy pliku. Później wybierz także liczbę, na której zaczniesz i na której zakończysz automatyczne zapisywanie. Pozwoli ci to na zapisywaniu wielu obrazów zrzuconych z tym samym początkiem nazwy pliku. (Bardzo pożyteczne w zrzucaniu wielu obrazów podczas trwania jakiegoś programu, albo podczas gry komputerowej).

Jedynie ostatnia część liczby w nazwie pliku będzie powiększana. Na przykład: jeśli wybierzesz nazwę pliku Img123-017.bmp, to następny zrzucony obraz będzie zapisany pod nazwą Img123-018.bmp.

Liczba określona w „zatrzymaj na" określa ile cyfr będzie użytych w ostatnią część nazwy pliku. Na przykład: jeśli cyfra wstawiona w okienko „zatrzymaj na" była 99, nazwa pliku powinna być: Img123-18.bmp (tylko dwie cyfry). A jeśli była 1000, to nazwa powinna nazywać się Img123-0018.bmp (4 cyfry w 1000).

Użytkownicy zaawansowani, którzy rozumieją język druku liczby całkowitej C/C++, mogą użyć tej opcji także do ustawienia Nazwy pliku, takiej jak np. Snap%04d.gif. Nazwa ta będzie miała pierwszeństwo i będzie używana nawet wtedy, kiedy nie będzie ona ostatnią grupą cyfr w nazwie pliku.

Dodawaj numer zwiększony o…

Jeśli ta opcja jest zaznaczona, wartość wprowadzona w pole edycyjne będzie liczbą, o którą nazwa pliku będzie zwiększana. Jeśli wprowadzisz liczbę 1, nazwa będzie kolejno zwiększana o jeden, np. Zrzut001, Zrzut002 itd. Dla lepszego zrozumienia przeczytaj „Pomoc” dla okna dialogowego Dodawaj numer zwiększony o…

Powtarzaj w pętli od 1 do numeru „zatrzymaj na"

Zaznacz to okienko, aby ustawić program na używanie numerów w Zacznij od i zatrzymaj na ciągle na nowo przy powtarzaniu zrzutów. Zapobiega to zapełnianiu twardego dysku zrzutami. Nazwy zrzutów wykonanych poprzednio są zastępowane nazwami zrzutów wykonanych ponownie.

Powtarzaj pierwszy zrzut co…

Wprowadź tu wartość w sekundach, aby ustawić program zrzucając co X sekund. Na przykład, jeśli chcesz zrzucać to samo okno co 20 sekund, wprowadź tu wartość na 20, następnie kliknij OK., za pomocą skrótu klawiszowego dla zrzutu okna, wybierz okno, które ma być zrzucone i program powtórzy ten zrzut co 20 sekund. Możesz użyć ułamków, aby zrzucać w ułamkach sekundy, jeśli potrzebujesz większej precyzji.

Łącząc tą opcję z automatycznym dodawaniem plików, możliwe będzie zachowanie pracy kompletnego programu w postaci zrzutów bez zbędnego zamartwiania się o wykonanie następnego zrzutu. Aby zrezygnować z automatycznego powtarzania zrzutów, wciśnij skrót klawiszowy „zatrzymaj automatyczne zrzucanie", domyślnie Shift+F11 (dopóki nie zmienisz tego skrótu klawiszowego na inny w funkcji Ustaw skróty klawiszowe).

Kontynuuj jeśli wystąpił błąd

Jeśli zaznaczysz tą opcję, program będzie kontynuował automatyczne zrzucanie, nawet jeśli wystąpi jakikolwiek błąd podczas zrzutu, albo podczas zapisywania obrazu.

Używaj powyższych nazw dla nowych zrzutów…

Kiedy ta opcja jest włączona i dodatkowo zaznaczona jest funkcja „Dodawaj numer zwiększony o …", HyperSnap używał będzie powyższych nazw dla nowych zrzutów nawet przy wyłączonym automatycznym zapisie.


Skróty klawiszowe dla zrzutów ekranu...

Funkcja ta pozwala zmienić systemowe skróty klawiszowe programu HyperSnap dla funkcji zrzutu ekranu. Użyj jej gdy domyślne ustawienia zrzutów są w konflikcie z innymi programami jakich używasz, lub jeśli ustawienia wybrane przez producenta programu okażą się dla Ciebie niewygodne lub trudne do zapamiętania.

Pola definicji skrótów klawiszowych

Pola te wyświetlają bieżące skróty klawiszowe, albo kombinacje klawiszy dla funkcji wymienionej na liście tuż obok. Jeśli chciałbyś zmienić skrót klawiszowy, kliknij wewnątrz jednego z tych pól i wciśnij pożądany klawisz lub kombinację klawiszy.

Obsługa klawisza “Print Screen”

Wybierz stąd funkcje zrzutu, którą HyperSnap powinien wykonać po naciśnięciu przycisku skrótu klawiszowego “Print Screen”. Wybierz “Brak” jeśli chcesz, by system operacyjny Windows, lub inny program używał tego skrótu klawiszowego.

Domyślne

Przywróć ustawienia domyślne programu HyperSnap dla poszczególnych skrótów klawiszowych.

Poprzednie

Kliknij, by cofnąć się do ustawień, które były poprzednio ustawione, tuż po otwarciu okna. Wybór tego przycisku jest szczególnie pomocny, kiedy niechcący zmienisz ustawienia skrótu klawiszowego, albo zdecydujesz zatrzymać poprzednie dostosowane wartości.

Usuń wszystkie

Kliknij ten przycisk, by usunąć wszystkie skróty klawiszowe. Pozwoli ci to na ustawienie ich od nowa, unikając w ten sposób problemów z pomieszaniem się skrótów już istniejących z nowymi.

Włącz skróty klawiszowe

Zaznacz tą opcję, jeśli chcesz, by twoje skróty klawiszowe były aktywne. Możesz także uaktywniać skróty klawiszowe z przycisku na głównym pasku narządzi Włącz klawisze skrótów, albo wybrać tą samą opcję w menu Ustawienia Uaktywnij skróty klawiszowe.


Przytnij

Ta funkcja pozwoli ci na przycięcie obrazka do mniejszego rozmiaru. W praktyce to tak, jakbyś chciał przyciąć nożyczkami każdą ze stron twojego prostokątnego obrazka, do rozmiarów, które sam ustalasz. Kiedy wybierasz klikając tą funkcje twój kursor myszki zamieni się w przycinające narzędzie, którym zaznaczasz prostokątne przycięcie ponad obrazem.


Cut out strip

Wytnij pas - poziomy

Wytnij poziomy pas obrazu i złącz pozostałe części. Możesz użyć tej funkcji np. do usunięcia poziomych pasów ogłoszeń z zrzuconej strony Web.

Wytnij pas - Pionowy

Wytnij pionowy pas obrazu i złącz pozostałe części. To może być pomocne w usuwaniu pionowych kolumn z zrzuconych stron internetowych.


Zmień rozdzielczość

Ta funkcja rożni się od zwykłej zmiany rozmiaru obrazu. Zmienia wartość ilości kropek na cal w specyfikacji obrazu. Decyduje ona jakiej wielkości obraz różne urządzenia lub programy wyświetlają. Np. jeśli zrzucisz coś z klasycznego pulpitu komputera to będzie to miało rozdzielczość ok. 96 dpi., a później ustawisz rozdzielczość dla tego obrazu na 200 dpi, wtedy twoja drukarka wydrukuje obraz o ok. połowę mniejszy od oryginalnego obrazu. Tak się dzieje, ponieważ ilość kropek jest teraz ustawiona na wyższej rozdzielczości, wiec sterownik drukarki zatwierdzi ilość kropek na papierze odpowiednio do wartości DPI wewnątrz obrazu.

Pozioma rozdzielczość

Wprowadź poziomą rozdzielczość twojego zrzutu w kropkach na cal. Większość pulpitów SVGA posiada 96 DPI (pikseli na cal). Jeśli często musisz sam ustawiać wartości, zwiększając je (lub zmniejszając), powinieneś zmienić wartości domyślne, wprowadzając taką rozdzielczość, jakiej najczęściej potrzebujesz.

Pionowa rozdzielczość

Wprowadź pionową rozdzielczość twojego zrzutu w kropkach na cal. Większość pulpitów SVGA posiada 96 DPI. Jeśli często musisz sam ustawiać wartości, zwiększając je (lub zmniejszając), powinieneś zmienić wartości domyślne, wprowadzając taką rozdzielczość, jakiej najczęściej potrzebujesz.

Zastosuj do bieżącego obrazu

Wybierz tę opcję, aby zastosować powyższe ustawienia do bieżącego obrazu.

Użyj jako domyślne…

Wybierz tę opcję, aby stosować powyższe ustawienia do wszystkich przyszłych zrzutów ekranu.


Skalowanie

Funkcja ta skaluje obraz wewnątrz obszaru pracy programu HyperSnap, aby dostosować go do wymiarów przez ciebie wybranych. Możesz zmienić rozmiar obrazu i pozostawić jego proporcje albo możesz zmieniać jego każdą oś oddzielnie, co spowoduje jego zniekształcenie. Po wybraniu tej funkcji ukażę się okno dialogowe, w którym możesz wybrać pewien procent oryginalnego rozmiaru do skalowania go, albo tez możesz zdefiniować od razu rozmiar w liczbie pikseli.

Suwak skalowania

Przesuwaj tym narzędziem w prawo lub w lewo, aby w łatwy i szybki sposób zmieniać stopień skalowania w procentach oryginalnego rozmiaru obrazu.

Procent rozmiaru oryginału

Tutaj wprowadzisz wartość oryginalnego rozmiaru twojego obrazu w procentach. Przydatne to jest podczas skalowania obrazu. Domyślna wartość wynosi 100%. To okienko dialogowe jest ściśle związane z okienkami poniżej, które zmieniają swoja wartość wraz z wprowadzeniem innej wartości rozmiaru oryginalnego w procentach.

Szerokość w pikselach

Wprowadź tu szerokość w pikselach dla obrazu. Jeśli zaznaczysz opcję Zachowaj proporcje poniżej, szerokość ta będzie ściśle związana z wysokością.

Wysokość w pikselach

Wprowadź tu wysokość w pikselach dla obrazu. Jeśli zaznaczysz opcję Zachowaj proporcje poniżej, wysokość ta będzie ściśle związana z szerokością.

Ustaw na bieżący obszar wybrany

Kliknij ten przycisk, aby ustawić parametry skalowania obrazu według rozmiarów bieżącego obszaru wybranego (musi być on najpierw ustalony na bieżącym aktywnym obrazie wewnątrz okna pracy HyperSnap).

Zachowaj proporcje

Zaznacz tą opcję, aby powiązać ze sobą szerokość i wysokość dla utrzymania proporcji obrazu. Jeśli jednak zrezygnujesz z powiązania tych wartości, obraz może zostać rozciągnięty albo zwężony.

Interpoluj

Zaznacz tą opcję, aby wyrównać skalowanie (szczególnie przy powiększaniu) poprzez interpolację pikseli miedzy obszarami. Opcja ta powinna poprawić wyświetlający się obraz, który został np. drastycznie przeskalowany.


Auto-obcinanie

Ta funkcja pozwoli ci na auto-obcięcie niepotrzebnego pustego obszaru wokół twojego obrazu, pomniejszając go. Najlepszym sposobem użycia tej funkcji jest wypróbować ją i od razu wybrać Cofnij, jeśli obcięcie nie przyniosło zamierzonych rezultatów. Rezultaty w dużym stopniu zależą od samego obrazu.


Stemple

Użyj tego narzędzia by zdefiniować, a później także dołączyć stemple do twojego obrazu. Stemple mogą składać się z fragmentów innych obrazów i mogą zawierać stylizowany tekst, który wybierzesz. Tekst może zawierać makro, które jest automatycznie zastąpione innymi informacjami takimi jak czas, bieżąca data, nazwę obrazu pliku, itd.

Możesz wstawić stemple gdziekolwiek na obrazie, albo przyczepić je na górze lub na dole jako nagłówki graficzne..

Katalog stempli i przeglądarka

Wyświetla ścieżkę foldera bieżącego katalogu stempli. Możesz zmienić tą ścieżkę i wybrać inny katalog poprzez kliknięcie na przycisk Przeglądaj. Możesz mieć do 40 stempli w folderze. Jeśli potrzebujesz ich więcej to po prostu utwórz wiele folderów stempli i używaj ich wtedy, kiedy tego potrzebujesz.

Nowy stempel

Kliknij na ten przycisk, aby utworzyć nowy stempel.

Edycja

Kliknij tu aby poddać edycji stempel wybrany z listy po lewej.

Opcje dostępne po kliknęciu na przyciski Nowy stempel i Edycja wyjaśniamy w rozdziale Okno Nowy Stempel/Edycja Stempla.

Podgląd

Kliknij ten przycisk, alby podejrzeć stempel wybrany na liście, w oknie po lewej.

Skreśl

Kliknij ten przycisk, aby skreślić stempel wybrany na liście, w oknie po lewej stronie. Stempel ten zostanie usunięty do kosza i może być na nowo przywrócony stamtąd, dopóki nie opróżnisz kosza.

Wstaw

Kliknij ten przycisk, aby wstawić wybrany stempel z listy w oknie po lewej stronie, w otwarty, bieżący obraz nad którym pracujesz.

Kiedy klikniesz ten przycisk, okienko dialogowe Edycja zniknie i stempel znajdzie się na twoim obrazie. Możesz poruszać stemplem w każdą stronę, zmieniać jego rozmiary, albo nawet, klikając na nim podwójnie, możesz go edytować (np. zmieniać tekst w nim), nie zmieniając oryginalnego stempla.

Lista stempli

To okno listy wszystkich stempli utworzonych jak dotąd w bieżącym folderze stempli. Kliknij na jeden ze stempli, który znajduje się na liście i wciśnij jeden z przycisków po prawej stronie (np.: edycja, podgląd, usuń, albo wstaw w bieżący obraz).

Pola wyboru, które znajdują się po lewej stronie oznaczają stemple, które są ustawione na auto-wstawianie w każdym obrazie, który zrzucasz. Kliknij w te pola, aby ustawić opcje auto-wstawiania stempli.


Okno Nowy Stempel/Edycja Stempla

Takie samo okno dialogowe pojawia się, kiedy tworzy się nowy stempel albo poddaje edycji już istniejący.

Nazwa stempla

Wprowadź nazwę zmienionego stempla. Jeśli nazwa została już zdefiniowana dla stempla i zapisana, możesz ją tutaj zmienić, tworząc ostatecznie kopię tego samego stempla pod nową nazwą, dla wielu wersji podobnych do siebie stempli.

Zapisz stempel

Te trzy opcje zadecydują o tym, co się stanie po kliknięciu przez ciebie przycisku OK.

  • Zapisz stempel - zapisze stempel do twojego foldera dla przyszłego użycia ale nie zostanie on włożony w bieżący obraz, znajdujący się w obszarze pracy programu HyperSnap.
  • Wstaw na obraz - jedynie włoży dany stempel w bieżący obraz wewnątrz obszaru pracy HyperSnap, bez zapisania żadnych zmian na dysku dla ponownego użycia danego stempla.
  • Wstaw i zapisz - zostaną wykonane obydwie operacje: zapisane zostaną zmiany na dysku i zostanie wstawiony stempel w bieżący obraz.

Podgląd

Kliknij, by zobaczyć na podglądzie cały stworzony przez ciebie stempel. Możesz także ustawić całkowity rozmiar stempla w podglądzie, poprzez zmianę rozmiaru okna podglądu.


Zakładka Obraz

Z obszaru wybranego

Kliknij ten przycisk, aby wykorzystać otwarty obraz znajdujący się obecnie w obszarze pracy na dany stempel. Wybrany fragment będzie wykorzystany na stempel, jeśli zaznaczony prostokąt jest widzialny w obszarze pracy obrazu, w przeciwnym razie zostanie użyty cały obraz.

Z pliku

Kliknij, aby wybrać obraz z graficznego pliku, który znajduje się na dysku. Obraz ten będzie użyty jako tło stempla.

Edycja obrazu

Jeśli musisz nanieść zmiany na bieżącym wybranym stemplu, kliknij ten przycisk. Stempel zostanie zapisany i okno dialogowe Edycja stempla zostanie zamknięte. Wtedy twój stempel pojawi się wewnątrz obszaru pracy HyperSnap, gotowy do edycji ze wszystkimi narzędziami programu.

Skreśl obraz

Skreśla obraz ze stempla. Tylko część tekstowa (jeśli taka istnieje) zostanie wewnątrz pliku definicji stempla.

Używaj tego obrazu…

Zaznacz tą opcję, aby używać obrazu dla stempla. Jeśli zostawisz tą opcję niezaznaczona, obraz pozostanie wewnątrz danego pliku stempla, ale jeśli podglądniesz albo użyjesz tego stempla, obraz nie będzie użyty.

Okno podglądu obrazu

Okno to wyświetli podgląd obrazu, który został wybrany, by wstawić go w twój stempel.


Zakładka Tekst

Czcionka

Kliknij, by wyświetlić okno wyboru czcionki systemu Windows. Wybrana czcionka będzie używana z bieżącego miejsca kursora myszki. Jeśli wybrałeś tekst przed otwarciem okna czcionki, program zaaplikuje wybraną przez ciebie czcionkę do istniejącego tekstu, jak również do tekstu wprowadzanego od tego miejsca.

Akapit z lewej

Kliknij tą opcję, by bieżący tekst posiadał akapit z lewej strony.

Akapit wyśrodkowany

Kliknij tą opcję, aby twój tekst posiadał akapit wyśrodkowany.

Akapit z prawej

Kliknij tą opcję, by bieżący tekst posiadał akapit z prawej strony.

Pogrubienie, kursywa i podkreślenie

Kliknięcie tych opcji pozwoli ci na aplikacje pogrubienia, kursywy i podkreślenia twojego tekstu, lub wcześniej podkreślonego bloku tekstu. Wprowadzenie tych opcji, można również zacząć od aktualnego miejsca kursora myszki.

Data

Wstaw instrukcję %date% w twoje okno tekstu. HyperSnap wyświetli w tym miejscu bieżącą datę w momencie użycia tego stempla.

Czas

Wprowadza instrukcję %time% w okno twojego tekstu. HyperSnap ten tekst instrukcji bieżącym czasem w momencie użycia stempla.

Plik

Wstaw %file% w okno twojego tekstu. HyperSnap wyświetli go, jako nazwę pliku obrazu, w którym umieścisz ten stempel (np.;Snap023.bmp).

Ścieżka

Wstawia instrukcję %path% w okno twojego tekstu. HyperSnap wyświetli pełną ścieżkę i nazwę pliku obrazu, w którym wstawisz ten stempel, (np.; C:\Images\Snap097.bmp).

Użytkownik

Wstawia instrukcję %uname% w okno twojego tekstu. HyperSnap zastąpi ją nazwą użytkownika zalogowanego w systemie Windows w momencie użycia tego stempla.

Używaj tego tekstu

Zaznacz to okienko, aby używać tekstu na stemplu. Jeśli jednak wyczyścisz to okienko, tekst pozostanie w pliku definicji stempla, ale gdy podejrzysz albo wstawisz stempel, tekst nie zostanie użyty.

Okno edycji tekstu

Wprowadź tutaj tekst. Możesz zaaplikować różne czcionki, kolory i formy dla każdego fragmentu tekstu, edytując go tak, jak w oprogramowaniu Microsoft Office Word.


Zakładka Ramka

Szerokość

Wprowadź szerokość w pikselach dla ramki twojego stempla. Wprowadź 0 (zero), jeśli nie chcesz żadnej ramki. Ramka ta będzie narysowaną linią zdefiniowaną w polach na lewo w Kolorze ramki.

Uczyń przezroczystym

Możesz uczynić wybrane tło transparentnym na twoim stemplu. W ten sposób obraz znajdujący się pod stemplem będzie widoczny.

Pozycja obrazu: Lewo i Góra

Wprowadź tu odstęp w pikselach od górnego, lewego rogu stempla do etykietki definiującej obraz. Wartość ta nie będzie przydatna, jeśli twój stempel nie będzie zawierał żadnego obrazu.

Możesz użyć tej opcji razem z wartościami Tekstu marginesu, tak by utworzyć stempel zawierający niezachodzący na siebie obraz i tekst.

Marginesy tekstu: Lewo, Prawo, Góra, Dół

Wprowadź tu marginesy dla pola tekstu, w zależności od ogólnego rozmiaru stempla, w pikselach. Wartości te nie będą brane pod uwagę, jeśli twój stempel nie będzie zawierał żadnego tekstu.

Funkcji tych możesz użyć wraz z wartościami Pozycji obrazu dla stempla, który nie zawiera zachodzących na siebie obrazów i tekstów.

Rozmiar stempla: Szerokość, Wysokość i Ustaw na rozmiar obrazu

Pola Szerokości i Wysokości pokazują i pozwalają na modyfikacje ogólną twojego stempla, w pikselach. Możesz także:

  • Kliknąć przycisk Ustaw na rozmiar obrazu, aby ustawić go na dokładnie taki sam rozmiar, jak rozmiar obrazu wybranego w Zakładce obrazu.
  • Ustawić rozmiar wprowadzając wartości i obserwując wyniki, podczas wyboru przycisku Podgląd , jak również zmieniać rozmiary pokazującego się okna Podgląd stempla.


Zakładka Miejsce

Umieść na bieżącym obszarze wybranym

Wybierz tą opcje, aby umieścić stempel na bieżącym obszarze wybranym. Jeśli wybrany obszar jest zbyt mały, by pomieścić stempel, program rozciągnie go tak, by zmieścić stempel w całości. Jeśli nie masz zdefiniowanego miejsca obszaru wybranego, program umieści stempel w górnym, lewym rogu obrazu.

Rozciągnij obraz od góry lub od dołu

Wybierz tą opcję, aby stempel ustawić na górze (jako nagłówek), albo umieścić na dole obrazu (jako stopka). Szerokość stempla będzie wtedy taka jak cały obraz. Wysokość natomiast będzie dostosowana do szerokości tak, by można było cały tekst i zawartość obrazu stempla zmieścić w ostatecznym obszarze szerokości i wysokości obszaru.

Umieść na obrazie

Wybierz tą opcję, aby umieścić dany stempel na obrazie w obszarze pracy programu HyperSnap, zgodnie z opcjami, które wybrałeś poniżej.

Odstęp: Poziomy, Pionowy i Od następującego miejsca na obrazie

Pola Poziomy i Pionowy pozwolą ci wprowadzić odstęp w pikselach z miejsca, który wybrałeś poniżej wewnątrz bieżącego obrazu. Na przykład, jeśli wprowadziłeś odstęp poziomy o 10 pikseli, a pionowy o 20, a później wybierzesz Od następującego miejsca na obrazie: Środek, stempel zostanie przesunięty o 10 pikseli w prawo i 20 pikseli w dół z dokładnego środka. Wprowadzając ujemne wartości przemieścisz stempel w przeciwnych kierunkach.

Uwaga: Jeśli wybierzesz Prawą krawędź, dodatni poziomy odstęp będzie od lewej. Podobnie dla Dolnej krawędzi, dodatni pionowy odstęp będzie od góry.


Zakładka Opcje

Wymień ten kolor stempla…

Zaznacz tą opcję a następnie wybierz kolor, istniejący na twoim stemplu, który powinien „maskować” obraz docelowy - spowoduje to zamianę koloru w tych miejscach na przezroczysty. Jeśli obraz docelowy, na którym został umieszczony stempel, nie posiada żadnych przeźroczystości, kolor transparentny zostanie wybrany automatycznie.

Mieszaj przezroczysty

Suwak ten pozwoli ci na ustawienie mniej lub bardziej przezroczystego stempla. Może być ustawiony na nieprzezroczysty, albo na całkowicie przezroczysty dla obrazu, na którym się znajduje.

Auto-dodawaj ten stempel do każdego zrzuconego obrazu

Opcja ta pozwoli ci na wstawianiu danego stempla automatycznie do każdego zrzuconego obrazu za pomocą programu HyperSnap. Przydatna jest bardzo we wstawianiu np. tekstu Copyright do zrzutów z pulpitów gier, lub dla innych zastosowań, w których chciałbyś, aby tekst, lub inne dane były wstawione bez dodatkowych operacji. Zaoszczędzi ci to wiele pracy szczególnie w tworzeniu publikowanych materiałów twojego autorstwa.


Zwierciadło

Zwierciadło (Poziome albo Pionowe w menu Obraz)

Funkcja ta odwróci obraz do góry nogami- poziome odwrócenie. Albo odwróci obraz tak, jak w lustrze (zamieni stronami), czyli pionowe odwrócenie.


Obróć

Obróć 90 stopni w prawo

Funkcja ta obraca obraz o 90 stopni w prawo. Przydatna jest przy zdjęciach aparatów cyfrowych zrobionych pionowo - przywraca ich prawidłową pozycję.

Obrót 90 stopni w lewo

Funkcja ta obraca obraz o 90 stopni w lewo. Przydatna przy zdjęciach aparatów cyfrowych, bierze i przywraca prawidłowy obraz zdjęć zrobionych w pozycji pionowej.

Odwróć

Ta funkcja obraca twój obraz o 180 stopni. Odwraca go „do góry nogami".

Dowolny kąt

Dzięki temu narzędziu twój obraz będzie mógł zmieniać swoją pozycję o dowolny kąt, tak jakbyś obracał obraz pod jakimkolwiek kątem na płaszczyźnie. Przestrzenie, które powstają przy obrocie innym niż np. 90 stopni, zapełnią się domyślnym kolorem tła.


Odkształcenie

Ta funkcja odkształca obraz, który przedstawia się tak, jakby pozioma krawędź| przytrzymywana była nieruchomo, natomiast pozostałe poruszały się w prawo lub w lewo. Pionowe odkształcenie jest także możliwe. Sprawdź w podglądzie, które pojawi się zaraz po wybraniu tej opcji, aby zobaczyć jak zmieni się obraz po wprowadzeniu kąta odkształcenia.


Mozaika

Opcja ta stosuje specjalny filtr nad obrazem, który powoduje jego przekształcenie się w mozaikę. Masz możliwość podglądu, jaki efekt da ci mniejszy lub większy stopień aplikacji filtra. Mniejszy rozmiar płytek mozaiki pomoże ci pozostawić bardziej oryginalny obraz, większy wybór powoduje coraz bardziej zamazany obraz i przez to mniej rozpoznawalny.


Płaskorzeźba

Ta funkcja zaaplikuje specjalny filtr na obrazie po to, by dać wrażenie płaskorzeźby papieru (albo metalu). Możesz kontrolować kierunek naświetlenia, tak samo jak głębokość płaskorzeźby. Głębokość płaskorzeźby decyduje o większym lub mniejszym zachowaniu oryginalnego wyglądu obrazu.


Wyostrzenie lub rozmazanie

Ta opcja pozwoli ci na wyostrzenie lub rozmazanie twojego obrazu. Możesz użyć tej funkcji po zmianie rozmiaru obrazu na mniejszy, aby uwydatnić wyraźność tekstu albo innego niewielkiego detalu.


Cień

Ta funkcja pozwoli ci dodać cień dookoła twojego obrazu lub wybranego fragmentu. Funkcja ta zawiera kilka opcji operacji, możliwych do ustawienia w oknie dialogowym Cień, i może być zastosowana do wszystkich przechwytywanych obrazów automatycznie, albo ręcznie do wybranego obrazu.

Rozmiar cienia

Suwak ten ustawi odległość i wielkość cienia twojego obrazu.

Odcień wewnętrzny

Przesuwaj tym suwakiem, aby ustawić intensywność cienia. Wzrost ciemnego odcienia sprawi większy kontrast cienia i spowoduje, że jasność będzie bardziej wyostrzona i „szorstka", natomiast jaśniejsze wartości powodują delikatniejszy cień a jasność obrazu będzie wydawać się łagodniejsza.

Dyfuzja

Przesuwaj tym suwakiem, aby ustawić dyfuzję cienia. Gdy będziesz przesuwać w lewą stronę, spowodujesz ostry cień. Jeśli jednak będziesz przesuwać w prawo, cień będzie coraz bardziej rozmyty (miękki).

Kierunek

Przesuwaj tym suwakiem, aby zmienić kierunek cienia. Efekt zmian można zaobserwować na podglądzie po prawej.

Kolor tła dla cienia

Kliknij na przycisk ze strzałką zwróconą do dołu, aby wybrać z palety kolorów kolor tła dla cienia, albo kliknij w okienko z przedstawionym zakraplaczem, aby wybrać kolor tła z jakiegokolwiek miejsca na ekranie. Zakraplacz wchłonie kolor z punktu na pulpicie i ustawi go na kolor tła dla cienia.

Uwaga: kolor ten używany jest jako kolor dla tła cienia jedynie dla części cienia, które wychodzą poza bieżący obszar obrazu. Jeśli wybierzesz mały obszar wewnątrz twojego obrazu i dodasz wokół niego cień, wtedy tło cienia będzie starym obrazem, a nie nowym kolorem.

Dodaj dookoła obszaru wybranego na bieżącym obrazie

Zaznacz to okienko, jeśli chcesz, aby HyperSnap wstawiał cień do bieżącego obrazu załadowanego w oknie pracy programu. Program będzie dodawał cień dookoła bieżącego obszaru wybranego, albo do całego obrazu, jeśli obszar wybrany jest niewidoczny.

Auto-dodawaj ten cień do nowo rysowanych kształtów

Jeśli wybierze się tę opcję, wszystkie kształty, jakie rysuje się na obrazach używając paska narzędzi rysunkowych będą miały dodawany cień po zakończeniu rysowania. Opcję tę można również włączyć za pomocą przycisku „Przełącznik dodawania cienia” [image] na głównym pasku narzędzi.

Auto dodawaj ten cień do wszystkich zrzuconych obrazów

Jeśli tworzysz kolekcję obrazów, w których chciałbyś umieszczać cień zawsze (np. w albumie zdjęć zrzucanych na pulpicie), zaznacz to okienko. Funkcja ta zapewni ci automatyczne dodawanie cienia do każdego zrzutu, zaoszczędzając sobie tym samym czasu i dodatkowego wysiłku.


Ramka

Aplikuje płaską lub trójwymiarową ramkę dookoła twojego obrazu, lub wybranego obszaru. Możesz oczywiście ustawić samą opcję auto-dodawania ramki do każdego obrazu, który zrzucisz za pomocą HyperSnap.

Szerokość całkowita

Wprowadź tutaj całkowitą szerokość ramki w pikselach.

Efekt 3D

Wybierz tą opcję, aby mieć możliwość ramki wyglądającej jak trójwymiarowa, możesz też ustawić dodatkowe parametry, które zmienią jej wygląd.

Pas zewnętrzny, szerokość

Wprowadź tu wartości szerokości w pikselach zewnętrznej części trójwymiarowej ramki. Następnie zdecyduj, czy powinna być uniesiona (będzie podświetlona), czy zapadnięta (będzie miała kolor cienia).

Pas wewnętrzny, szerokość

Wprowadź tu wartości szerokości w pikselach wewnętrznej części trójwymiarowej ramki. Następnie zdecyduj, czy powinna być uniesiona (będzie podświetlona), czy zapadnięta (będzie miała kolor cienia).

Dodaj dookoła obrazu wybranego na bieżącym obrazie

Zaznacz to okienko, dla dodania ramki do bieżącego obrazu otwartego w oknie pracy programu. HyperSnap doda ramkę dookoła wybranego obszaru na obrazie, jeśli taki został zaznaczony, albo dookoła całego obrazu, jeśli obraz wybrany jest niewidoczny.

Auto-dodawaj tą ramkę do wszystkich zrzucanych obrazów

Zaznacz tą opcję dla automatycznego dodawania tej ramki do każdego zrzuconego obrazu.


Rozdzielczość kolorów

Funkcja ta pozwala na zmianę całkowitej liczby kolorów w bieżącym obrazie oraz na wybór metody „rozsiewania" przy redukcji kolorów. „Rozsiewanie" to metoda, która umieszcza w pobliżu siebie wzorce kolorowych plamek, aby robiły wrażenie jednolitej barwy, w inny sposób może niedostępnej przy ograniczonej liczbie kolorów jakie mogą wystąpić w obrazie.

Bitów na piksel

Wybierzesz tu rozdzielczość kolorów dla twojego obrazu. Różne wartości bitów na piksel pozwolą ci na wybranie maksymalnej liczby kolorów na każdym obrazie.

1 - tylko dwa kolory, czarny i biały, jeśli wybierzesz Standardowa, albo uśrednione kolory z całego obrazu dla opcji Optymalna

4 - do 16 kolorów

8 - do 256 kolorów

16 - do 65536 kolorów

24 i 32 - do milionów kolorów, więcej, niż ludzkie oko może rozróżnić.

Bity na piksel - Ważne tylko dla plików GIF

Wybór tych wartości nie przynosi żadnej korzyści, jeśli nie planuje się zapisać swoich obrazów w formacie pliku GIF, w celu zapisania ich w najmniejszych rozmiarach. Różne wartości odpowiadają następującym maksymalnym liczbom kolorów:

2 - do 4 kolorów

3 - do 8kolorów

5 - do 32 kolorów

6 - do 64 kolorów

7 - do 128 kolorów

Dla innych formatów pliku niż GIF, wybierz następny większy numer w lewej kolumnie. Na przykład: zamiast 2 albo 3 bitów na piksel, wybierz 4, co pozwoli ci mieć do 16 kolorów

Metoda rozsiewania

Rozsiewanie to znaczy użycie grupy kropek różnych kolorów do przybliżenia brakujących kolorów w tabeli koloru obrazu. Możliwe jest to, kiedy zmniejszysz obraz z 16 albo więcej bitów na piksel, na 8 bpp, lub też na jeszcze mniejszy. Wybierz różne metody rozsiewania, by zobaczyć na podglądzie i wybrać metodę, która najbardziej ci odpowiada.

Paleta

Wybór ten jest ważny tylko w opcji 8 bitowej, albo mniejszej. Opcja ta podpowie programowi HyperSnap , do jakiego typu koloru palety (tabeli kolorów) dostosować się podczas redukcji kolorów obrazu do maksymalnego możliwego numeru.

Optymalna - wybiera paletę, która jest odpowiednim doborem wszystkich kolorów oryginalnego obrazu.

Standardowa - wybierz paletę, która zawiera najmniej 16 standardowych kolorów Windowsa. Reszta, jeśli dostępna, będzie nadal optymalizowana i możliwa.

Netscape - wybierz paletę „bezpieczną" dla przeglądarki Netscape

Czarnobiała - zmienia obraz jedynie na czarno-białe kolory.

Przywróć

Przywróć do oryginalnego obrazu, odrzucając dokonane na nim zmiany powyżej.


Czarno-bialy

Ta funkcja przekształci twój obraz na czarnobiały. Możesz dostosować poziom czerni w oknie, które ukaże się po tym, jak zdecydujesz się wybrać tą funkcję.

Przesuwak poziomu czerni

Wprowadź wartość miedzy 0 a 100, albo przesuwaj suwakiem w lewo lub w prawo, zmniejszając czy zwiększając wartości obydwóch kolorów na bieżącym obrazie. Zmiany te możesz oglądać bezpośrednio na podglądzie wewnątrz okna programu HyperSnap, z łatwością wiec zatrzymasz się na wartościach, które cię usatysfakcjonują.

Automatycznie zastosuj…

Włącz tę opcję, jeśli chcesz aby powyżej zdefiniowana konwersja do obrazu czarno-białego była stosowana automatycznie od wszystkich zrzucanych obrazów.


Półtony

Dzięki tej opcji możesz cieniować obraz wyłącznie przy pomocy czarnych kropek. Efekt podobny jest do wyglądu zdjęcia w gazecie.


Skala szarości

Ta funkcja zamieni kolorowy obraz na szary, zawierający powyżej 256 odcieni szarości.


Korekcja kolorów

Użyj tej funkcji, aby dostosować jasność, kontrast, odcień i nasycenie obrazu oraz zmienić współczynnik gamma.

Jasność

Możesz dostosowywać jasność twojego obrazu (dokładnie tak samo, jak ustawiasz jasność w twoim odbiorniku TV), dzięki kontrolkom znajdującym się tutaj. Przesuwaj suwakiem w lewo lub w prawo, lub wprowadzaj nawet wartości ujemne (od -1 do -100) - aby przyciemniać obraz, lub go rozjaśniać - wartości dodatnie.

Kontrast

Funkcja ta pozwoli ci ustawić kontrast, dokładnie tak samo, jak w odbiorniku TV. Możesz kontrast zmniejszyć, „zmiękczając" go, lub zwiększyć, wyostrzając.

Odcień

Funkcja ta pozwoli ci ustawić odcień dokładnie tak samo, jak w odbiorniku TV, ustawiając preferencję koloru dla twojego obrazu za pomocą tej właśnie kontrolki. Stopnie wartości odpowiada kątowi koła kolorów, na którym znajdują się wszystkie możliwe kolory. Poprzez ustawienie pewnego stopnia wartości zmieniasz równowagę obrazu, preferując kolor, który jest umieszczony na wskazanej pozycji koła.

Nasycenie

Kontrolka ta pozwoli ci ustawić stopień nasycenie obrazu kolorem. Funkcja ta podobna jest do funkcji ustawienia koloru w twoim odbiorniku TV. Gdy zwiększysz wartości, przesuwając suwak w prawo, ustawisz kolory na bardziej intensywne. W przeciwnym kierunku kolory zblakną, aż do szarości obrazu, jak na czarnobiałym zdjęciu.

Gama

Kontrolka ta pozwoli ci na ustawienie białej zawartości twojego obrazu. Używając jej, rozjaśnisz przyćmione obrazy, albo zbyt „gęste". W ten sposób wyeliminujesz wszystkie nawet najmniejsze ciemne miejsca. Możesz także przyciemnić obraz zbyt „wyprany" ustawiając gamę na mniejsze wartości.

Natychmiast zastosuj zmiany

Wyłącz tę opcję, jeśli uważasz, że każda operacja powyższymi kontrolkami (przesunięcie suwaka lub wprowadzenie nowej wartości) zajmuje zbyt wiele czasu aby wyświetlić jej efekt na podglądzie. W ten sposób możesz szybciej zmieniać wartości i zobaczyć ich efekt dopiero po kliknięciu na przycisk „Zastosuj".

Powróć

Kliknij, by powrócić do oryginalnego stanu obrazu. To inaczej Cofnięcie się do stanu obrazu przed ostatnią dokonaną operacją.


Odwróć czerń i biel

Ta funkcja zamieni jak gdyby, odwróci czarny kolor na biały i odwrotnie w twoim obrazie. Zostaną zmienione jedynie obszary, które są albo czysto białe, albo czysto czarne i żaden inny obszar nie zostanie przeobrażony jeśli zawiera inny kolor.


Odwróć kolory

Funkcja ta odwraca kolory w obrazie. Jeśli twój oryginalny obraz jest pozytywny (jak slajd, lub wydrukowane zdjęcie) rezultaty będą takie jak obraz na negatywie. I odwrotnie: jeśli twój obraz jest jak negatyw, efektem będzie zdjęcie wydrukowane na papierze fotograficznym.


Wymiana kolorów

Funkcja ta powoduje wymianę kolorów, piksel na piksel, w twoim obrazie. Możesz użyć dwóch metod dla wymiany kolorów:

  1. To zwykła wymiana kolorów: np. zielone piksele na czerwone.
  2. Przestawienie: np. tam gdzie istnieje biały piksel to program wymieni go na czarny, i odwrotnie, tam gdzie istnieje czarny piksel to program zamieni go na biały.

Wymiana kolorów

Tabela ta zawiera sparowane kolory do ich wymiany lub przestawienia.

  • Wymień > to jednokierunkowa operacja. Używając jej wymieniasz, na przykład, biały na niebieski, wymieniając piksel każdego białego koloru na niebieskich obszarach. Oprócz tych zmian nie zachodzą żadne inne.
  • Przestaw <> to operacje dwukierunkowa. Używając powtórnie białego i niebieskiego jako przykładu, program wymieni białe piksele na niebieskie, i niebieskie piksele na białe

Ta lista pozwala na wybór wielu pozycji na raz. Aby wybrać więcej niż jedną pozycję, wciśnij klucz CTRL i kliknij na punkt, który chciałbyś edytować. Wybierając więcej niż jedną pozycję, możliwa będzie na przykład zmiana wszystkich kolorów na raz z Wymień lub Przestaw, albo ustawienie tego samego koloru na Nowy kolor dla wszystkich wybranych pozycji. Zobacz plik pomocy głównej dla Wymiany kolorów.

Dodaj

Dodaje nowe kolory w tabeli ich wymiany. Początkowo oba kolory są białe i można je tylko Wymienić.

Ustaw kolory i sposób operacji (zaznaczając jedną z dwóch funkcji: Wymień lub Przestaw), które znajdziesz w tabeli poniżej, w ramce Szczegóły.

Skreśl

Skreśl bieżąco zaznaczone pozycje z tabeli wymiany kolorów.

Skreśl wszystkie

Skreśl wszystkie pozycje z listy w tabeli wymiany kolorów. Najpierw jednak zostaniesz zapytany o potwierdzenie skreślenia.

Otwórz listę

Otwórz listę wymiany kolorów, jaką poprzednio zapisałeś do pliku na dysku twardym.

Zapisz listę

Zapisz bieżącą tabelę wymiany koloru na dysku twardym.

Zastosuj

Zastosuj wymianę koloru wybraną w tabeli dla otwartego bieżącego okna, w obszarze pracy programu HyperSnap. Pozwala też na natychmiastowy podgląd dokonanych zmian. Kliknij przycisk Przywróć, jeśli nie podoba ci się wynik wprowadzonej zmiany.

Przywróć

Przywraca obraz do oryginalnego stanu w obrębie programu HyperSnap po dokonanych zmianach przy wymianie koloru. To nic innego jak cofnięcie edycji do poprzedniego, oryginalnego stanu.

Gotowe

Zamyka okno Wymiany kolorów. Dokonane zmiany kolorów nie będą automatycznie zastosowane do obrazu otwartego w oknie programu HyperSnap. Jeśli chcesz je zaaplikować, kliknij najpierw przycisk Zastosuj. Program zapamięta nowe ustawienie, albo nową modyfikację w tabeli wymiany kolorów do zastosowania na tym samym lub innych obrazach.

Stary kolor

Pokazuje i pozwala ci na modyfikacje starej części koloru w wybranych pozycjach na liście tabeli powyżej. RGB ustawiona jest dla kompozycji kolorów zawierających czerwony (Red), zielony (Green) i niebieski (Blue), i może zawierać wartości od 0 do 255. Częściej jednak łatwiej używać zakraplacza zamiast zmieniać wartości numerycznie. Kliknij wiec na zakraplacz, by wybrać kolor z jakiegokolwiek miejsca na ekranie, albo wybierz kolor klikając na strzałkę, znajdującą się tuż obok, z listy kolorów na palecie.

Nowy kolor

Pokazuje i pozwala ci na modyfikacje nowej części koloru na wybranych pozycjach listy tabeli powyżej. RGB ustawiona jest dla kompozycji kolorów zawierających czerwony (Red), zielony (Green) i niebieski (Blue) i może zawierać wartości od 0 do 255. Częściej jednak łatwiej używać zakraplacza zamiast zmieniać wartości numerycznie. Kliknij więc na zakraplacz, by wybrać kolor z jakiegokolwiek miejsca na ekranie, albo wybierz kolor, klikając na strzałkę znajdującą się tuż obok, z listy kolorów na palecie.

Wymień i przestaw

Wybierz opcje Wymień albo Przestaw dla wybranych pozycji w tabeli wymiany kolorów powyżej.

  • Opcja Wymień wskazywana znakiem > to operacja jednokierunkowa. Na przykład, zamieniając biały na niebieski, białe piksele na obrazie staną się niebieskie, ale niebieskie nie zmienią swojego poprzedniego koloru.
  • Opcja Przestaw wskazywana przez <> to dwukierunkowa operacja. Na przykład, jeśli użyjesz białego i niebieskiego koloru, białe piksele na obrazie przyjmą kolor niebieski, a niebieskie z oryginalnego koloru zostaną zamienione na białe.

Tolerancja dopasowania kolorów

Suwak ten pozwala ustawić dokładność, z jaką piksele „starego koloru” dopasowywane są do wymiany na „nowy kolor”. Przesuwaj suwakiem w lewo, do końca (0%) dla dokładnego dopasowania - tylko piksele o dokładnie podanych wartościach komponentów czerwieni, zieleni i niebieskiego będą wymienione. Jeśli jednak przesuniesz suwak w prawo, wybierając wyższą wartość procentową, coraz więcej „bliskich” kolorów będzie wymieniane.

Możesz spróbować z różnymi ustawieniami wartości przez przesuwanie suwaka kilka razy, klikając przycisk „Zastosuj” i obserwując zmiany na obrazie w oknie pracy programu HyperSnap.

Automatycznie zastosuj do wszystkich zrzucanych obrazów

Zaznacz tą opcję, jeśli chcesz, aby ustawiona zamiana kolorów automatycznie aplikowała się do wszystkich zrzutów dokonywanych za pomocą programu HyperSnap.


Kolory unikalne

Funkcja ta liczy ile jest używanych kolorów na twoim obrazie. Jeśli potrzebujesz zredukować liczbę kolorów, funkcja ta podpowie ci, jak daleko możesz się posunąć. Na przykład, jeśli twój bieżący obraz w formacie 24 bitów na piksel, a używa się tylko 300 kolorów możesz najprawdopodobniej zredukować kolory do 256 (to może spowodować zmniejszenie pliku obrazu, tylko 8 bitów na piksel). Ale jeśli używasz 32,000 kolorów, redukcja do 8 bitów nie będzie wyglądać dobrze.


Tekst z regionu

Pozwala zaznaczyć na ekranie prostokątny region i kopiuje tekst znaleziony wewnątrz tego obszaru. Jest to tekst w postaci możliwej do edycji tekstu, zarówno w postaci sformatowanej (RTF) jak i niesformatowanej. Tekst umieszczany jest w „schowku” systemu Windows, skąd możesz go wkleić w dowolny program umożliwiający edycję tekstu (np. Notatnik, email, MS Word).

Dodatkowe opcje dotyczące zrzutów tekstu można znaleźć na zakładce TextSnap Ustawień zrzutów.


Tekst z obiektu pod kursorem

Kopiuje tekst z obiektu (takiego jak okno lub kontrolka, np. przycisk, pole wyboru opcji, menu itd.) znajdującego się bezpośrednio pod kursorem. Funkcję tę najlepiej jest uruchamiać przez wciśnięcie kombinacji skrótu klawiszowego przypisanego do niej (domyślnie Carl+Shift+U) kiedy kursor jest już umieszczony w potrzebnym miejscu. Jest to dobry sposób na skopiowanie np. tekstu z całego okienka menu.

Aby użyć tej funkcji w jakiś sensowny sposób z menu programu HyperSnap, ustaw najpierw dodatkowe opóźnienie dla niej na zakładce TextSnap Ustawień zrzutów. W ten sposób będziesz miał czas na przesunięcie kursora w potrzebne miejsce przed dokonaniem zrzutu tekstu.


Tekst z okna z auto-przesuwem

Wybierz tę funkcję, jeśli nie wszystek tekst jaki potrzebujesz skopiować jest w całości widoczny na ekranie i potrzebne jest przesuwanie zawartości okna w dół. Po wybraniu tej funkcji przesuń kursor myszki do wnętrza okna z tekstem do skopiowania i kliknij jeden raz. HyperSnap rozpocznie przesuwanie zawartości okna i kopiowanie tekstu. Wybierz tę funkcję, jeśli nie wszystek tekst jaki potrzebujesz skopiować jest w całości widoczny na ekranie i potrzebne jest przesuwanie zawartości okna w dół.


Tekst z regionu z auto-przesuwem

Wybierz tę funkcję jeśli nie wszystek tekst jaki potrzebujesz skopiować jest w całości widoczny na ekranie i potrzebne jest przesuwanie zawartości okna w dół. Funkcja ta pozwala dokładnie wybrać region wewnątrz okna i uniknąć kopiowania niechcianych fragmentów, takich jak np. kolumny z reklamami na stronach WWW.

Po wybraniu tej funkcji pojawią się na ekranie skrzyżowane linie – przesuń je przy użyciu myszki i kliknij na pierwszy narożnik obszaru, z którego chcesz skopiować tekst. Następnie wybierz przeciwny narożnik, zakreślając obszar z którego ma być kopiowany tekst. Trzeci i ostatni krok to kliknięcie na przycisk ze strzałką wskazującą w dół suwaka pionowego przesuwającego zawartość okna. W tym momencie HyperSnap rozpoczyna przesuwanie okna i kopiowanie tekstu. Wybierz tę funkcję, jeśli nie wszystek tekst jaki potrzebujesz skopiować jest w całości widoczny na ekranie i potrzebne jest przesuwanie zawartości okna w dół.

Ta metoda kopiowania tekstu z auto-przesuwem niekiedy działa dla dokumentów lub stron, dla których nie działa kopiowanie z okna z auto-przesuwem.


Ustawienia TextSnap™

Funkcja ta jest skrótem do Zakładki TextSnap™ okna Ustawienia zrzutów na menu Zrzuty oraz dostępnego także z głównego paska narzędzi – przycisk z kluczem do śrub. Możesz tu ustawić różne opcje związane z funkcjami kopiowania tekstu, takie jak format kopiowanego tekstu, gdzie i w jaki sposób skopiowany tekst jest prezentowany itp.


Skróty klawiszowe TextSnap™

Tutaj możesz ustawić lub zmienić systemowe skróty klawiszowe dla funkcji kopiowania tekstu. Niekiedy konieczna jest ich zmiana z ich wartości domyślnych na inne z powodu konfliktu z innymi programami rejestrującymi własne skróty klawiszowe, albo po prostu dla większej wygody lub łatwiejszego zapamiętania przez użytkownika.

Pola definicji skrótów klawiszowych

Pola te wyświetlają bieżące skróty klawiszowe, albo kombinacje klawiszy dla funkcji wymienionej na liście tuż obok. Jeśli chciałbyś zmienić skrót klawiszowy, kliknij wewnątrz jednego z tych pól i wciśnij pożądany klawisz lub kombinację klawiszy.

Domyślne

Przywróć ustawienia domyślne programu HyperSnap dla poszczególnych skrótów klawiszowych.

Poprzednie

Kliknij, by cofnąć się do ustawień, które były poprzednio ustawione, tuż po otwarciu okna. Wybór tego przycisku jest szczególnie pomocny, kiedy niechcący zmienisz ustawienia skrótu klawiszowego, albo zdecydujesz zatrzymać poprzednie dostosowane wartości.

Usuń wszystkie

Kliknij ten przycisk, by usunąć wszystkie skróty klawiszowe. Pozwoli ci to na ustawienie ich od nowa, unikając w ten sposób problemów z pomieszaniem się skrótów już istniejących z nowymi.

Włącz skróty klawiszowe

Zaznacz tą opcję, jeśli chcesz, by twoje skróty klawiszowe były aktywne. Możesz także uaktywniać skróty klawiszowe z przycisku na głównym pasku narządzi Włącz klawisze skrótów, albo wybrać tą samą opcję w menu Ustawienia Uaktywnij skróty klawiszowe.

Tryb szybkiego kopiowania tekstu

Wybierz klawisze modyfikujące, takie jak Shift, Control, Alt lub Okna, które wciśnięte i przytrzymane równocześnie przy jednoczesnym ruchu myszki rozpoczną funkcję wyboru regionu dla kopiowania tekstu. Metoda ta jest niekiedy szybsza i wygodniejsza niż aktywacja funkcji za pomocą skrótu klawiszowego lub z menu programu, ponieważ nie wymaga odrywania ręki od myszki.

Przerwij jeśli skrzyżowane linie są widoczne…

Tu możesz zdecydować co się stanie, jeśli uruchomisz tryb szybkiego kopiowania tekstu a następnie zwolnisz zaznaczone powyżej klawisze bez kliknięcia. Jeśli jesteś w pierwszym etapie wyboru regionu, gdy widoczne są dwie skrzyżowane linie, a opcja ta jest zaznaczona, wybór regionu zostanie przerwany przy zwolnieniu tych klawiszy. W przeciwnym razie (opcja nie zaznaczona) wybór regionu jest kontynuowany – ale można go w każdej chwili przerwać naciskając kawisz Escape.

Wymagaj drugiego kliknięcia myszką…

Jeśli wybierze się tę opcję, konieczne są dwa kliknięcia myszką dla wyboru regionu do kopiowania tekstu – po jednym razie na przeciwne narożniki regionu. W przeciwnym razie wybór następuje przez wciśnięcie i przytrzymanie lewego przycisku myszki na pierwszym narożniku, przesunięcie myszki i zwolnienie jej przycisku na drugim narożniku (drugie kliknięcie nie jest wymagane).

Ustawienie niniejsze dotyczy tylko funkcji kopiowania tekstu rozpoczętej przez wciśnięcie zaznaczonych powyżej klawiszy modyfikujących i poruszenie myszką. Zrzuty tekstu rozpoczynane przy pomocy skrótów klawiszowych lub z menu zawsze wymagają dwóch kliknięć.

Ta sama kombinacja + prawy klik…

Jeśli wybierzesz tę opcję, możesz szybko skopiować jeden wiersz tekstu znajdujący się pod kursorem myszki przez wciśnięcie wybranej powyżej kombinacji klawiszy i kliknięcie prawym przyciskiem myszki. Przydaje się to na przykład dla skopiowania tekstu z menu ściąganego w dół, które przy wciskaniu innych klawiszy znika.


Uaktywnij skróty klawiszowe

Funkcja ta aktywuje lub dezaktywuje skróty klawiszowe. Jeśli dezaktywujesz skróty klawiszowe przy pomocy tej funkcji menu lub przycisku na pasku zadań, wykonywanie zrzutów będzie możliwe jedynie przy pomocy wyboru funkcji z menu.


Uaktywnij komendy głosowe

To polecenie uaktywnia albo dezaktywuje sterownik komend głosowych. Sterownik komend głosowych (VCI) jest zazwyczaj obsługiwane przez Microsoft's Speech API 5 (SAPI5). Ten sterownik jest standardowym elementem programów Office XP i Windows XP i nowszych.


Steruj myszką przez klawiaturę

Ta funkcja pozwoli ci na przełączenie sterowania myszką przy pomocy klawiatury. Sterowanie klawiaturą myszki umożliwia przesuwanie kursora z dokładnością do jednego piksela, gdy rysujesz, kopiujesz, przycinasz czy wklejasz obraz wewnątrz okna HyperSnap. Klawisze ze strzałkami przesuwają kursor myszki o jeden piksel. TAB chowa albo pokazuje aktywną strzałkę (kursor). ENTER jest odpowiednikiem lewego przycisku myszki. Wciśnij ENTER raz a HyperSnap sprawi założy że nacisnąłeś i trzymasz stale lewy klawisz myszki, co umożliwia np. rysowanie. Wciśnij ENTER znowu by zasymulować zwolnienie tego przycisku.


Auto-start i ikona systemowa

Funkcja ta pozwoli ci na ustawienie jak HyperSnap pokazuje swoją ikonę - albo na pasku zadań, albo w obszarze systemowym. Możesz także ustawić program na automatyczny start wraz z Windows, jeśli często dokonujesz zrzutów z pulpitu.

Uruchamiaj wraz z Windows

Kliknij aby program HyperSnap dodał się do listy programów uruchamianych wraz ze startem systemu Windows.

Dla wszystkich użytkowników

Zaznacz tą opcję dla dodania programu HyperSnap do listy automatycznego startu dla wszystkich użytkowników tego komputera.

Jeśli zostawisz tą opcję niezaznaczoną opcja auto-startu będzie dotyczyła jedynie twojego profilu. Zazwyczaj, w systemie Windows XP albo 2000 musisz być administratorem, aby móc zmienić tą opcję.

Zawsze uruchamiaj zminimalizowany

Zaznacz tą opcję, aby HyperSnap startował w formie zminimalizowanej, czyli pokazując się w ikonie, a nie w otwierającym się oknie programu na całym ekranie. Dodatkowo, jeśli program jest ustawiony dla wyświetlenie go w obszarze systemowym (prawa, dolna część okna, w której umieszczony jest zegar), a nie jako ikona w pasku zadań, ta opcja ustawi program do załadowania go tylko w obszarze systemowym, gotowym do użycia, ale nienarzucającym się.

Wyświetl tylko ikonę programu w obszarze systemowym

Zaznacz tą opcję, aby program HyperSnap wyświetlał tylko ikonę w obszarze systemowym. (Obszar systemowy to ten, w którym pokazuje się zegarek na samym dole ekranu, inaczej też znany jako obszar powiadomień). Sprawi to, że program nie będzie się „narzucał”, ale zawsze będzie gotowy do użycia. Pamiętaj, ze jeśli zaznaczysz tą opcję, w celu ponownego przywołania programu do użycia musisz kliknąć na ikonę programu w obszarze systemowym. Możesz również kliknąć tę ikonę prawym guzikiem myszki dla wyświetlenia menu najczęściej używanych funkcji.

Nie wychodź po kliknięciu przycisku..

Zaznacz tą opcje, aby program HyperSnap pozostał w obszarze systemowym, kiedy klikniesz przycisk „Zamknij” w głównym oknie (przycisk z X w prawym, górnym rogu okna). Pomoże ci to w ukryciu głównego okna bez zamykania programu. W taki sposób program będzie zawsze gotowy do użycia po naciśnięciu ikony, która znajduje się w obszarze systemowym (to ta zakładka, na której znajduje się zegar, prawa, dolna część okna Windows). Jeśli nie zaznaczysz tej opcji, program zostanie całkowicie zamknięty po naciśnięciu przycisku X.

Liczba ostatnio używanych plików

Możesz ustawić tutaj liczbę ostatnio używanych plików, która będzie dołączana do menu Plik programu HyperSnap, tuż przed pozycją Zakończ. Lista ta zawierać będzie pliki, które ostatnio zostały otwarte, lub zapisane w HyperSnap. Aby zmiana została uaktywniona musisz restartować program.


Domyślna rozdzielczość obrazka

Opcja ta pozwoli ci zmieniać wartości domyślne kropek na cal (DPI), czyli rozdzielczości twojego nowego obrazu zrzuconego przez HyperSnap. Jeśli nie odpowiada ci ustawienie domyślne rozdzielczości (96 dpi), które jest najlepszym ustawieniem dla SVGA albo pulpitów o wyższej rozdzielczości) możesz zmienić ustawienie tutaj.


Pozycja i tło obrazu

Tutaj wybierzesz kolor i ewentualnie zakreskowanie tła okna HyperSnap w tej części, której nie zajmuje Twój obraz. Ustawisz tu także pozycje obrazu, w górnym lewym rogu, albo w centrum obszaru pracy programu.

Pozycja obrazu - górny lewy róg lub środek

Zaznacz tutaj, gdzie program HyperSnap powinien wyświetlić obraz, jeśli jest mniejszy od dostępnego obszaru pracy.

Styl zakreskowania

Wybierz styl zakreskowania tła dla okna pracy, w którym wyświetlany jest obraz. Tło będzie widoczne jeśli obraz będzie zbyt mały, tak by zmieścił się w obszarze pracy, albo jeśli będzie posiadał miejsca przezroczyste, tak jak te w plikach GIF.

Zaznaczenie tła jest przydatne dla podglądu obrazu przezroczystego. Kiedy patrzysz na obraz częściowo przezroczysty na jednolitym tle, możesz mieć trudności z rozpoznaniem pewnych miejsc. Nie wiadomo wtedy co jest częścią tła okna pracy a co częścią obrazu, który posiada taki sam kolor jak tło okna pracy programu HyperSnap. Zaznaczenie stylu zakreskowania tła pozwoli pozbyć się takich wątpliwości.

Kolor tła lub kolor kresek

Kliknij na strzałkę w tym okienku, aby wybrać kolor tła dla obszaru pracy twojego obrazu i dla koloru kresek na nim (jeśli wybrałeś styl zakreskowania powyżej).


Styl OfficeXP

Wybierz ta opcje aby ustawić styl Office XP na paskach narzędziowych i w menu.


Rejestruj typ plików

Ta funkcja umożliwi ci ustawienie systemu Windows w taki sposób, ze podwójny klik na wybrane typy plików graficznych otworzy je w oknie HyperSnap.

Rejestruj typy plików

Zaznacz to okienko, jeśli chcesz, aby program HyperSnap startował jako przeglądarka i edytor tego typu obrazów, kiedy kliknie się na nie w oknie Eksploratora Windows.


Zapisz konfigurację

Zapisz wszystkie opcje i ustawienia, prócz stałych ustawień menu oraz paska narzędzi, w zewnętrznym pliku tekstowym. Ustawienia te mogą być później przywrócone za pomocą funkcji Odczytaj konfigurację w menu Ustawienia.


Odczytaj konfigurację

Wczytuje wszystkie opcje i ustawienia, prócz stałych ustawień menu oraz paska narzędzi, z zewnętrznego pliku tekstowym. Ustawienia te mogły być wcześniej zapisane za pomocą funkcji Zapisz konfigurację w menu Ustawienia.


Zamknij wszystkie

Zamyka wszystkie obrazy otwarte w oknach HyperSnap. Jeśli dokonałeś jakichkolwiek zmian na tych obrazach, HyperSnap zapyta czy chcesz te obrazy zapisać w plikach, w przeciwnym razie są one zamykane bez dodatkowych pytań.

Wskazówka: jeśli masz otwartych wiele obrazów i niektóre z nich były zmieniane, ale chcesz wszystkie zamknąć bez zapisywanie zmian, możesz wcisnąć klawisz Ctrl klikając na tę funkcję na menu. Wówczas wszystkie obrazy zostaną zamknięte od razu bez pytania o zapisanie zmian.


Kaskada

Ustawi okna z obrazami tak, aby zachodziły na siebie od strony górnej-lewej do dolnej-prawej.


Siatka

Ustawia otwarte okna z obrazami w tzw. siatkę, dzięki czemu pokrywają one cały dostępny obszar, ale nie zachodzą na siebie.


Ustaw ikony

Jeśli niektóre z okien z obrazami wewnątrz obszaru roboczego HyperSnap zminimalizowałeś do ikon, te funkcja ustawi ikony u dołu obszaru roboczego HyperSnap.


Okna…

Otwiera dialog, w którym możesz zarządzać otwartymi oknami z obrazami.


Spis treści

Wyświetla podręcznik korzystania z programu HyperSnap wraz ze spisem treści w lewym marginesie okna.


Samouczki, podpowiedzi i FAQ

Zapewnia szybki dostęp do samouczków i innych często poszukiwanych rozdziałów w niniejszym podręczniku.


Sprawdź czy jest nowa wersja

Sprawdź na stronie firmy Hyperionics czy jest nowsza wersja HyperSnap. Wejście na stronę pozwoli ci także na ustawienie automatycznego sprawdzania i aktualizacji nowszych wersji.


Rejestracja i licencja

Kliknij tutaj, aby sprawdzić twoją obecną licencję, jej numer seryjny i tym podobne. Możesz tu także usunąć swoją licencje z dysku, jeśli chcesz, aby ktoś inny, obsługując twój komputer, jej nie skopiował, ale chcesz mu pozostawić wersję programu do darmowego testowania.


O programie

Możesz tu sprawdzić numer wersji programu HyperSnap, a także łatwo dostać się stąd na strony internetowe firmy Hyperionics.


Narzędzia

W rozdziale tym znajdziesz opis przycisków znajdujących się na paskach zadań programu HyperSnap


Główny pasek zadań

Niektóre przyciski na głównym pasku zadań (który domyślnie znajduje się u góry okna HyperSnap, tuż poniżej menu) nie mają swoich odpowiedników na menu. Opisujemy je poniżej.

Drukuj od razu

Drukuj bieżący obraz od razu, bez wcześniejszego pokazywania się okna Drukowanie. To szybszy sposób aby wydrukować bieżący obraz.

Przełącznik dodawania cienia

Jeśli przycisk ten zostanie wciśnięty, wszystkie kształty, jakie od tego momentu rysuje się na obrazie będą miały dodawany cień. Kierunek, rozmiar i inne parametry tego cienia można zdefiniować pod menu Obraz wybierając funkcję Cień.

Powiększenie

Ustawia powiększenie, czyli zoom dla wyświetlenia bieżącego obrazu. Wartości powyżej 100% powiększają obraz. Jeśli wybierzesz liczbę poniżej tej wartości, wyświetli się zmniejszony obraz. Możesz także wybrać opcje Auto-powiększenia dla rozłożenia obrazu na cały obszar dostępny wewnątrz okna HyperSnap.

Pomoc

Kliknij ten przycisk, aby otrzymać specjalny kursor „pomocy" (strzałka ze znakiem zapytania), a następnie kliknij inny przycisk lub funkcję menu, których zastosowanie chcesz poznać, zrozumieć. Wyświetli się wtedy okno z objaśnieniem.


Pasek narzędzi rysunkowych

Zawiera narzędzia rysunkowe, za pomocą których możesz pracować nad twoim obrazem. Możesz zmienić położenie tego paska, ustawiając go po każdej stronie obszaru pracy w HyperSnap albo umieścić go wewnątrz lub na zewnątrz tego obszaru, przeciągając go myszką za „uchwyt” u samej góry tego paska.

Przyciski indywidualnych narzędzi, które są dostępne tutaj, są umieszczone na stałe. Nie można dodawać innych, albo usunąć te już istniejące tak, jak na głównym pasku narzędzi.

* Wytnij

Wycina wybrany obszar, posyłając go do schowka. Musisz zaznaczyć obszar przy pomocy narzędzia Wybór obszaru.

Obszar, który wytniesz zniknie, a miejsce to wypełni się kolorem tła, które możesz ustawić w narzędziu Ustawienie tła na pasku narzędzi rysunkowych. Domyślny kolor tła jest biały.

* Kopiuj

Kopiuje wybrany obszar do schowka. Jeśli zaznaczysz obszar za pomocą narzędzia Wybór obszaru, wtedy jedynie ten obszar zostanie skopiowany. Inaczej cały obraz zostanie skopiowany. Cały obszar, który kopiujesz zostanie niezmieniony. Tak czy inaczej, obszar będzie gotowy do wklejenia go w inną lokalizację wewnątrz tego samego albo innego obrazu w obrębie okna HyperSnap, lub w dokument otwarty wewnątrz innych programów.

* Wklej

Wkleja zawartości ze schowka Windows (zakładając że zawiera on odpowiedni format obrazu) w bieżący obraz. Zawartość schowka wstawiana jest w bieżący obszar wybrany albo w górny lewy róg, jeśli taki obszar nie został wybrany. Zaraz po wklejeniu możesz uchwycić wklejony obraz lewym przyciskiem myszki i przesuwać go dowolnie.

* Wyczyść

Czyści wybrany obszar (albo cały obraz, jeśli nie wybierzesz obszaru na obrazie) na bieżącey kolor tła.

* Cofnij

Ta opcja cofa ostatnią operację wykonaną przez ciebie, jeśli tylko była to operacja dokonana na otwartym obrazie. Na przykład, jeśli zmieniłeś kolor i nie podoba ci się rezultat, możesz użyć natychmiast tej opcji, aby powrócić do poprzedniego obrazu. Możesz cofnąć nie więcej niż 10 ostatnio dokonanych operacji na obrazie.

Ponów

Ponowne wykonanie uprzednio cofniętej operacji. Możesz przełączać stan obrazu z Cofnij i przez to porównywać ostatni obraz, oceniając który z nich daje lepszy efekt.

Powiększenie

To narzędzie działa tak, jak szkło powiększające. Po wybraniu tej opcji kliknij lewym przyciskiem myszki, by powiększyć obraz, i odwrotnie: prawym, by zmniejszyć go. Kursor myszki będzie wskazywał centrum obszaru na obrazie, który chcesz powiększyć lub zmniejszy.

Tryb podglądu

Wybranie tej funkcji spowoduje ustawienie trybu podglądu. To znaczy, że klikanie myszką w obrębie obrazu nie zmienia tego obrazu. W trybie tym myszka jest w stanie poruszać jedynie obrazem, ale nie zmieniać go.

A jeśli obraz jest szerszy od dostępnego okna, możesz przycisnąć lewy przycisk myszki i poruszać obraz kursorem.

Zmiana rozmiaru

Funkcja ta pozwoli ci na zmianę rozmiaru obrazu (liczby piksel) w poziomie i pionie. Jeśli zmienisz rozmiar na szerszy, obszar, który zostanie dodany zostanie wypełniony bieżącym kolorem tła. Możesz także zmienić liczbę kolorów, jakie mogę występować na obrazie jednocześnie, albo przyciąć obraz do bieżąco wybranego obszaru, jeśli taki istnieje.

* Wybór obszaru

Funkcja ta zmienia kursor w narzędzie, które wybiera obszar. Możesz nim zaznaczać obszary do wycięcia, kopiowania, albo przemieszczania ich. Aby wyselekcjonować pewien obszar wybierz go kursorem myszki, obejmując go przyciśniętym jednocześnie lewym przyciskiem myszki dopóki pożądany fragment obrazu nie zostanie objęty. Puść przycisk, a wybór obszaru będzie ukończony. Dookoła wybranego obszaru ukażą się „uchwyty", których można użyć dla dalszego rozciągania lub zmniejszania wybranego obszaru.

Wypełnianie

Ta funkcja dostarcza narzędzia wypełniającego kolorem. Narzędzie „wylewającej się farby z wiaderka" zalewa obszar obrazu o tym samym kolorze pikseli, na jaki się tym narzędziem kliknie – i tylko obszar bezpośrednio przylegający do tego samego punktu. Kolor „farby” wybiera się przy pomocy przycisku Kolor pierwszoplanowy.

Dodaj tekst

Funkcja ta pozwoli ci na użycie specjalnej opcji, która wstawi tekst w twój obraz. Najpierw wybierz obszar, w którym twój tekst będzie się znajdował. W oknie, które się ukaże możesz wybrać czcionki, dostępne w twoim systemie operacyjnym. Możesz także ustalić rozmiar tekstu i kolor wypełniający pole tekstu. Po ustawieniach możesz zacząć wpisywać tekst.

Uaktualniaj tekst natychmiast

· Zaznacz tą opcję, aby uaktualniać natychmiast tekst na obrazie, który załadowałeś w oknie programu HyperSnap.
Uwaga: nie zaznaczaj tej opcji w systemie języków wschodnich, używających podwójnych bajtów dla kodowania znaków, (np. Koreański), gdyż może spowodować to nieprawidłowe wyświetlenie tekstu.

Rozpylacz

Narzędzie to działa jak rozpylacz, albo jak farba w spray'u. Wykorzystuje kolor ustawiony w Kolorze pierwszoplanowym na pasku narzędzi rysunkowych. Jeśli chcesz, możesz ustawić zakres rozpylacza wybierając różne jego rozmiary przy pomocy przycisku Szerokość narzędzi znajdującego się poniżej.

Strzałka

Funkcja ta rysuje strzałkę. Przydatne szczególnie wtedy, gdy tworzysz napis na rysunku, chcąc podkreślić, lub wskazać szczególny punkt na rysunku i wyjaśnić go szerzej, opisać. Możesz dostosować strzałkę: jej zakończenie (puste, zapełnione, albo architektoniczne) poprzez wybranie jednego z tych trzech typów zakończenia strzałki, które znajdują się tuż pod nią. Narzędzie to wykorzystuje kolor ustawiony w Kolorze pierwszoplanowym w pasku narzędzi rysunkowych.

Długość główki w pikselach

Wprowadź tu wartość długości główki w pikselach.

Szerokość główki w pikselach

Wprowadź tu szerokość główki strzałki w pikselach.

Umieść główki strzałki na końcu rysowanej linii

· Wybierz tą opcję, by umieścić główkę strzałki na końcu rysowanej linii, albo zostaw tą opcję niezaznaczoną, by mieć ją na samym początku.

Wymazywanie

Funkcja ta pozwala na wymazywanie części, fragmentów obrazu przez ciebie tworzonego na wybrany kolor tła. Możesz zmienić szerokość wymazującego narzędzia poprzez Szerokość wymazywania, które znajduje się w Narzędziach rysunkowych, tuż pod opcją „gumki do zmazywania".

Rysowanie

To narzędzie pozwoli ci na rysowanie (dokładnie tak samo, jak długopisem po kartce papieru) na obrazie przez ciebie tworzonym, używając pisaka jako narzędzia. Wybierz kolor pisaka z Koloru pierwszoplanowego i szerokość linii tworzonej przy pomocy pisaka z Szerokości narzędzi.

Linia

To narzędzie rysuje proste linie. Po wybraniu tej funkcji kliknij gdzie chcesz w polu twojej pracy, aby zapoczątkować linie i pociągnij ja przytrzymując wciśnięty lewy przycisk myszki, następnie puść go na takiej długości, jaką chciałeś osiągnąć. Rysowanie linii z wciśniętym klawiszem Shift ogranicza ich nachylenie do linii poziomych, pionowych lub pod kątem 45 stopni.

Szerokość wymazywania

Narzędzie to pozwoli ci na wybranie szerokości wymazywania w kilku rozmiarach do dyspozycji. Wybierz wymagany rozmiar i wtedy kliknij na narzędzie Wymazywanie, aby wyczyścić pola obrazu za pomocą wybranego rozmiaru wymazywania.

Szerokość narzędzi

Przycisk ten pozwala na wybór różnej szerokości wszystkich narzędzi służących do tworzenia własnego obrazu (rozpylacz, narzędzie linii, pisak, czy strzałka). Wybierz wiec jeden z rozmiarów, a szerokość linii rysowanych przez narzędzia zmieni się odpowiednio.

Dodatkowo przy pomocy tego narzędzia można ustawić styl linii używanej do rysowania, np. linie kreskowane lub kropkowane. Zawiera ono także opcję opisaną jako „Wygładzaj linie”. Włączenie tej opcji powoduje, że rysowane linie są bardziej gładkie, unikając efektu „schodkowego” dla linii rysowanych pod kątami innymi niż pionowo lub poziomo. Efekt wygładzenia osiągany jest przez dodawanie dodatkowych pikseli na „schodkowych” złączach w kolorze pośrednim pomiędzy kolorem samej linii i tła w tym miejscu.

Prostokąt

Funkcja ta pozwala na rysowanie pustych prostokątów na obrazie w wybranym w Kolorze pierwszoplanowym. Przed wybraniem prostokąta wybierz jego kolor i szerokość linii. Kliknij w miejscu, w którym chcesz zacząć wstawiać prostokąt ciągnąc lewym przyciskiem myszki do rozmiarów, które chciałbyś osiągnąć. Puść przycisk myszki kończąc w ten sposób wstawianie prostokąta. Rysowanie prostokątów z naciśniętym klawiszem Shift ogranicza nas do rysowania dokładnego kwadratu.

Zaokrąglony prostokąt

Ta funkcja rysuje pusty zaokrąglony prostokąt na obrazie z bieżącym kolorze pierwszoplanowym, zdefiniowanym w przycisku Kolor pierwszoplanowy. Wybór tej funkcji i jej sposób użycia jest analogiczne do sposobu użycia funkcji Prostokąt. .Czyli kliknij w punkcie, w którym chciałbyś zapoczątkować wstawianie prostokąta zaokrąglonego, przeciągnąć myszką jego linię do takiej wielkości, jakiej potrzebujesz. Puść przycisk myszki i wstawienie prostokąta będzie ukończone.

Elipsa

Ta funkcja rysuje niewypełnioną elipsę przy użyciu pierwszoplanowego koloru wybranego na pasku narzędzi rysunkowych. Aby narysować elipsę, wybierz to narzędzie, wybierz kolor i szerokość linii, po czym naciśnij lewy przycisk myszki w jednym punkcie na obrazie, trzymaj przycisk i przesuwaj kursor tak długo, aż elipsa będzie pożądanej wielkości. Zwolnij lewy przycisk i elipsa jest gotowa.

Aby narysować okrąg, przyciskaj klawisz SHIFT podczas rysowania elipsy.

Wypełniony prostokąt

Rysuje, czy wstawia wypełniony prostokąt na obrazie, wykorzystując przy tym tło i kolor ustawiony w opcjach Kolor tła lub przezroczysty/Kolor pierwszoplanowy. Aby wstawić taki prostokąt wybierz najpierw jego kolor i szerokość linii, jakie chciałbyś użyć, kliknij w punkcie na obrazie, z którego chciałbyś aby prostokąt się zaczynał, przeciągnij go do rozmiarów zamierzonych z przyciśniętym, lewym przyciskiem myszki i puść aby zakończyć jego wstawianie

Wypełniony, zaokrąglony prostokąt

Rysuje zaokrąglony prostokąt, wykorzystując ustawienia koloru w narzędziu Kolor pierwszoplanowy. Aby wstawić taki prostokąt wybierz najpierw jego kolor i szerokość linii, jakie chciałbyś użyć, kliknij w punkcie na obrazie, z którego chciałbyś, aby prostokąt się zaczynał, przeciągnij go do rozmiarów zamierzonych z przyciśniętym, lewym przyciskiem myszki i puść, aby zakończyć jego wstawianie.

Wypełniona elipsa

Wstawia zapełnioną elipsę w twój obraz, wykorzystując ustawienia koloru tła w narzędziu Kolor pierwszoplanowy. Aby wstawić elipsę wybierz najpierw jej kolor i szerokość linii, jakie chciałbyś użyć, kliknij w punkcie na obrazie, z którego chciałbyś, aby elipsa brała swój początek, przeciągnij ją do rozmiarów zamierzonych z przyciśniętym, lewym przyciskiem myszki i puść, aby zakończyć jej wstawienie.

Kolor pierwszoplanowy

Pozwala na wybór koloru pierwszoplanowego, tzn. używanego przez większość narzędzi rysunkowych. Kliknij na skierowany w dół trójkącik, aby wyświetlić paletę dostępnych kolorów. Znajduje się tam również opcja Taki sam dla wszystkich, która po wybraniu sprawia, że ten sam kolor pierwszoplanowy jest wybrany dla wszystkich obrazów załadowanych w obszar pracy HyperSnap.

Inny sposób wyboru koloru to kliknięcie bezpośrednio na przycisk pokazujący wybrany kolor. Kursor zamienia się wtedy w „zakraplacz”, którym można „zassać” pożądany kolor klikając na obraz załadowany w oknie HyperSnap.

Wskazówka: jeśli często musisz zmieniać kolory, kliknij na strzałkę zwróconą ku dołowi. Paleta kolorów, która się pojawi, zawiera u samej góry niebieski pasek, który możesz chwycić i przeciągnąć w inne miejsce w oknie twojej pracy. W ten sposób kolory będą zawsze na wierzchu, co pozwoli ci bezpośrednio na częstą zmianę kolorów.

Kolor tła lub przezroczysty

Pozwala na wybór koloru tła, tzn. używanego przez narzędzie wymazywania oraz przy wypełnianiu pustej przestrzeni obrazu. Kliknij na skierowany w dół trójkącik, aby wyświetlić paletę dostępnych kolorów. Znajduje się tam również opcja Taki sam dla wszystkich, która po wybraniu sprawia, że ten sam kolor tła jest wybrany dla wszystkich obrazów załadowanych w obszar pracy HyperSnap. Opcja Uczyń przeźroczystym sprawia że część obrazu zawierająca ten kolor jest przeźroczysta i pokazuje co znajduje się w tym miejscu pod obrazem. Przy zapisywaniu takiego obrazu do pliku graficznego, przeźroczystość jest respektowana jedynie w plikach formatu GIF lub PNG, inne formaty plików ignorują to ustawienie.

Inny sposób wyboru koloru to kliknięcie bezpośrednio na przycisk pokazujący wybrany kolor. Kursor zamienia się wtedy w „zakraplacz”, którym można „zassać” pożądany kolor klikając na obraz załadowany w oknie HyperSnap.

Wskazówka: jeśli często musisz zmieniać kolory, kliknij na strzałkę zwróconą ku dołowi. Paleta kolorów, która się pojawi, zawiera u samej góry niebieski pasek, który możesz chwycić i przeciągnąć w inne miejsce w oknie twojej pracy. W ten sposób kolory będą zawsze na wierzchu, co pozwoli ci bezpośrednio na częstą zmianę kolorów.

Podświetlenie

Kliknij, aby wybrać narzędzie Podświetlenie. Możesz za jego pomocą podświetlić pewien obszar na twoim obrazie, który przez to będzie bardziej widoczny poprzez filtr koloru, który wybrałeś. Działa jak mazak-marker.

Kliknij na strzałkę, która znajduje się tuż obok tej funkcji aby wybrać kolor podświetlający dostępny w tej palecie. Możesz także przeciągnąć całą paletę kolorów podświetlających w inne miejsce, co pozwoli ci na szybszy wybór, przy częstej zmianie kolorów.

Stemple

Użyj tego narzędzia by zdefiniować, a później także dodawać stemple do twojego obrazu. Stemple mogą składać się z fragmentów innych obrazów i mogą zawierać stylizowany tekst. Tekst może zawierać makro, które jest automatycznie zastąpione innymi informacjami takimi jak czas, bieżąca data, nazwę obrazu pliku, itd.

Możesz wstawić stemple gdziekolwiek na obrazie, albo przyczepić je na górze lub na dole jako nagłówki graficzne.

Mieszaj obraz wybrany

Gdy wklejasz jakiś obraz w bieżący, albo kiedy wstawiasz stemple (lub po prostu wybierasz mniejszy fragment na twoim obrazie), możesz poruszać suwakiem tak, aby mieszać kolor wybranego obszaru z obrazem już istniejącym pod nim.

Najlepiej jest wypróbować to narzędzie, żeby zobaczyć jak działa. Zauważysz, że kiedy suwak będzie przesunięty całkowicie w lewa stronę, twój obraz wklejany zniknie zupełnie, pokazując jedynie obraz drugoplanowy. A jeśli przesuniesz go w prawą stronę, obraz, który chcesz wstawić, nabiera coraz intensywniejszych kolorów aż po prawej stronie obraz drugoplanowy pod nim znika zupełnie.


Inne przyciski i elementy programu


Widok obrazu/okno edycji

Możesz edytować obraz, który tutaj widzisz za pomocą narzędzi rysunkowych. Możesz otworzyć dowolną liczbę obrazów wewnątrz obszaru pracy HyperSnap. Jeśli masz więcej niż jedno okno otwarte, zobaczysz małą zakładkę odpowiadającą każdemu otwartemu obrazowi na dole okna edycji HyperSnap. To pozwoli ci na szybką zmianę miedzy otwartymi oknami.

Dla bardziej precyzyjnej pracy i lepszego efektu edycji narzędziami rysunkowymi możesz uaktywnić sterowanie kursorem myszki za pomocą klawiszy ze strzałkami w Menu ustawienia. To pozwoli na dokładną edycje podczas rysowania, kopiowania, cięcia, albo wklejania obrazu wewnątrz okna HyperSnap.

Dla dokładniejszego zapoznania się z każdą opcją w pasku narzędzi, albo w menu, kliknij Pomoc na głównym pasku narzędzi, albo na pasku tytułu narzędzia a później na opcję, dla której szukasz objaśnienia. Przycisk Pomoc zawiera znak zapytania.


Pasek stanu

Obserwuj ten pasek dla objaśniającej informacji dotyczących funkcji programu HyperSnap. Po prawej stronie paska pokazują się współrzędne - dokładna pozycja kursora myszki, podczas gdy porusza się on w obrębie obrazu aż do krawędzi.

Podczas niektórych funkcji edycji albo wyboru funkcji, pasek stanu pokazuje także rozmiar wybranego lub dokładnie zdefiniowanego obszaru, takiego jak np. prostokąt. Wszystkie rozmiary i ich współrzędne są zawsze wyświetlane w pikselach.


Przycisk Zastosuj

Kliknij ten przycisk, aby zaakceptować wszystkie zmiany, jakie zostały wprowadzone w oknie dialogowym i zobaczyć jaki efekt spowodowały one w oknie pracy programu HyperSnap. W niektórych funkcjach programu, jeśli nie podobają ci się zmiany w twoim obrazie, możesz kliknąć przycisk Przywróć, aby przywrócić poprzedni stan obrazu.


Przycisk Przywróć

Kliknij ten przycisk, aby wrócić do poprzedniego stanu obrazu.


Przycisk Anuluj

Kliknięcie na ten przycisk usuwa bieżące okno dialogowe. Nie zostaną wtedy zapisane ani użyte zmiany wartości dokonane wewnątrz okna.


Przyciski OK albo Akceptuj

Kliknij, aby zamknąć okno dialogowe, zatwierdzając tym samym wszystkie zmiany dokonane do tej pory.


Przycisk Pomoc

Wyświetla stronę pomocy z podręcznika opisującą bieżące okno dialogowe.


Przycisk wyboru koloru

Tło tego przycisku wskazuje aktualnie wybrany kolor. Kliknij na część z zakraplaczem aby wybrać („zassać”) kolor z dowolnego miejsca na ekranie, albo kliknij na skierowany w dół trójkącik aby wybrać kolor z palety.


Lista komend głosowych

HyperSnap może być też sterowany przy użyciu komend głosowych. W chwili obecnej komendy te dostępne są wyłącznie w języku angielskim, dlatego pozostawiamy ten rozdział nieprzetłumaczony.

You can use the voice commands listed here within HyperSnap. If you encounter problems, go to Windows Control Panel and locate "Speech Properties" or a similar icon.

  1. Click Configure Microphone... to adjust your volume levels and the other settings of your microphone.
  2. Then click the "Train" or "Train Profile..." button there, to train the speech recognition engine to recognize your voice better.
  3. Also try speaking more slowly and more clearly. Voice support is still a work in progress, and computers still require speech commands be delivered a bit more clearly and at a slower-speed than we humans do.

Make sure you use a high quality microphone. Like all current speech recognition technology, this one requires a respectable pause between all commands in order for them to process. The faster your computer, the faster you'll be able to speak the commands, to a certain point. The more background noise you have in your work area and the worse speech commands will perform, too.

Say Capture or Snap, and optionally add the, followed by any of the following items:

  • Full Screen
  • Desktop
  • Window
  • Active Window
  • Active Client
  • Region or Rectangle
  • Multi Region
  • Pan Region or Move Region or Pan Rectangle or Move Rectangle
  • Repeat

Drawing Tools Commands

Say Take or Get, and optionally add the, followed by:

  • Line
  • Pencil

Miscellaneous Commands

  • Microphone off
  • Activate or Restore (to restore and bring the HyperSnap window to the front)
  • Minimize or Iconize (to send it to the system tray or task icon list)
  • Maximize
  • Help or What can I say? (displays brief help which has links to this file)

For users with physical limitations, speech technology offers new-found freedom and will allow many for the first time to be able to use our program with relative ease.


Opcje linii zleceń

Rozdział niniejszy opisuje zaawansowane funkcje programu możliwe do uruchomienia z linii zleceń lub w plikach przetwarzania wsadowego. Jest on użyteczny jedynie dla programistów lub bardzo zaawansowanych użytkowników, dlatego pozostawiamy go nieprzetłumaczonym.

These options, useful for advanced programmatic applications such as scripts, can greatly enhance the Power User approach to capturing. For example, you can set up an shortcut icon to perform a pre-set capture using the values you define in the parameters line on the shortcut's properties page.

If you're a power user, or a user of something like Morrie Wilson's superb WinBatch™, or are familiar with the Windows 2000 or Windows 98 R2 scripting host languages, you can go even further by creating a combination of a programmatic and pre-set application use. For example, you can create a WinBatch script to ask you for the parameters you wish to pass to HyperSnap, and it will then use the script to execute the program and pass the desired parameters to it.

As always with every program, you can open a Command prompt and enter a command line:

start/wait hprsnap6.exe [parameters]

or

hprsnap6.exe [parameters]

Where [parameters] are the desired operational values. The prompt will load HyperSnap and pass it the provided command line. You can even use a tool as simple as Windows 2000 or XP CMD files or–in the case of Windows 9x–plain old batch files to utilize special capture settings "on the fly."

If you open a prompt and type the command without using start/wait, you can close the prompt if you wish, or use it for other functions while HyperSnap is processing an image.

Should you elect to use the start/wait parameter, the prompt will stay open cannot be closed or used until HyperSnap is finished. This may be useful in batch files, if your next command must wait for HyperSnap to finish its operation before it can continue.

If you expect to make heavy "production" use of HyperSnap, we think you'll want to take a moment to get familiar with the command line functions. The mouse is nice, but for heavy output or batch jobs, you simply can't beat command line control.

In the examples below, the actual command line and options you will need to type are in bold. Comments about the commands or other "tips" are in plain text. The paths to be used are simply examples, use the paths available on your own system. Note that you must type HyperSnap's executable name, too, which comes before the parameter, as in the example above. You can't simply open a command prompt box and type, -hidden -quicksave,5000, nothing will happen except that familiar cryptic error message with which we used to be familiar: Bad Command or File Name. If you use Windows 2000 or XP, you might see, "-quicksave is not recognized as an internal or external command, operable program, operable program or batch file."

In any case, change to the folder where you've installed HyperSnap and type its name hprsnap6.exe, or (even better) add that folder to your system's PATH environment. In the latter case you can type the executable name from inside any folder and Windows will locate it for you and run it with the commands you specify.

quicksave

Turns on QuickSave option, even if it was turned off in previous sessions or by default.

Additional -QuickSave options can start with timed auto-save. For example, here are some uses with other parameters:

-hidden -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-iconic -QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

-QuickSave,5000,1,5 -snap:w:320:h240 -save:bmp f:\tmp\test

These examples will start the program with a hidden, iconic or opened window, respectively, and will repeat the snap every 5000 ms (5 sec), increment the file name starting counter at 1 and will stop when the counter reaches 5.

To disable adding numbers to the file name, set the second number in -QuickSave to 0, for example -QuickSave,5000,0,5 will save a capture 5 times to the same file. To disable the max count function (the last number to capture before stopping), set it to 0.

The capture will be repeated indefinitely, or until you press the stop capture hot key (default for which is F11).

-hidden

Runs the program with its window hidden, so you can operate it only by using the hot keys. You must have enabled Quick Print, or Copy each capture to clipboard in the Capture Settings tabs , earlier, or you could use this mode with the Quick save tab's Automatically save each capture... option enabled, too.

Otherwise you won't be able to choose files or direct output to any useful location.

-dumpopts

Read the program's registry entries, and dump them to an INI file in the program's home directory. This is helpful for debugging problems. You can send the INI file in an e-mail to use during a user support session should we request it.

-readopts

Read the program's registry entries from the file HprSnap5.INI and then save them to the Windows system registry. A great way to immediately set the program back to all defaults. For example, if you install the program, then run it once, the registry entries will be set to the defaults.

If you then use the -dumpopts option, above, to create HprSnap5.INI, then keep that file in a safe place, should you wish to set the program back to the start-up status, this option will do that in one step. Mainly a technical support tool, as it can repair a corrupted registry entry, too.

-initfrom:filename

You'd use this option when you start HyperSnap, for example:

hprsnap6.exe -initfrom:c:\hypersnap\hsdx.ini. A quick method of supporting multiple hot key configurations or other options, such as on systems where multiple users prefer the program to operate differently. If you create a shortcut that loads the program using this switch and a valid INI file you've created with the -dumpopts setting, it's painless to have the program set up differently for many users on the same machine.

Changes you make to its settings in this case do not go back to the registry (as is normally the case) but they are written back to the INI file name you used to load it. This thus keeps a discrete setting set apart from the default.

-snap

Capture a screen (or a portion) one time only, to immediately print or save it, and then exit. The HyperSnap window isn't displayed. This option takes several sub-options you must separate with a colon. Here are some examples.

HprSnap5 -snap:x60:y150:w200:h100 -save:bmp test.bmp

:x is X pixel coordinate from which to start the capture, counted from the left. If omitted, 0 the program will assume 0, the absolute left-hand of the screen.

:y is Y pixel coordinate from which to start the capture, counted from the top. If omitted, the program assumes you want a value of 0.

:w is width of the area to capture, in pixels. If omitted, the program assumes the area from :x to the right edge of the screen should be captured.

:h is height of the area to capture, in pixels. If omitted, the program will capture the area from :y to the bottom of the screen.

:window allows the user to select with the mouse the window to capture.

:region allows the user to select with the mouse a rectangular region to capture.

:awin will capture the currently active window, including frame and title

:acli will capture the currently active window without the title and frame (called the "client area").

-open:[filename]

or

-open [filename]

This option will run HyperSnap and open the specified file (if it exists, and is in a supported graphics file format). It will then perform the action set by any following command line options, such as -print or -save—perhaps in a different format as a quick way to convert one format to another, for example.

You can use this to print several graphics files in batch mode or to translate quickly between varying formats. The program exits when all prescribed operations are complete. Here are a few examples:

To translate test.bmp to test.gif:

hprsnap6.exe -open:test.bmp -save:gif test.gif

To print test.jpg file to the default system printer:

hprsnap6.exe -open test.jpg -print

-colsubst

Performs a color substitution on and opened image according to the table defined previously in an interactive session of HyperSnap under "Color/Substitute Colors" menu. Example:

hprsnap6.exe test.bmp -colsubst

-scale:[percent]

Scale (resize) the image captured with -snap command line option or opened from a file, by the percent factor specified. For example:

hprsnap6.exe test.jpg -scale:50

This will open test.jpg file scaled to 50% of its original size, and:

hprsnap6.exe -open test.jpg -scale:50 -save:jpg test.jpg

This will open test.jpg file, scale it to 50% of the original size, save to the same file name and exit immediately. This latest form could be used to scale an entire directory of images with the for command of the Windows batch language. Here's an example:

for %f in (*.jpg) do start/wait "x" "C:\Program Files\HyperSnap 6\HprSnap6.exe" -open "%f" -scale:4 -save:jpg:q95 "Thmb %f"

This will resize all JPEG images in the current folder to 4% of their current size and save them under the same names with added prefix "Thumb" with 95% JPEG quality setting, overwriting the originals. To have the files saved in another folder under the same name, and preserve the originals, you could specify the folder after -save such as -save:jpg:q95 "c:\temp\%f"

This command could also translate the format. For example opening JPEG files, but saving to PNG instead. In this case the last part could be:

-save:png "c:\temp\%f"

-print

This function was designed to be used after -snap to force the printing of the captured picture. It takes several sub-options, all of which must be separated with a colon.

:l print in Landscape mode. Default is portrait

:inv invert black and white

:bw print black and white colors only

:fr draw a frame around printed picture

:sNN scale, where NN is % of the image size, the default being 100%

:af auto-fit the picture to fill the whole page (but preserving the aspect ratio)

pd display Print Dialog, to select the printer etc.

Prints to the default printer if :pd omitted. Here's an example:

hprsnap6.exe -snap -print:l:fr:s75

This example will snap the whole screen and print the resulting capture in landscape mode, with a frame, and scaled downward to 75% of the original size.

-save

This was designed to be used after the -snap option to save the file to a supported file format. The very next argument must be the filename to use for the saved data, including the extension. For example, snap.bmp, snap.gif, and so forth.

Here's a list of possible formats as well as some examples using them:

:gif save as a GIF file

:gif:i save as Interlaced GIF file

:jpg save as JPEG file with the default output quality of 75%

:jpg:qNN save as JPEG file with quality NN% (replace NN with a number such as 90, representing image quality factor).

:jpg:p save as progressive JPEG file (you can add :qNN)

:bmp save as BMP file (this is the default, and may be omitted). Bitmap pixel depth is the same as your screen's.

:bmp:c1 save as 1 bpp bitmap

:bmp:c4 save as 4 bpp bitmap

:bmp:c8 save as 8 bpp bitmap

:bmp:c24 save as 24 bpp bitmap

The program accepts other file types as -save formats. Here's a complete list of all file types accepted during this command. These values should appear after the : in the command line:

bmp, gif, jpg, tif, cmp, cal, fax, eps, img, raw, ica, pict, mac, msp, pcx, ras, tga, wfx, vfm, wpg, png

With all of these file types, the following options are accepted, if valid for a given file type. If an option is not valid for that type, it will be ignored by the program:

:a append the picture to the specified file, if the file format permits this. For example, GIF and TIFF files support appending frames to an existing file.

:c1, :c4, :c8, :c24, :c32 represents the color resolution to use, in bits per pixel.

:i, :p tells HyperSnap to save the file using either interlaced (GIF) or progressive (JPEG) format.

:qNN quality in %, valid for jpg and cmp files. The larger this number, the higher quality the final file will be, but the file size in bytes will be larger, too.

Here's more examples. Snap the whole screen and save in BMP file in the directory c:\tmp\:

hprsnap6.exe -snap -save c:\tmp\test.bmp

Snap portion of screen, save as 8 bit per pixel bitmap in the current DOS directory (be sure you know where this is, or you'll "lose" your file!):

hprsnap6.exe -snap:x50:y80:w200:h100 -save:bmp:c8 btm.bmp

Snap the whole screen, save to GIF file called test.gif:

hprsnap6.exe -snap -save:gif test.gif

Snap the whole screen and save it to a JPEG file with 85% quality:

hprsnap6.exe -snap -save:jpg:q85 test.jpg

-newwin

Pozwala uruchomić drugą kopię programu HyperSnap. Inaczej (bez tej opcji) próba uruchomienia drugiej kopi powoduje tylko aktywację okna kopi pierwszej.

-defprn:prn_name

This command makes HyperSnap use a printer other than the "system default" as its default printer. The "prn_name" part must be the exact same name as listed in your system Printers folder. The entire command must be enclosed in double quotes if the name contains any spaces. If the name is one solid block without spaces, you can skip the quotes.

For a local printer name that includes a space:

"-defprn:HP 2000C"

For a network share printer name without space:

-defprn:\\gandalf\hp855c

-ra

Sets the program to restore advanced options to defaults when the program is restarted. These advanced options currently include Capture Settings, Crop & Scale enable mode, and View & Edit selection. Normally restoring these options in other than their default state can confuse novice users of HyperSnap, so you use this command line argument to help prevent confusion.

-exit

Causes HyperSnap to exit after it's finished with the requested operation. For example, -snap without the -save or -print commands. Normally HyperSnap would stay running (with its window opened or hidden) in that situation. By using -exit you force it to quit when its tasks are done.


Kontakt i wsparcie techniczne

Dla uzyskania pomocy technicznej dla naszych programów prosimy odwiedzić nasze strony WWW pod adresem http://www.hypersnap.pl i kliknąć link „Kontakt”, albo napisać email na adres pomoc@hypersnap.pl. Służymy pomocą w języku polskim.


Umowa licencyjna

Umowa licencyjna użytkownika Oprogramowania Firmy Hyperionics Technology LLC

0. Preambuła

UWAGA. Przed zainstalowaniem Oprogramowania firmy Hyperionics należy zapoznać się z poniższym tekstem. Stanowi on prawnie wiążącą umowę, której przedmiotem jest Oprogramowanie Hyperionics.

W przypadku braku akceptacji WSZYSTKICH postanowień niniejszej Umowy należy zrezygnować z instalacji, zwielokrotniania, rozpowszechniania lub jakiegokolwiek innego wykorzystywania Oprogramowania Hyperionics w całości lub w jakiejkolwiek z jego części. Oprogramowanie Hyperionics jest licencjonowane a nie sprzedawane.

1. Informacja o prawach autorskich

Jeżeli w sposób wyraźny nie zostało zaznaczone co innego wszystkie prawa autorskie, zarówno osobiste jak i majątkowe, do wszystkich składników Oprogramowania Hyperionics przysługują Hyperionics Technology LLC z siedzibą w USA. Oprogramowanie to chronione jest prawem autorskim, porozumieniami międzynarodowymi o prawie autorskim oraz innym ustawodawstwem i porozumieniami międzynarodowymi o ochronie praw na dobrach niematerialnych. Naruszenie tych praw podlega odpowiedzialności cywilnej i karnej.

2. Strony umowy

Umowa zawierana jest między stronami: Hyperionics Technology LLC, zwanym dalej Licencjodawcą oraz użytkownikiem Oprogramowania Hyperionics, będącym osobą fizyczną lub prawną, zwanym dalej Licencjobiorcą.

3. Zawarcie umowy

Umowa zostaje zawarta poprzez zainstalowanie, zwielokrotnienie dowolną techniką, rozpowszechnienie lub jakiekolwiek inne użycie Oprogramowania Hyperionics.

4. Opis uprawnień Licencjobiorcy

4.1. Instalacja i użytkowanie Oprogramowania Hyperionics

W celu wypróbowania przydatności Oprogramowania Hyperionics Licencjodawca udziela Licencjobiorcy zezwolenia na zainstalowanie i użytkowanie nieograniczonej liczby kopii Oprogramowania Hyperionics. Oprogramowanie to pracuje w ograniczonym trybie próbnym, dodając na przykład logo firmowe Hyperionics do obrazow lub filmów zrzucanych lub w jakikolwiek sposób przetwarzanych przy tego pomocy oprogramowania.

Pełne użytkowanie programu bez opisanych powyżej ograniczeń dozwolone jest wyłącznie po wniesieniu opłat licencyjnych na rzecz Licencjodawcy i uzyskaniu przez Licencjobiorcę kodu odblokowującego od Licencjodawcy. Po uzyskaniu kodu odblokowującego Licencjobiorca ma prawo do zainstalowania i użytkowania kopii Oprogramowania Hyperionics w liczbie wynikającej z wysokości wniesionej opłaty licencyjnej i uzyskanego kodu odblokowującego.

4.2. Aktualizacja Oprogramowania Hyperionics

Licencjobiorca po wniesieniu opłaty licencyjnej i uzyskaniu kodu odblokowującego ma prawo do bezpłatnej aktualizacji Oprogramowania Hyperionics do wersji nowszej w zakresie numeru głównego zarejestrowanej wersji. Numer główny określa pierwsza liczba w numerze wersji Oprogramowania Hyperionics.

5. Ograniczenia

Zabronione jest:

* dokonywanie tłumaczeń, przystosowywania, zmiany układu lub jakichkolwiek innych zmian lub modyfikacji w Oprogramowaniu Hyperionics. Modyfikacje lub inne wymienione wyżej zmiany stanowią naruszenie prawa autorskiego i niniejszej Umowy.

* najem lub dzierżawa Oprogramowania Hyperionics; Oprogramowanie Hyperionics nie może być wynajmowane lub wydzierżawiane przez Licencjobiorcę.

* deasemblacja, dekompilacja lub jakiekolwiek inne zwielokrotnianie kodu Oprogramowania Hyperionics lub tłumaczenie jego formy w zakresie przekraczającym zezwolenie wynikające z odpowiednich przepisów obowiązującego prawa.

Licencjobiorca musi zachować informację o prawach autorskich na wszystkich kopiach oprogramowania.

6. Ograniczenia odpowiedzialności za szkodę oraz postanowienia dotyczące gwarancji i rękojmi

Oprogramowanie Hyperionics dostarczane jest w formie "takiej, jakie jest". Licencjobiorca bierze na siebie ryzyko wynikające z użytkowania Oprogramowania Hyperionics. Licencjodawca oraz dystrybutorzy Oprogramowania Hyperionics nie udzielają żadnej gwarancji oraz rękojmi, że Oprogramowanie Hyperionics będzie działać prawidłowo, jest odpowiedniej jakości oraz że spełni oczekiwania Licencjobiorcy.

Licencjodawca oraz dystrybutorzy Oprogramowania Hyperionics nie odpowiadają za jakiekolwiek straty wynikłe z używania Oprogramowania Hyperionics, w tym utratę spodziewanych korzyści, danych, informacji gospodarczych lub koszt urządzeń lub programów zastępczych. Całkowita odpowiedzialność Licencjodawcy za szkody wynikłe z użytkowania Oprogramowania Hyperionics i odszkodowanie dla Licencjobiorcy ograniczone jest do wysokości wniesionych przez Licencjobiorcę opłat na rzecz Licencjodawcy.

7. Kary umowne

Naruszenie postanowień niniejszej Umowy Licencyjnej Użytkownika Oprogramowania Hyperionics powoduje powstanie zobowiązania Licencjobiorcy do wypłacenia Licencjodawcy kary umownej w wysokości 10 tys. PLN. Jeżeli szkoda wynikająca z naruszenia postanowień "Umowy licencyjnej użytkownika Oprogramowania firmy Hyperionics Technology LLC" przekracza wysokość zastrzeżonej kary umownej, Licencjodawcy przysługiwać będzie prawo domagania się odszkodowania w pełnej wysokości.

8. Rozwiązanie umowy

Uprawnienia Licencjobiorcy wynikające z niniejszej Umowy Licencyjnej Użytkownika Oprogramowania Hyperionics wygasają z chwilą rozwiązania umowy. Umowa ulega rozwiązaniu w przypadku naruszenia przez Licencjobiorcę jej postanowień.

9. Skutki wygaśnięcia uprawnień do użytkowania Oprogramowania Hyperionics

W przypadku wygaśnięcia uprawnień do użytkowania Oprogramowania Hyperionics na skutek wyczerpania limitu dozwolonych uruchomień, rozwiązania niniejszej umowy lub z jakiejkolwiek innej przyczyny, Licencjobiorca ma obowiązek zaprzestać użytkowania Oprogramowania Hyperionics i usunąć Oprogramowanie Hyperionics ze stanowisk komputerowych, na których zostało ono zainstalowane.

10. Wybór prawa właściwego, miejsca rozstrzygania sporów oraz odesłanie

Prawem właściwym dla niniejszej umowy jest prawo Rzeczpospolitej Polskiej. Ewentualne spory między stronami będą rozstrzygane w drodze arbitrażu, a jeżeli nie da on rozstrzygnięcia, przez sąd właściwy dla siedziby Licencjodawcy. W zakresie nie uregulowanym postanowieniami niniejszej umowy zastosowanie znajdują odpowiednie przepisy kodeksu cywilnego oraz ustawy o prawie autorskim i prawach pokrewnych.

W razie pytań związanych z niniejszą licencją prosimy o kontakt pod adresem: info@hyperionics.com z tematem listu: „Licencja".